<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved.  -->
<%@page import="com.mcafee.scor.policy.PolicyConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ page import="com.mcafee.scor.common.Constants"%>

<orion:message key="scor.policy.awl.invfilter.addRule" var="addRule" escape="none" />
<orion:message key="scor.policy.awl.invfilter.rule" var="rule" escape="html"/>
<orion:message key="scor.policy.awl.invfilter.rule" var="ruleJS" escape="javascript"/>
<orion:message key="scor.policy.awl.invfilter.delete" var="delete" escape="html"/>
<orion:message key="scor.policy.awl.invfilter.and" var="andVarJS" escape="javascript"/>
<orion:message key="scor.policy.awl.invFilter.descriptionText" var="awlInventoryFilterDescriptionText" escape="html"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupFilterRules" authToken = "isAuthorizedToEditFilterRules"/>

<jsp:include page="/common/includejQuery.jsp" />

<style type="text/css">
.filtersDescriptionArea {
	background-color:#EDEDED;
	border-color:#E0E0E0;
	border-style:none none solid;
	border-width:1px;
	color:#4A4A4A;
	font-size:10px;
	font-weight:normal;
	overflow:hidden;
	width:99%;
	margin-bottom: 10px;
	padding:5px;
}
	
	.inputFieldClass {
		width:40%;
	}
	
	.deleteLinkClass {
		text-decoration: underline; 
		cursor: pointer; 
		cursor: hand;
	}
	
	.keyDivClass{
		padding-bottom: 3px;
	}
	
	.orLineDivClass{
		float: left; width: 48%; padding-bottom: 5px;
	}
	
	.orDivClass{
		width: 100%; float: left;
	}
</style>

<%!final String KEY_INV_FILE = Constants.INV_RULE_COND_FILE;
	final String KEY_INV_BINARY_TYPE = Constants.INV_RULE_COND_BINARY_TYPE;
	final String KEY_INV_HAS_CERTIFICATE = Constants.INV_RULE_COND_HAS_CERTIFICATE;
		
	final String INV_ID_KEY = "invkey";
	final String INV_ID_CRITERIA = "invcriteria";
	final String INV_ID_VALUE = "invvalue";
	final String INV_ID_DELETE = "invdelete";
	
	final String INV_RULE_FILTER_DIV = "invFilterDiv";
	final String HTML_RULE_INV_FILTER_DIV = "html-invFilterDiv";
	
	final String BINARY_TYPE_ID_VALUE = KEY_INV_BINARY_TYPE + "-" + INV_ID_VALUE;
	final String HAS_CERTIFICATE_ID_VALUE = KEY_INV_HAS_CERTIFICATE + "-" + INV_ID_VALUE;
	
	final String INV_ERROR_DIV = "invErrorDiv";%>

<script type="text/javascript">
		var scor = scor || {};
		scor.awl = scor.awl || {};
		scor.awl.filter = scor.awl.filter ||{};
		scor.awl.filter.inv = scor.awl.filter.inv ||{};
		scor.awl.filter.inv.sectionCount = scor.awl.filter.inv.sectionCount || 0;
		scor.awl.filter.inv.filterSections = scor.awl.filter.inv.filterSections || [];
		scor.awl.filter.inv.filterMappedBySectionId = scor.awl.filter.inv.filterMappedBySectionId || {};
		
		// Adds a new Rule into the filter rules.
   		scor.awl.filter.inv.addRule = function (aefRule, readOnly) {   
   	   		var rootDivElement = $j('#invFilterRulesDiv');

   			var childFilterRulesSectionDiv = $j('#invFilterRuleDiv').clone();
   			childFilterRulesSectionDiv.attr("id", "invFilterRuleDiv_"+scor.awl.filter.inv.sectionCount).css('display','inline');
   			scor.awl.filter.inv.setSectionIDInChildDivs(childFilterRulesSectionDiv);	  
   						
	   		rootDivElement.append(childFilterRulesSectionDiv);
	   		var filterRule = scor.awl.filter.inv.addMagicwidgetInChildSection(readOnly); 
	   		if (aefRule) {
	   		 	var ruleItems = aefRule.ruleItems;
				for(var ruleItemIndex = 0; ruleItemIndex < ruleItems.length; ruleItemIndex++){
					var ruleItem = ruleItems[ruleItemIndex];
					filterRule.add();
					var rowId =  filterRule.id;
					scor.awl.filter.inv.setruleItems(ruleItem, rowId);			
				}
   		    } else {   	  
   		    	filterRule.add(); 		    
   		    	myEpoEnableApplyButton();
   	   		}
	   		scor.awl.filter.inv.filterSections.push(childFilterRulesSectionDiv.get(0)); 
	   		scor.awl.filter.inv.filterMappedBySectionId[scor.awl.filter.inv.sectionCount] = filterRule;
	   		scor.awl.filter.inv.registerHandlersForSection(scor.awl.filter.inv.sectionCount);
	   		if(readOnly){
   	   			scor.awl.filter.inv.doFormatingForReadOnlyGroupForObRuleDiv(childFilterRulesSectionDiv);   	
   	   	   	}	   	   	
	   		scor.awl.filter.inv.sectionCount++;	   		
   		}

   		scor.awl.filter.inv.showHideDescriptionArea = function(){
   			if(scor.awl.filter.inv.type.isAWL() && scor.awl.filter.inv.type.isWIN_OS()){
   				$j('#invFilterDescriptionArea').show();
   			}   			
   	   	}

   		scor.awl.filter.inv.setruleItems = function(ruleItem, rowId){
			var key = ruleItem.key;
			var criteria = ruleItem.criteria;
			var value = ruleItem.value;
			
   			var keySelectBox = $j("#<%=INV_ID_KEY%>" + "_" + scor.awl.filter.inv.sectionCount + "_" + rowId);
   			$j(keySelectBox).val(key);
   			
  			var criteriaSelectBox = $j("#<%=INV_ID_CRITERIA%>" + "_" + scor.awl.filter.inv.sectionCount + "_" + rowId);
   			$j(criteriaSelectBox).val(criteria);
   			
   			var valueSelectBox = $j("#binaryType-value" + "_" + scor.awl.filter.inv.sectionCount + "_" + rowId);
   			var valueYesNoBox = $j("#<%=HAS_CERTIFICATE_ID_VALUE%>" + "_" + scor.awl.filter.inv.sectionCount + "_" + rowId);
   			var valueTextBox = $j("#<%=INV_ID_VALUE%>" + "_" + scor.awl.filter.inv.sectionCount + "_" + rowId);
   			
   	   		if(key === "<%=KEY_INV_BINARY_TYPE%>"){   	   			
   				$j(valueSelectBox).val(value);
   	   		}else if (key === "<%=KEY_INV_HAS_CERTIFICATE%>") {
   	   			$j(valueYesNoBox).val(value);
   	   		} else {   	   			
   				$j(valueTextBox).val(value);
   	   	   	}
   	   		
   	   		var map = {'key': keySelectBox, 'valueBox' :valueTextBox, 'valueSelectBox':valueSelectBox,'valueYesNoBox':valueYesNoBox, 'criteriaBox': criteriaSelectBox, 
   	    	   		'id': scor.awl.filter.inv.sectionCount, 'rowId': rowId};
   	   		scor.awl.filter.inv.onKeySelectdoFormating(map);
   	   	}
   		
   		//Select the default criteria for selected key when a new rule is being added
   		scor.awl.filter.inv.defaultCriteriaValue = function(map){
   			var key = map.key;
			var keyText = $j(key).val();
			var criteriaBox = map.criteriaBox;
			if ((keyText == "<%=Constants.INV_RULE_COND_APPLICATION_NAME%>")
		 			|| (keyText == "<%=Constants.INV_RULE_COND_APPLICATION_VERSION%>")
		 			|| (keyText == "<%=Constants.INV_RULE_COND_APPLICATION_VENDOR%>")) {
		 		criteriaBox.val("<%=Constants.MATCH_TYPE_CONTAINS%>");
		 	} else {
		 		criteriaBox.val("<%=Constants.MATCH_TYPE_EQUALS%>");
		 	}
		}
   		
   		// Adds a number into the id of divs present in given filter rule div.
   		scor.awl.filter.inv.setSectionIDInChildDivs = function(filterRulesDiv){
   			var allDivsInFilterRuleDiv = $j(filterRulesDiv).children('div');
   			for(var divIndex = 0 ; divIndex < allDivsInFilterRuleDiv.length; divIndex++){
	   	   			var div = allDivsInFilterRuleDiv[divIndex];
	   	   			var divKey = $j(div).attr('id');	   	   			  	   				
	   	   			$j(div).attr("id", divKey+"_"+scor.awl.filter.inv.sectionCount);	   	   			   	   	   	   		
	   	   	}	
   	   	}

   		scor.awl.filter.inv.doFormatingForReadOnlyGroupForObRuleDiv = function(inputDiv){
   			var allDivsInFilterRule = $j(inputDiv).find('div');
   			var sectionId = scor.awl.filter.inv.sectionCount;
   			for(var divIndex = 0 ; divIndex < allDivsInFilterRule.length; divIndex++){
	   	   			var div = allDivsInFilterRule[divIndex];
	   	   			var divKey = $j(div).attr('id');
	   	   			if(!divKey){
	   	   				continue;
		   	   		}
	   	   			if(divKey.indexOf("<%=INV_ID_DELETE%>") !== -1)
	   	   			{
	   	   				$j(div).html('${ruleJS}');
	   	   				continue;
		   	   		}
	   	   			if(divKey.indexOf("<%=INV_RULE_FILTER_DIV%>") !== -1)
	   	   			{
	   	   				var eventFilterChkbox = $j("#scorEventFilter" + "_" + sectionId);
	   	   				$j(eventFilterChkbox).attr("disabled", true);
	   	   				var filterRule = scor.awl.filter.inv.filterMappedBySectionId[sectionId]
	   	   				var rowIds = filterRule.getRowIds();
         		 		for (var index = 0; index < rowIds.length; index++) {
         		 		 	var rowId = rowIds[index];
         	   		 		var keyBox = $j("#<%=INV_ID_KEY%>" + "_" + sectionId + "_" + rowId); 
         	   		 		$j(keyBox).attr("disabled", true);
         	   		 		var criteriaBox = $j("#<%=INV_ID_CRITERIA%>" + "_" + sectionId + "_" + rowId); 
         	   		 		$j(criteriaBox).attr("disabled", true);
         	   				var valueTextBox = $j("#<%=INV_ID_VALUE%>" + "_" + sectionId + "_" + rowId); 
         	   				$j(valueTextBox).attr("disabled", true);
         	   				var valueSelectBox = $j("#binaryType-value" + "_" + sectionId + "_" + rowId);
         	   				$j(valueSelectBox).attr("disabled", true); 
         	   				var valueYesNoBox = $j("#<%=HAS_CERTIFICATE_ID_VALUE%>" + "_" + sectionId + "_" + rowId); 
     	   					$j(valueYesNoBox).attr("disabled", true);
         		 		}
	   	   			}   	   	   	   		
	   	   	}
   	   	}

   		// Creates add/remove MigicWidget into the   
   		scor.awl.filter.inv.addMagicwidgetInChildSection = function(readOnly){
   			var filterHtmlContent = $j("#<%=HTML_RULE_INV_FILTER_DIV%>").html();
	   	 	while (filterHtmlContent.indexOf("@SECTIONID") > -1){  
	   			filterHtmlContent = filterHtmlContent.replace("@SECTIONID", scor.awl.filter.inv.sectionCount);	 
	   	 	}
	   	 	var obj = new majic.AddWidget({
	         container:"<%=INV_RULE_FILTER_DIV%>" + "_" + scor.awl.filter.inv.sectionCount,
	         content:filterHtmlContent,
	         readOnly: readOnly,
	         addCallback: scor.awl.filter.inv.rowAdded,
	         removeCallback: scor.awl.filter.inv.rowRemove
	     	});  
	     	return obj;	 	
   	   	}

   		scor.awl.filter.inv.rowAdded = function(row){
   			var parentDivId = $j(row).parent().attr("id");
   			var sectionCounter = scor.awl.filter.inv.getDivNumber(parentDivId);
   			var rowId = row.id;
   		   	var rowCounter = scor.awl.filter.inv.getDivNumber(rowId);
   		   	scor.awl.filter.inv.insertAndLabel(row);
   		 	scor.awl.filter.inv.registerHandlersForRows(sectionCounter, rowCounter);   		    
   		    myEpoEnableApplyButton();
   	   	}

   		scor.awl.filter.inv.rowRemove = function(){
   	   		var lastChild = this.cntr.lastChild;
   	   		var isAndLabelPresent = $j(lastChild).find("#andLabel");
   	   		if(isAndLabelPresent || isAndLabelPresent.length > 0){
   	   			$j(isAndLabelPresent).remove();
   	   	   	}
   		 	myEpoEnableApplyButton();   	   	
   	   	}

   		scor.awl.filter.inv.getDivNumber = function(divId){
   			return (divId).split(/_/).pop();
   	   	}

   		scor.awl.filter.inv.insertAndLabel = function(currentRow){
   	   		if(currentRow.previousSibling){
   	   	   		var isAndLabelPresent = $j(currentRow.previousSibling).find("#andLabel");
   	   	   		if(!isAndLabelPresent || isAndLabelPresent.length === 0){
   	   	   			var isPresentBreakElement = $j(currentRow.previousSibling).find('br');
					if(isPresentBreakElement.length !== 0){   				
						$j(isPresentBreakElement).before("<span id=\"andLabel\">${andVarJS}<\span>");
	   	   			}else{
   						$j(currentRow.previousSibling).append("<span id=\"andLabel\">${andVarJS}<\span>");
	   	   			}
   	   	   		}
   	   		}
   	   	}

   		scor.awl.filter.inv.registerHandlersForRows = function(sectionId, rowId){
   	   		var keyBoxid = "<%=INV_ID_KEY%>"+"_"+sectionId+"_"+rowId;
   	   		var keyBox = $j('#'+keyBoxid);
   	   		
   	   		var valueTextBoxid = "<%=INV_ID_VALUE%>"+"_"+sectionId+"_"+rowId;
   	   		var valueTextBox = $j('#'+valueTextBoxid);

   			var valueSelectBoxid = "binaryType-value"+"_"+sectionId+"_"+rowId;
   	   		var valueSelectBox = $j('#'+valueSelectBoxid);
   	   		
   	   		var valueYesNoBoxid = "<%=HAS_CERTIFICATE_ID_VALUE%>"+"_"+sectionId+"_"+rowId;
	   		var valueYesNoBox = $j('#'+valueYesNoBoxid);
   	   		    	
   	   		var criteriaBoxid = "<%=INV_ID_CRITERIA%>"+"_"+sectionId+"_"+rowId;;
	   		var criteriaBox = $j('#'+criteriaBoxid);
	   		    	
   	   		var map = {'key': keyBox, 'valueBox' :valueTextBox, 'valueSelectBox':valueSelectBox,'valueYesNoBox':valueYesNoBox,'criteriaBox': criteriaBox, 
   	    	   		'id': sectionId, 'rowId': rowId};
   	   		  		
   	   		OrionEvent.registerHandler(valueTextBox.get(0), scor.awl.filter.inv.onChangeValueTextBox, map, "keyup", true);	
	   		OrionEvent.registerHandler(criteriaBox.get(0), scor.awl.filter.inv.onCriteriaSelectTextBox, map, "change", true);
	   		OrionEvent.registerHandler(keyBox.get(0), scor.awl.filter.inv.onKeySelectBox, map, "change", true);   		   	   		
   	   	}

   		scor.awl.filter.inv.registerHandlersForSection = function(sectionId){
   	   			var deleteLink = "#<%=INV_ID_DELETE%>"+"_"+sectionId;
   	   			var deleteDiv = $j(deleteLink);
   	   			var map = {'sectionId': sectionId};
  				OrionEvent.registerHandler(deleteDiv.get(0), scor.awl.filter.inv.onClickOfDeleteLink, map, "click", true);		
   	   	} 

   		scor.awl.filter.inv.onClickOfDeleteLink = function(evt){
   			var map = OrionEvent.getUserProperty(evt);
   			var sectionId = map.sectionId;
   	   		delete scor.awl.filter.inv.filterMappedBySectionId[sectionId];
   		 	myEpoEnableApplyButton();
   	   	}

   		scor.awl.filter.inv.onChangeValueTextBox = function(evt) {
   			var map = OrionEvent.getUserProperty(evt);
   			scor.awl.filter.inv.validateValueTextBox(map);
   	        myEpoEnableApplyButton();
   	     }
   		
   		scor.awl.filter.inv.onCriteriaSelectTextBox = function(evt) {
   			var map = OrionEvent.getUserProperty(evt);
   			scor.awl.filter.inv.validateValueTextBox(map);
   	        myEpoEnableApplyButton();
   	    }

   		scor.awl.filter.inv.onKeySelectBox = function(evt){
   			var map = OrionEvent.getUserProperty(evt);  
   			scor.awl.filter.inv.onKeySelectdoFormating(map) ;
   			scor.awl.filter.inv.defaultCriteriaValue(map);
   	   	}

   		scor.awl.filter.inv.onKeySelectdoFormating = function(map){
   			var key = map.key;
   			var keyText = $j(key).val();
   			if(keyText === "<%=KEY_INV_BINARY_TYPE%>"){
   				var valueSelectBox = map.valueSelectBox;
   	   			$j(valueSelectBox).parent().css('display','inline');
   	   			var valueYesNoBox = map.valueYesNoBox;
   				$j(valueYesNoBox).parent().css('display','none');
   			 	var valueBox = map.valueBox;
   			 	$j(valueBox).parent().css('display','none')
    		    var criteriaBox = map.criteriaBox;
   				$j(criteriaBox).val("<%=Constants.MATCH_TYPE_EQUALS%>");
   			 	$j(criteriaBox).attr("disabled", true);
   			 	
   			} else if (keyText == "<%=KEY_INV_HAS_CERTIFICATE%>") {
   				var valueSelectBox = map.valueSelectBox;
   	   			$j(valueSelectBox).parent().css('display','none');
   	   			var valueYesNoBox = map.valueYesNoBox;
   				$j(valueYesNoBox).parent().css('display','inline');
   			 	var valueBox = map.valueBox;
   			 	$j(valueBox).parent().css('display','none')
    		    var criteriaBox = map.criteriaBox;
   				$j(criteriaBox).val("<%=Constants.MATCH_TYPE_EQUALS%>");
   			 	$j(criteriaBox).attr("disabled", true);
   			 	
   			 	$j(valueYesNoBox).attr("disabled", true);

   			 	
   			} else{
   				var valueSelectBox = map.valueSelectBox;
   	   			$j(valueSelectBox).parent().css('display','none');
   	   			var valueYesNoBox = map.valueYesNoBox;
	   			$j(valueYesNoBox).parent().css('display','none');
   			 	var valueBox = map.valueBox;
   			 	$j(valueBox).parent().css('display','inline')
    		    var criteriaBox = map.criteriaBox;
   			 	$j(criteriaBox).attr("disabled", false);
   			 	
   	   		}	
   			scor.awl.filter.inv.validateValueTextBox(map);	   
   		 	myEpoEnableApplyButton();
   		 }

   		scor.awl.filter.inv.validateValueTextBox = function(map){

   		    var criteriaBox = map.criteriaBox;   		  
   		    var criteriaText = $j(criteriaBox).val();   		    
   		    var isValid = true;
   		    var msg = "";
   			var id = map.id;
   		  	var rowId = map.rowId;
   		  	
   		 	if(criteriaText !== '<%=Constants.MATCH_TYPE_EQUALS%>') {
   		 		isValid = true;
   		 		scor.awl.filter.inv.handleAefValidationError(isValid, msg, id, rowId);
   	        	return;
   	    	}
   	   		var key = map.key;
   	   		var keyText = $j(key).val();
   		    var valueBox = map.valueBox;
   		 	var valueText = $j(valueBox).val();

   		 	if(keyText === "<%=KEY_INV_BINARY_TYPE%>"){
   		 		isValid = true;
		 		scor.awl.filter.inv.handleAefValidationError(isValid, msg, id, rowId);
	        	return;
			}

			if(keyText === "<%=KEY_INV_FILE%>"){
   		    	var isValidObj = scor.validation.validatePath(valueText, '${orion:escapeJavaScriptString(param.osType)}');
   		    	if (isValidObj) {
   		        	isValid = isValidObj.isValid;
   		        	msg = isValidObj.msg;
   		    	}
   		    	scor.awl.filter.inv.handleAefValidationError(isValid, msg, id, rowId);
			}
   		}

   		
   		scor.awl.filter.inv.handleAefValidationError = function(isValid, msg, id, rowId){
			var row = $j("#<%=INV_RULE_FILTER_DIV%>"+"_"+id+"_awrow_"+rowId);
   			var errorDiv = $j("#<%=INV_ERROR_DIV%>").clone();
   			var errorDivId = "<%=INV_ERROR_DIV%>"+"_"+id+"_"+rowId;
   	   		errorDiv.attr("id", errorDivId); 
   			if(!isValid){
   				var isPresentBreakElement = $j(row).find('br');
   				if(!isPresentBreakElement || isPresentBreakElement.length === 0){   				
					row.append("<br/>");
   	   	   		}
   				var isErrorDivPresent = $j(row).parent().find("#"+errorDivId);
   	   	   		if(!isErrorDivPresent || isErrorDivPresent.length === 0){   				
					$j(errorDiv).css({'display':'inline'});
					$j(errorDiv).html(" " + msg);								
					row.append(errorDiv);
   	   	   		}else{
   	   	   			$j("#"+errorDivId).html(" ");
   	   	   			$j("#"+errorDivId).html(" " + msg);
   	   	   	   	}
			}else{
				$j("#"+errorDivId).html(" ");
				$j("#"+errorDivId).remove();
				$j(row).find('br').remove();
			}   					
     	 }


   		scor.awl.filter.inv.getRulesVO = function(){
     		  var finalFilterVOToSave = [];
     		  var sectionId;
     		  
     		 	for (sectionId in  scor.awl.filter.inv.filterMappedBySectionId) {
         		 		if(!(sectionId in scor.awl.filter.inv.filterMappedBySectionId)){
             		 		continue;
         		 		}
             		 	var filterRules = scor.awl.filter.inv.filterMappedBySectionId[sectionId];
             		 	if(!filterRules){
      	   	   		 		continue;
      	   	   		 	}
             		 	
         	   		 	var ruleItems = [];
             		 	var rowIds = filterRules.getRowIds();
             		 	for (var index = 0; index < rowIds.length; index++) {
                 		 	var rowId = rowIds[index];
         	   		 		var keyBox = $j("#<%=INV_ID_KEY%>" + "_" + sectionId + "_" + rowId);                
                    		if (!keyBox || keyBox.length === 0) {   //maybe a deleted entry
                       			continue;
                    		}
                    		var key = $j(keyBox).val();
                    		var criteriaBox = $j("#<%=INV_ID_CRITERIA%>" + "_" + sectionId + "_" + rowId); 
                    		var criteria = $j(criteriaBox).val();
                    		var value;
    						if(key ===  "<%=Constants.INV_RULE_COND_BINARY_TYPE%>"){
    							var selectValueBox = $j("#binaryType-value" + "_" + sectionId + "_" + rowId); 
    							value = $j(selectValueBox).val();
    						} else if(key ===  "<%=Constants.INV_RULE_COND_HAS_CERTIFICATE%>"){
    							var selectYesNoBox = $j("#<%=HAS_CERTIFICATE_ID_VALUE%>" + "_" + sectionId + "_" + rowId); 
    							value = $j(selectYesNoBox).val();
    						} else{
    							var textValueBox = $j("#<%=INV_ID_VALUE%>" + "_" + sectionId + "_" + rowId); 
    							value = $j(textValueBox).val();
    						}
    				    	if (value === '') {
    			             	continue;       //skip empty values
    			        	}
                        	var item = {"key": key, "value": value, "criteria": criteria};
                    		ruleItems.push(item);
         	   			}     		 	                                               		 	
             		
         		 	if(ruleItems.length === 0) { continue; } //skip empty Rules
         		 	var _ruleItem = {"ruleItems": ruleItems};
 	        		finalFilterVOToSave.push(_ruleItem);  
     		 	}
         		 return finalFilterVOToSave; 	
     	   	}

   		scor.awl.filter.inv.createAdvancedUI = function(filtersObj, readOnly, ruleGroupType, osType){
   			var isFilterRulesReadOnly = readOnly;
   	    	<c:if test="${isAuthorizedToEditFilterRules == false}">
   	    		isFilterRulesReadOnly = true;
   	        </c:if>
   			scor.awl.filter.inv.clearAdvancedUI();
         	if (!filtersObj){
             	return;
         	}
         	scor.awl.filter.inv.type.setRuleType(ruleGroupType);
         	scor.awl.filter.inv.type.setOsType(osType);
   	   		scor.awl.filter.inv.showHideDescriptionArea();
   	   		
         	for (var i = 0; i < filtersObj.length; i++) {
             	if ((!filtersObj[i].ruleItems) || (filtersObj[i].ruleItems.length == 0)) {
                 	continue;
             	}
             	scor.awl.filter.inv.addRule(filtersObj[i], isFilterRulesReadOnly);
         	}    	   		
   	   	}
   	   	

   		scor.awl.filter.inv.clearAdvancedUI = function() {
   	        while (scor.awl.filter.inv.filterSections.length !== 0) {
   	        	scor.awl.filter.inv.deleteRule(scor.awl.filter.inv.filterSections[0], true);
   	        }
   	     	scor.awl.filter.inv.filterSections = [];
   	     	scor.awl.filter.inv.filterMappedBySectionId = {};
   	     	scor.awl.filter.inv.sectionCount = 0;
   	    }


   		scor.awl.filter.inv.deleteRule = function (obj, fromCode) {
   		    for (var i = 0; i < scor.awl.filter.inv.filterSections.length; i++) {
   		        var div = scor.awl.filter.inv.filterSections[i];

   		        if (div == obj) {
   		        	scor.awl.filter.inv.filterSections.splice(i, 1);
   		            obj.parentNode.removeChild(obj);
   		            obj = null;     // Required for IE
   		            break;
   		        }
   		    }
   		}
   		
   		scor.awl.filter.inv.ruleGroupReadOnly = function(enabled){
   			OrionCore.setEnabledById( "SCORAddInvExclusionRule", enabled);
   	   	}

  		scor.awl.filter.inv.type = function() {
  			var isAppControl = false;
  			var isWinOs = false;
  			return {
  				isAWL : function() {
  					return isAppControl;
  				},
  				isWIN_OS : function() {
  					return isWinOs;
  				},
  				setRuleType : function(ruleGroupType) {
  					isAppControl = (ruleGroupType == 'application_control');
  				},
  				setOsType : function(osType){
  					isWinOs = (osType == 'WIN');
  	  			}
  			}
  		}();

  </script>
  
<orion:box>  
<div id="invFilterRulesDiv" style="padding-left: 10px;">
	<div id="invFilterDescriptionArea" class ="filtersDescriptionArea" style="display:none;">
		${awlInventoryFilterDescriptionText}<br/>
	</div>
</div>
<div id="addInvRuleButtonBox" style="padding-left: 10px;">
	<orion:button id="SCORAddInvExclusionRule" onclick="scor.awl.filter.inv.addRule(null, false);" text="${addRule}" />
</div>
 
 
</orion:box>

<!-- Following is the div that is cloned and added into invFilterRulesDiv (above div) when ever user clicks
 on Add Rule button/or when page displayes already added rules at page load of Policy UI. -->
 
<div id="invFilterRuleDiv" style="display: none;">
	<div style="margin-bottom: 3px;margin-left: 3px;" id="<%=INV_ID_DELETE%>">${rule} | 
		<a class="deleteLinkClass" onclick="scor.awl.filter.inv.deleteRule(this.parentNode.parentNode, false)"> ${delete} </a> <br />
	</div>
	<div id= "<%=INV_RULE_FILTER_DIV%>" style="margin-left: 3px;"></div>
	<div id="scorInventoryExclusionOrBar" style='width: 100%; float: left;'>
		<div class = "orLineDivClass">
			<HR>
		</div>
		<div style="float: left; font-size: small;"><orion:message key="policy.mon.adv.or" escape="html" /></div>
		<div class = "orLineDivClass">
			<HR>
		</div>
		<br />
	</div>
</div>

<div id= "<%=HTML_RULE_INV_FILTER_DIV%>" style="display: none;font-size: 10px;">
	 <select id="<%=INV_ID_KEY + "_" + "@SECTIONID_@ID"%>" name="<%=INV_ID_KEY + "_" + "@SECTIONID_@ID"%>" tabindex="0">
       	<option value="<%=Constants.INV_RULE_COND_FILE%>"><orion:message key="scor.policy.awl.invfilter.filepath" escape="html"/></option>
        <option value="<%=Constants.INV_RULE_COND_BINARY_TYPE%>"><orion:message key="scor.policy.awl.invfilter.binarytype" escape="html"/></option>     
        <option value="<%=Constants.INV_RULE_COND_APPLICATION_NAME%>"><orion:message key="scor.policy.awl.invfilter.applicationName" escape="html"/></option>
        <option value="<%=Constants.INV_RULE_COND_APPLICATION_VERSION%>"><orion:message key="scor.policy.awl.invfilter.applicationVersion" escape="html"/></option>
        <option value="<%=Constants.INV_RULE_COND_APPLICATION_VENDOR%>"><orion:message key="scor.policy.awl.invfilter.applicationVendor" escape="html"/></option>
        <option value="<%=Constants.INV_RULE_COND_HAS_CERTIFICATE%>"><orion:message key="scor.policy.awl.invfilter.hasCertificate" escape="html"/></option>
    </select>
    	
	<select id="<%=INV_ID_CRITERIA + "_" + "@SECTIONID_@ID"%>" name="<%=INV_ID_CRITERIA + "_" + "@SECTIONID_@ID"%>" tabindex="0">
	 	<option value="<%=Constants.MATCH_TYPE_EQUALS%>"><orion:message key="scor.policy.mon.adv.match.equals" escape="html"/></option>
        <option value="<%=Constants.MATCH_TYPE_BEGINS_WITH%>"><orion:message key="scor.policy.mon.adv.match.beginsWith" escape="html"/></option>
        <option value="<%=Constants.MATCH_TYPE_ENDS_WITH%>"><orion:message key="scor.policy.mon.adv.match.endsWith" escape="html"/></option>
        <option value="<%=Constants.MATCH_TYPE_CONTAINS%>"><orion:message key="scor.policy.mon.adv.match.contains" escape="html"/></option>
	</select> 
		
	<div id="<%=BINARY_TYPE_ID_VALUE + "-div"%>" style="display:none;">
		<orion:select id="binaryType-value_@SECTIONID_@ID" items="${scorBinaryTypeDisplayKeys}"/>	
	</div>
	
	<div id="<%=HAS_CERTIFICATE_ID_VALUE + "-div"%>" style="display:none;">
		<orion:select id="has-certificate-invvalue_@SECTIONID_@ID" items="${scorYesNoDisplayKeys}"/>	
	</div>
		
	<div id="<%=INV_ID_VALUE+"-div"%>" style="display:inline;">
       	<input id="<%=INV_ID_VALUE + "_" + "@SECTIONID_@ID"%>" class="orionInput" tabindex="0" type="text" style="width:40%"/>
    </div>    	
</div>

<div id="<%=INV_ERROR_DIV %>" style="display:none;color:red"> </div>
