<!-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved-->
<%@ page import="com.mcafee.orion.core.OrionCore"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor"%>
<orion:message key="scor.selfapproval.createCustomPolicy.save"
	var="savePolicyTxt" escape="None" />
<orion:message key="scor.selfapproval.createCustomPolicy.cancel"
	var="cancelPolicyTxt" escape="None" />
<orion:message
	key="scor.selfapproval.custompolicy.addRuleGroupToExistingPolicies"
	var="addRuleGroupToExistingPolicyMsg" escape="None" />

<orion:message key="scor.awl.no.viewPermission.msg.part1" var="noViewPermPrefix" escape="javascript"/>
<orion:message key="scor.awl.no.viewPermission.msg.part2" var="noViewPermSuffix" escape="javascript"/>

<orion:message key="scor.policy.awl.tab.title.updaters" var="tabTitleUpdaters" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.binary" var="tabTitleBinary" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.publishers" var="tabTitlePublishers" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.applications" var="tabTitleApplications" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.exceptions" var="tabTitleExceptions" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.trustedDirectories" var="tabTitleTrustedDirectories" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.observationExclusion" var="tabTitleObservationExclusion" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.inventoryExclusion" var="tabTitleInventoryExclusion" escape="javascript"/>
<orion:message key="scor.policy.awl.tab.title.executionControl" var="tabTitleExecControl" escape="javascript"/>
<orion:message key="policy.mon.advanced" var="tabTitleFilters" escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.tab.title" var='tabTitleTrustedUsers' escape="javascript"/>

<orion:message key="scor.ruleGroup.failureSavingMsg" var="failureRuleGroupSavingMsg" escape="javascript" />

<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupUpdaterRules"
	authToken="isAuthorizedToEditUpdaterRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupBinaryRules"
	authToken="isAuthorizedToEditBinaryRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupTrustedUserRules"
	authToken="isAuthorizedToEditTrustedUserRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupPublisherRules"
	authToken="isAuthorizedToEditPublisherRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupInstallerRules"
	authToken="isAuthorizedToEditInstallerRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupExceptionRules"
	authToken="isAuthorizedToEditExceptionRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupTrustedDirRules"
	authToken="isAuthorizedToEditTrustedDirRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupFilterRules"
	authToken="isAuthorizedToEditFilterRules" />
<scor:auth
	authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper"
	authMethodName="isUserAllowedToEditRuleGroupExecControlRules"
	authToken="isAuthorizedToEditExecControlRules" />
	
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupUpdaterRules" authToken = "isAuthorizedToViewUpdaterRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupBinaryRules" authToken = "isAuthorizedToViewBinaryRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupTrustedUserRules" authToken = "isAuthorizedToViewTrustedUserRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupPublisherRules" authToken = "isAuthorizedToViewPublisherRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupInstallerRules" authToken = "isAuthorizedToViewInstallerRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupExceptionRules" authToken = "isAuthorizedToViewExceptionRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupTrustedDirRules" authToken = "isAuthorizedToViewTrustedDirRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupFilterRules" authToken = "isAuthorizedToViewFilterRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupExecControlRules" authToken = "isAuthorizedToViewExecControlRules"/>
	<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewAppControlRules" authToken = "isAuthorizedToViewAppControlRules"/>
	


<orion:box>
	<orion:vbox>
		<orion:box id="ruleGroupTabId" height="450">
			<jsp:include page="${scorRuleGroupPageUrlAttr}"></jsp:include>
		</orion:box>
		<c:set var="fixSelectBoxWidth" scope="request" value="true" />
		<c:set var="selectBoxWidth" scope="request" value="200" />
		<jsp:include page="../common/ruleGroupAndPolicyWidget.jsp" />
		<orion:footerbar>			
			<orion:button id="saveGroup" text="${savePolicyTxt}"
				onclick="scor.awl.rule.save();" />
			<orion:button id="cancelPolicy" text="${cancelPolicyTxt}"
				onclick="OrionNavigation.back();" />
		</orion:footerbar>
	</orion:vbox>
</orion:box>

<script type="text/javascript">
				var scor = scor || {};
				scor.awl = scor.awl || {};
				scor.awl.rule = scor.awl.rule || {};
		
				scor.awl.rule.save = function() {
					var updatedGrp = scor.grpMgmt.getGroup();
			        var updatedGrpJSON = JSON.stringify(updatedGrp);
			        var groupName = '';
			        var groupId = -1;
			        var groupSelectElem = null;
			        var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
			        if(isNewRuleGroupSelected) {
			        	groupName = $('newGroupHtmlId').value;
			        } else {
			        	groupSelectElem = $('scorGroupsSelectId');
			        	groupId = groupSelectElem.value;
			        }
			        
			        var addToExistingPolicy = $('addToExistingPolicyCheckBoxId').checked;
			        var policyId = -1;
			       
			        if (addToExistingPolicy) {
			        	policyId = $('selectPolicyId').value;
			        }			        
			       	scor.actions.doAsyncAction('/SOLIDCORE_META/saveAWLRulesToRuleGroupAndPolicy.do',
			        		['groupData', updatedGrpJSON, 'groupID', groupId,
			        		 'addToExistingPolicy', addToExistingPolicy,
			        		 'policyId', policyId,
			        		'groupName', groupName],
			        		scor.awl.rule.save.success, scor.awl.rule.save.failure, 'POST');					
				};
				
				
				scor.awl.rule.save.success = function(result) {
					if(typeof(scor.awl.rule.save.success.callback) == "function"){
						scor.awl.rule.save.success.callback(result);
					}		        	
				};
				
				scor.awl.rule.save.failure = function() {
					window.alert("${failureRuleGroupSavingMsg}");
				};
			
				
				scor.awl.rule.enablePolicyList = function() {
					var addToPolicyCheckBox = document.getElementById("addToExistingPolicyCheckBoxId");
					var selectPolicyElement = document.getElementById("selectPolicyId");
					if (addToPolicyCheckBox.checked) {
						selectPolicyElement.disabled = false;
					} else {
						selectPolicyElement.disabled = true;
					}
				}
				
				scor.awl.rule.initAddRuleGroupToExistingPolicy = function(awlVO) {
					var addToPolicyCheckBox = document.getElementById("addToExistingPolicyCheckBoxId");
					var selectPolicyElement = document.getElementById("selectPolicyId");
					
					addToPolicyCheckBox.checked = false;
					selectPolicyElement.disabled = true;
					
					if(selectPolicyElement.length == 0) {
						addToPolicyCheckBox.disabled = true;
					}
					OrionEvent.registerHandlerById('addToExistingPolicyCheckBoxId', scor.awl.rule.enablePolicyList, null, 'click', false);
					
				}

				scor.awl.rule.populateAwlData = function(awlVO) {
					if(! awlVO){
						return;
					}
					for	(index = 0; index < scor.awl.rule.awlPolicyTab.AWL_TABS.length; index++) {
					    awlTab = scor.awl.rule.awlPolicyTab.AWL_TABS[index];  
					    scor.awl.rule.populateDataInTab(awlTab, awlVO);
					}	
				};
				
				scor.awl.rule.populateDataInTab = function(awlTab, awlPolVo){
					
					var ruleTypeObject = new scor.awl.rule.awlPolicyTab.ruleTypeObject(awlTab, awlPolVo);
					
					if (ruleTypeObject.editAllow === true && typeof ruleTypeObject.populateRuleFunc === "function") {	
			    		switch (ruleTypeObject.tabId) {
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_UPDATER']: 
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.UPDATER], awlPolVo['type']);
					    		break;
					    	
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_BINARIES']: 	
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.BINARIES]);
					    		break;
					    	
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_TRUSTED_DIRECTORIES']: 
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.TRUSTED_DIRECTORIES]);
				    	   		break;	
				    	   	
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_TRUSTED_USERS']: 
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.TRUSTED_USERS], ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.TRUSTED_GROUPS]);
				    	   		break;
				    	
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_PUBLISHERS']: 
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.PUBLISHERS]);
			    				break;				    	
			    		
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_APPS']: 
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.APPS]);
				    			break;
				    			
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_ATTRIBUTES']: 
				    			ruleTypeObject.populateRuleFunc(awlPolVo);
				    			break;
				    		
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_ADVANCED']: 
				    			var readOnly = (awlPolVo['readOnly'] === "true") ? true : false;
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.ADVANCED],readOnly, awlPolVo['type'], '${param.osType}');
				    			break;
				    		case scor.awl.rule.awlPolicyTab.ruleTabToTabIdMap['TAB_EXEC_CONTROL']: 
				    			ruleTypeObject.populateRuleFunc(ruleTypeObject.awlPolVo[scor.awl.rule.awlPolicyTab.EXEC_CONTROL]);
				    			break;
				    	}
			    		
			    	} else{
			    		if(ruleTypeObject.viewAllow && ruleTypeObject.rules && ruleTypeObject.rules.length > 0){
			    			$j('#'+ruleTypeObject.errorDiv).show();
			    		}
			    	}
					
					if(ruleTypeObject.viewAllow || ruleTypeObject.editAllow){
						var noPermTabs = scor.awl.rule.getNoPermTabNames();
		    			if(noPermTabs.length > 0 ){
		    				$j('#'+ruleTypeObject.errorDiv).text('${noViewPermPrefix}'+noPermTabs+' ${noViewPermSuffix}');
		    				$j('#'+ruleTypeObject.errorDiv).show();
		    			}
					}
					
					    		
		    		if(ruleTypeObject.viewAllow && ruleTypeObject.rules && ruleTypeObject.rules.length > 0){
		    			scorRuleGroupTabSwapper.swap($(ruleTypeObject.tabId));
		    		} 
				}
				
				scor.awl.rule.getNoPermTabNames = function(){
					var noPermTabs = [];
					
					if(${isAuthorizedToViewUpdaterRules} == false) noPermTabs.push('${tabTitleUpdaters}');
					if(${isAuthorizedToViewBinaryRules} == false) noPermTabs.push('${tabTitleBinary}');
					if(${isAuthorizedToViewTrustedUserRules} == false) noPermTabs.push('${tabTitleTrustedUsers}');
					if(${isAuthorizedToViewPublisherRules} == false) noPermTabs.push('${tabTitlePublishers}');
					if(${isAuthorizedToViewInstallerRules} == false) noPermTabs.push('${tabTitleApplications}');
					if(${isAuthorizedToViewExceptionRules} == false) noPermTabs.push('${tabTitleExceptions}');
					if(${isAuthorizedToViewTrustedDirRules} == false) noPermTabs.push('${tabTitleTrustedDirectories}');
					if(${isAuthorizedToViewFilterRules} == false) noPermTabs.push('${tabTitleFilters}');
					if(${isAuthorizedToViewExecControlRules} == false) noPermTabs.push('${tabTitleExecControl}');	
					
					return noPermTabs;
				}
				
				scor.awl.rule.populateRulesUsingData = function(awlPolObj) {					
					if(awlPolObj){
						var awlPolVO =  getAwlPolVOFromJson(awlPolObj);
						scor.awl.rule.populateAwlData(awlPolVO.common.getVO());
					}else{
						scor.awl.rule.populateAwlData('');
					}
				};	
				
			
				scor.awl.rule.validateRuleGroup = function() {
					var groupName = '';
					var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
					
					var saveButton = new Button("saveGroup");
					if(isNewRuleGroupSelected) {
						groupName = $('newGroupHtmlId').value;
						if (groupName === '') {
							saveButton.setEnabled(false);
			    			$('scor.rg.already.exists.err').style.display = 'none';//Probably show the Empty div error mesg.
							return;
						}
			    		var valid = scor.rg.sel.checkValidNewGroup(groupName, $('scorGroupsSelectId'));
			    		if (valid) {
			    			saveButton.setEnabled(true);
			    			$('scor.rg.already.exists.err').style.display = 'none';
			    		} else {
			    			saveButton.setEnabled(false);
			    			$('scor.rg.already.exists.err').style.display = '';
			    			return;
			    		}
					}
					
					saveButton.setEnabled(true);
					$('scor.rg.already.exists.err').style.display = 'none';					
					
					//var awlPolObj = scor.awl.rule.actionToAwlPolVO.getAwlPolVOForAction('${scorAllowAction}');
					var updatedGrp = scor.grpMgmt.getGroup();
			        if(updatedGrp){
						if(! scor.awl.rule.awlPolicyTab.isAnyRuleWithEditPermissionPresent(updatedGrp)){
							saveButton.setEnabled(false);
						}
					}					
				};
				
				scor.awl.rule.handleRuleGroupSelection = function () {
					scor.rg.sel.init();
					OrionEvent.registerHandlerById('newGroupHtmlId', scor.awl.rule.validateRuleGroup, null, 'keyup', false);
					OrionEvent.registerHandlerById('addToNewRuleGroupOption', scor.awl.rule.validateRuleGroup, null, 'click', false);
					OrionEvent.registerHandlerById('addToExistingRuleGroupOption', scor.awl.rule.validateRuleGroup, null, 'click', false);
					var saveButton = new Button("saveGroup");
					saveButton.setEnabled(false);
				};
				
				
				scor.awl.rule.actionToAwlPolVO = function () {
					var _actionsToRuleDiscoveryAppControlVO;
	
					if('${orion:escapeJavaScript(scorActionToRulesMap)}'){
						 _actionsToRuleDiscoveryAppControlVO = JSON.parse('${orion:escapeJavaScript(scorActionToRulesMap)}');
					}

					return {
						get: function() {
							return _actionsToRuleDiscoveryAppControlVO;
						},					
						getAwlPolVOForAction: function (action) {
							if(_actionsToRuleDiscoveryAppControlVO){
								return _actionsToRuleDiscoveryAppControlVO[action];
							}
						}
					};
				}();
			
				scor.awl.rule.awlPolicyTab = function () {
					var UPDATER = 'updaters',
					TRUSTED_DIRECTORIES = 'trustedDirectories',
					TRUSTED_USERS = 'trustedUsers',
					TRUSTED_GROUPS = 'trustedGroups',
					PUBLISHERS = 'publishers',
					APPS = 'apps',
					BINARIES = "binaries",
					ATTRIBUTES = "attributes",
					ADVANCED = 'advanced',
					EXEC_CONTROL = 'execControlVOs',
					
					TAB_UPDATER = 'tab_updaterTabId',
					TAB_TRUSTED_DIRECTORIES = 'tab_trustedDirectoriesTabId',
					TAB_TRUSTED_USERS = 'tab_trustedUsersTabId',
					TAB_PUBLISHERS = 'tab_PublisherTab',
					TAB_APPS = 'tab_applicationsTabId',
					TAB_BINARIES = 'tab_allowBanBinaryId',
					TAB_ATTRIBUTES = 'tab_attributesTabId',
					TAB_ADVANCED = 'tab_advanced',
					TAB_EXEC_CONTROL = 'tab_execControlTabId',
					
					AWL_TABS = ['TAB_UPDATER', 'TAB_TRUSTED_DIRECTORIES', 'TAB_TRUSTED_USERS', 'TAB_PUBLISHERS', 'TAB_APPS', 'TAB_BINARIES', 'TAB_ATTRIBUTES', 'TAB_ADVANCED', 'TAB_EXEC_CONTROL'];
					
					ruleTabToRuleTypesMap = {
							TAB_UPDATER : [UPDATER],
							TAB_TRUSTED_DIRECTORIES: [TRUSTED_DIRECTORIES],
							TAB_TRUSTED_USERS: [TRUSTED_USERS, TRUSTED_GROUPS],
							TAB_PUBLISHERS: [PUBLISHERS],
							TAB_APPS: [APPS],
							TAB_BINARIES: [BINARIES],
							TAB_ATTRIBUTES: [ATTRIBUTES],
							TAB_ADVANCED: [ADVANCED],
							TAB_EXEC_CONTROL: [EXEC_CONTROL]
					},
					
					ruleTabToTabIdMap = {
							TAB_UPDATER : 'tab_updaterTabId',
							TAB_TRUSTED_DIRECTORIES: 'tab_trustedDirectoriesTabId',
							TAB_TRUSTED_USERS: 'tab_trustedUsersTabId',
							TAB_PUBLISHERS: 'tab_PublisherTab',
							TAB_APPS: 'tab_applicationsTabId',
							TAB_BINARIES: 'tab_allowBanBinaryId',
							TAB_ATTRIBUTES: 'tab_attributesTabId',
							TAB_ADVANCED: 'tab_advanced',
							TAB_EXEC_CONTROL: 'tab_execControlTabId'
					},
					
					ruleTabToRulePermission = {
							TAB_UPDATER: ${isAuthorizedToEditUpdaterRules},
							TAB_TRUSTED_DIRECTORIES: ${isAuthorizedToEditTrustedDirRules},
							TAB_TRUSTED_USERS: ${isAuthorizedToEditTrustedUserRules},
							TAB_PUBLISHERS: ${isAuthorizedToEditPublisherRules},
							TAB_APPS: ${isAuthorizedToEditInstallerRules},
							TAB_BINARIES: ${isAuthorizedToEditBinaryRules},
							TAB_ATTRIBUTES: ${isAuthorizedToEditExceptionRules},
							TAB_ADVANCED: ${isAuthorizedToEditFilterRules},
							TAB_EXEC_CONTROL: ${isAuthorizedToEditExecControlRules}
					},	
					
					ruleTabToViewRulePermission = {
							TAB_UPDATER: ${isAuthorizedToViewUpdaterRules},
							TAB_TRUSTED_DIRECTORIES: ${isAuthorizedToViewTrustedDirRules},
							TAB_TRUSTED_USERS: ${isAuthorizedToViewTrustedUserRules},
							TAB_PUBLISHERS: ${isAuthorizedToViewPublisherRules},
							TAB_APPS: ${isAuthorizedToViewInstallerRules},
							TAB_BINARIES: ${isAuthorizedToViewBinaryRules},
							TAB_ATTRIBUTES: ${isAuthorizedToViewExceptionRules},
							TAB_ADVANCED: ${isAuthorizedToViewFilterRules},
							TAB_EXEC_CONTROL: ${isAuthorizedToViewExecControlRules}
					},
					
					ruleTabToPopulateFuncName = {
							TAB_UPDATER: scor.rg.awl.updaters.populateUpdaters,
							TAB_TRUSTED_DIRECTORIES: populateTrustedDirectories,
							TAB_TRUSTED_USERS: rePopulateTrustedUsersGroups,
							TAB_PUBLISHERS: populatePublishers,
							TAB_APPS: populateApplications,
							TAB_BINARIES: populateBinaries,
							TAB_ATTRIBUTES: populateAttributes,
							TAB_ADVANCED: scor.awl.filter.createAdvancedUI,
							TAB_EXEC_CONTROL: populateExecControlVOs
					},
					
					ruleTabToErrorDivMap = {
							TAB_UPDATER: "updaterErrorDivId",
							TAB_TRUSTED_DIRECTORIES: "trustedDirectoriesErrorDivId",
							TAB_TRUSTED_USERS: "trustedUsersErrorDivId",
							TAB_PUBLISHERS: "publishersErrorDivId",
							TAB_APPS: "appsErrorDivId",
							TAB_BINARIES: "binaryErrorDivId",
							TAB_ATTRIBUTES: "attributesErrorDivId",
							TAB_ADVANCED: "advancedErrorDivId",
							TAB_EXEC_CONTROL: "execControlErrorDivId"
					},
					
					_ruleTypeObject = function(awlTabId, awlPolVo){
						this.ruleType = ruleTabToRuleTypesMap[awlTabId];
						this.tabId = ruleTabToTabIdMap[awlTabId];
						this.editAllow = ruleTabToRulePermission[awlTabId];
						this.viewAllow = ruleTabToViewRulePermission[awlTabId];
						this.populateRuleFunc = ruleTabToPopulateFuncName[awlTabId];
						this.awlPolVo = awlPolVo;
						this.errorDiv = ruleTabToErrorDivMap[awlTabId];
						this.rules = awlPolVo[this.ruleType];
					}
					
					_hideAllTabs = function () {
						$j.each(ruleTypeToTabId, function(ruleType, tabId) {
							$j('#'+tabId).hide();
						});
					},
					
					_hideTabForRuleType = function (ruleType) {
						var tabId = ruleTypeToTabId[ruleType];
						$j('#'+tabId).hide();
					},
					
					_showTabForRuleType = function (ruleType) {
						var tabId = ruleTypeToTabId[ruleType];
						$j('#'+tabId).show();
					},
					
					_isAnyRuleWithEditPermissionPresent = function (awlVO) {
						var updaters = awlVO['updaters'];
						var binaries = awlVO['binaries'];
						var apps = awlVO['apps'];
						var publishers = awlVO['publishers'];
						var attributes = awlVO['attributes'];
						var trustedDirectories = awlVO['trustedDirectories'];
						var trustedUsers = awlVO['trustedUsers'];
						var advanced = awlVO['advanced'];
						var execControlVOs = awlVO['execControlVOs'];
						var isAnyRuleWithEditPermissionPresent = true;
						
						if (trustedDirectories != null && trustedDirectories.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditTrustedDirRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						}  else if (publishers != null && publishers.length > 0) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditPublisherRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (updaters != null && updaters.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditUpdaterRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (binaries != null && binaries.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditBinaryRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (apps != null && apps.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditInstallerRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (attributes != null && attributes.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditExceptionRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (trustedUsers != null && trustedUsers.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditTrustedUserRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (advanced != null && advanced.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditFilterRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						} else if (execControlVOs != null && execControlVOs.length > 0 ) {
							isAnyRuleWithEditPermissionPresent = isAnyRuleWithEditPermissionPresent && ${isAuthorizedToEditExecControlRules}
							if(isAnyRuleWithEditPermissionPresent){
								return true;
							}
						}
						return false;
					};
					
					return {
						UPDATER: UPDATER,
						TRUSTED_DIRECTORIES: TRUSTED_DIRECTORIES,
						TRUSTED_USERS: TRUSTED_USERS,
						TRUSTED_GROUPS: TRUSTED_GROUPS,
						PUBLISHERS: PUBLISHERS,
						APPS: APPS,
						BINARIES: BINARIES,
						ATTRIBUTES: ATTRIBUTES,
						ADVANCED: ADVANCED,
						EXEC_CONTROL: EXEC_CONTROL,
						
						
						ruleTabToTabIdMap : ruleTabToTabIdMap,
						
						AWL_TABS : AWL_TABS,
						
						ruleTypeObject: _ruleTypeObject,
						hideAllTabs: _hideAllTabs,
						showTabForRuleType: _showTabForRuleType,
						hideTabForRuleType: _hideTabForRuleType,
						isAnyRuleWithEditPermissionPresent: _isAnyRuleWithEditPermissionPresent
					};
				}();
				
				scor.awl.rule.populateRules= function () {
					var awlPol = scor.awl.rule.actionToAwlPolVO.getAwlPolVOForAction('${scorAllowAction}');
					scor.awl.rule.populateRulesUsingData(awlPol);
				};
				
				scor.awl.rule.init = function () {
					scor.awl.rule.handleRuleGroupSelection();
					scor.awl.rule.initAddRuleGroupToExistingPolicy();
					scor.awl.rule.populateRules();								
				};
				
				OrionCore.addLoadHandler(scor.awl.rule.init);
			</script>
