<!-- Copyright (C) 2014-2018 McAfee, Inc. All rights reserved. -->
<%@page
        import="com.mcafee.scor.clienttask.action.EnableClientTaskActions" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>

<orion:message key="scor.task.status.rebootIfrequired"
               var="labelRebootIfRequired"/>
<orion:message key="scor.task.status.enable.limitedActivation"
               var="labelLimitedActivation" escape="none"/>
<orion:message key="scor.task.status.enable.limitedActivationWarning"
               var="labelLimitedActivationWarning"/>
<orion:message key="scor.task.status.enable.fullActivation"
               var="labelFullActivation" escape="none"/>
<orion:message key="scor.task.status.enable.fullActivationWarning"
               var="labelFullActivationWarning"/>
<orion:message key="scor.task.status.enable.activationOptions"
               var="labelActivationOptions"/>
<orion:message key="scor.task.status.enable.featureOptions"
               var="labelFeaturesOptions"/>
<orion:message key="scor.task.status.enable.inventoryFetchText"
               var="labelInventoryFetchRequired" escape="none"/>
<orion:message key="scor.task.status.enable.inventoryFetchDescription"
               var="labelInventoryFetchDescription"/>
<orion:message key="scor.task.status.enable.inventoryFetchOption"
               var="labelInventoryFetchOption"/>
<orion:message key="scor.task.status.enable.agentOptionText"
               var="labelAgentOptsToBeDeployedOn"/>
<orion:message key="scor.task.status.enable.observationModeOption"
               var="labelObserVationMode"/>
<orion:message key="scor.task.status.enable.InventoryModeOption"
               var="labelInventoryMode"/>

<orion:message key="scor.task.status.RebootIfRequiredckboxtxt"
               var="labelRebootIfRequiredckboxtxt" escape="none"/>
<orion:message key="scor.task.status.rebootIfrequiredText"
               var="labelRebootIfRequiredText"/>
<orion:message key="scor.task.status.rebootwarningText"
               var="labelRebootWarningText"/>
<orion:message key="scor.task.status.enable" var="labelEnable"/>
<orion:message key="scor.task.status.enable.awl" var="labelEnableAwl"
               escape="none"/>
<orion:message key="scor.task.status.enable.im" var="labelEnableIm"
               escape="none"/>

<orion:message key="scor.task.status.enable.error"
               var="labelEnableError" escape="javascript"/>
<orion:message key="scor.task.status.enable.noFeature"
               var="labelEnablenoFeatureError" escape="javascript"/>
<orion:message key="scor.task.status.enable.help.text" var="helptext"/>
<orion:message key="scor.warning.dialogBox.title" var="WarningText"
               escape="javascript"/>
<orion:message key="scor.error.dialogBox.title" var="ErrorText"
               escape="javascript"/>
<orion:message key="scor.task.status.delayInitialScanAndEnforce"
               var="delayInitialScanAndEnforce" escape="none"/>
<orion:message key="scor.task.status.delayInitialScanAndEnforceHelpText"
               var="delayInitialScanAndEnforceHelpText"/>
<orion:message
        key="scor.task.status.delayInitialScanAndEnforceHelpText2"
        var="delayInitialScanAndEnforceHelpText2"/>
<orion:message key="scor.task.status.enable.observationModeText"
               var="observationModeText" escape="none"/>
<orion:message key="scor.task.status.enable.subPlatform"
               var="subPlatformText"/>

<orion:message key="scor.task.status.enable.mpDisabled"
               var="labelMpDisabled" escape="none"/>
<orion:message key="scor.task.status.enable.sauDisabled"
               var="labelSauDisabled" escape="none"/>

<orion:message key="scor.task.ob.workflowID" var="labelWorkflowID"/>
<orion:message key="scor.task.ob.comment" var="labelcomment"/>
<orion:message key="scor.task.ob.commentError" var="labelcommentError"
               escape="javascript"/>
<orion:message key="scor.error.dialogBox.title"
               var="scorErrorDialogBoxTitle" escape="javascript"/>
<orion:message key="scor.task.ob.workflowID.help.text"
               var="workflowidhelptext"/>
<orion:message key="scor.task.status.enable.initialscan.priority.text"
               var="initialscanprioritytext"/>
<orion:message key="scor.general.alertMsg" var="generalAlertMsg"
               escape="javascript"/>
<orion:message key="scor.clienttask.enable.warning.msg"
               var="notSupportedVersionMsg"/>

<orion:message key="scor.task.feature.enable.mpDisablePermantly"
               var="labelMpDisabledPermantly"/>
<orion:message key="scor.task.feature.enable.sauDisablePermantly"
               var="labelSauDisabledPermantly"/>


<script type="text/javascript">
    OrionHelp.setHelpId("<%=HelpConstants.CLIENT_TASK_ENABLE%>");
</script>

<jsp:include page="/common/includejQuery.jsp" />

<script type="text/javascript">

    var scor = scor || {};

    scor.onVersionValChange = function(){
        if(${useAwl}==true && '${epoReadOnlyTask}' !== 'true'){
            $j('#enableAwl').removeAttr('disabled');
        }
        scor.onCurrentVersionAgentSelected();
    };

    scor.onPlatformValChange = function() {
        scor.checkAndEnableAC();
        var platform = $j('#scorPlatforms').val();
        scor.hideAllClientOptsSelectBox();
        if(platform=="WIN") {
            scor.showAC();

            $j('#scorWinSubplatformElem').show();
            scor.onWinSubPlatformValChange();
            if ($('enableinventoryMode') !== null) {
                $('enableinventoryMode').style.display = null;
                $('enableinventoryMode_label').style.display = null;
            }
        }else {
            $j('#scorUnixSubplatformElem').show();
            scor.onUnixSubPlatformValChange();
            if($('enableFim')!==null)
            {$('enableFim').checked = true;}
            if($('enableinventoryMode')!==null){
                $('enableinventoryMode').style.display = 'none';
                $('enableinventoryMode_label').style.display = 'none';
            }
        }
    };

    scor.onWinSubPlatformValChange = function() {
        scor.checkAndEnableAC();
        var winSubPlatform = $j('#scorWinSubplatforms').val();
        if (winSubPlatform === 'WINNT_2K'){
            scor.onOldVersionAgentSelected();
        } else {
            scor.onVersionValChange();
        }
    };

    scor.onUnixSubPlatformValChange = function() {
        scor.checkAndEnableAC();
        var unixSubPlatform = $j('#scorUnixSubplatforms').val();
        scor.onOldVersionAgentSelected();
        if (unixSubPlatform === 'AIX_HPUX') {
            scor.hideAC();
        }
        else{
            scor.showAC();
        }
    };

    scor.hideAllClientOptsSelectBox = function() {
        $j('#scorWinSubplatformElem').hide();
        $j('#scorUnixSubplatformElem').hide();
    }

    scor.checkAndEnableAC = function () {
        if(${useAwl}==true){
            $j('#enableAwl').css('visibility','visible');
        }
    }

    scor.hideAC = function () {
        if (${useAwl}==true){
            $j('#enableAwl').css('visibility', 'hidden');
            $j('.scorAwlElem').css('visibility', 'hidden');
        }
    }

    scor.showAC = function () {
        if (${useAwl}==true)
        {
            $j('#enableAwl').css('visibility', 'visible');
            $j('.scorAwlElem').css('visibility', 'visible');
        }
    }

    scor.initPlatformSubPlatformAndVersion = function() {
        scor.checkAndEnableAC();
        scor.hideAllClientOptsSelectBox ();
        $j('#scorPlatforms').change(scor.onPlatformValChange);
        $j('#scorWinSubplatforms').change(scor.onWinSubPlatformValChange);
        $j('#scorUnixSubplatforms').change(scor.onUnixSubPlatformValChange);
        scor.onVersionValChange();

        var platform = $j('#scorPlatforms').val();
        if (platform === 'WIN') {
            scor.onWinSubPlatformValChange();
        } else if (platform === 'UNIX') {
            scor.onUnixSubPlatformValChange();
        }
        scor.onPlatformValChange();
    }

    scor.initEnableTaskUI = function(){
        scor.initPlatformSubPlatformAndVersion();

        if (${useAwl} == true) {
            var awlCheckBoxChecked = $('enableAwl').checked;
            var ltdActivationRadioBtn = $('limitedActivation');
            var fullActivationRadioBtn = $('fullActivation');
            var inventoryFetchReqdBox = $('inventoryFetchRequired');
            var obModeCkBox = $('observationMode');
            var solidificationPriority = $('solidificationPriorityId');
            var sauDisabledCkBox = $('sauDisabled');
            var mpDisabledCkBox = $('mpDisabled');
            var imcheck=$('enableinventoryMode');

            if (awlCheckBoxChecked && '${invm}' !='true') {
                inventoryFetchReqdBox.disabled = false;
                ltdActivationRadioBtn.disabled = false;
                fullActivationRadioBtn.disabled = false;
                obModeCkBox.disabled = false;
                imcheck.disabled=false;
                solidificationPriority.disabled = false;
            } else if('${invm}'=='true')
            {
                inventoryFetchReqdBox.disabled = true;
                inventoryFetchReqdBox.checked=true;
                sauDisabledCkBox.checked = false;
                sauDisabledCkBox.disabled = true;
                mpDisabledCkBox.checked = false;
                mpDisabledCkBox.disabled = true;
                obModeCkBox.checked = false;
                obModeCkBox.disabled = false;
                imcheck.checked = true;
                imcheck.disabled=false;
            }
            else {
                inventoryFetchReqdBox.checked = false;
                inventoryFetchReqdBox.disabled = true;
                obModeCkBox.checked = false;
                obModeCkBox.disabled = true;
                imcheck.disabled=true;
                solidificationPriority.disabled = true;
                ltdActivationRadioBtn.disabled = true;
                fullActivationRadioBtn.disabled = true;
                sauDisabledCkBox.checked = false;
                sauDisabledCkBox.disabled = true;
                mpDisabledCkBox.checked = false;
                mpDisabledCkBox.disabled = true;
            }

            if ("${epoReadOnlyTask}" === "true") {
                inventoryFetchReqdBox.disabled = true;
                ltdActivationRadioBtn.disabled = true;
                fullActivationRadioBtn.disabled = true;
                obModeCkBox.disabled = true;
                imcheck.disabled=true;
                solidificationPriority.disabled = true;
                sauDisabledCkBox.disabled = true;
                mpDisabledCkBox.disabled = true;
            }
            obModeChkBoxHandler(true);
        }
        solidiferVersionStatusProcessing();
    }

    function solidiferVersionStatusProcessing(){
        var platform = $j('#scorPlatforms').val();
        var winSubPlatform = $j('#scorWinSubplatforms').val();
        if (platform === 'WIN' && winSubPlatform === 'OTHERS' && ${scorClientVersionsBeansAttr}==true ) {
            $j("#scorActivationSettingsDiv").hide();
            $j("#scorActivationWarningDiv").show();
        }else{
            $j("#scorActivationWarningDiv").hide();

        }
    }
    scor.onOldVersionAgentSelected = function (){
        $j('.currentAgent').hide();
        $j('.oldAgent').show();
    }

    scor.onCurrentVersionAgentSelected = function (){
        $j('.currentAgent').show();
        $j('.oldAgent').hide();
    }

    function onChangeControlSelection() {
        var sauDisabledCkBox = $('sauDisabled');
        var mpDisabledCkBox = $('mpDisabled');
        var inventoryFetchReqdBox = $('inventoryFetchRequired');
        var solidificationPriority = $('solidificationPriorityId');
        var ltdActivationRadioBtn = $('limitedActivation');
        var fullActivationRadioBtn = $('fullActivation');

        if ($('enableFim').checked && ($('enableAwl').checked)===false) {
            $('enableinventoryMode').checked = false;
            $('enableinventoryMode').disabled = true;
            solidificationPriority.disabled = true;
            sauDisabledCkBox.checked = false;
            mpDisabledCkBox.checked = false;
            inventoryFetchReqdBox.checked = false;
            sauDisabledCkBox.disabled = true;
            mpDisabledCkBox.disabled = true;
            inventoryFetchReqdBox.disabled = true;
            solidificationPriority.disabled=true;
            ltdActivationRadioBtn.disabled=true;
            ltdActivationRadioBtn.checked=false;
            fullActivationRadioBtn.disabled=true;
            fullActivationRadioBtn.checked=true;
        }
        else if($('enableFim').checked && $('enableAwl').checked &&! $('enableinventoryMode').checked &&! $('observationMode').checked)
        {
            onACSelection();
        }
    }


    function onInventoryModeSelection() {
        var inventoryFetchReqdBox = $('inventoryFetchRequired');
        var ltdActivationRadioBtn = $('limitedActivation');
        var fullActivationRadioBtn = $('fullActivation');
        var obModeCkBox = $('observationMode');
        var solidificationPriority = $('solidificationPriorityId');
        var sauDisabledCkBox = $('sauDisabled');
        var mpDisabledCkBox = $('mpDisabled');

        if ($('enableinventoryMode').checked) {
            //     $('enableFim').checked=false;
            inventoryFetchReqdBox.disabled = true;
            inventoryFetchReqdBox.checked = true;
            ltdActivationRadioBtn.checked=true;
            ltdActivationRadioBtn.disabled = false;
            fullActivationRadioBtn.checked=false;
            fullActivationRadioBtn.disabled = false;
            obModeCkBox.disabled = false;
            obModeCkBox.checked = false;
            solidificationPriority.disabled = false;
            sauDisabledCkBox.checked = false;
            sauDisabledCkBox.disabled = true;
            mpDisabledCkBox.checked = false;
            mpDisabledCkBox.disabled = true;
        }
        else if ($('enableAwl').checked) {
            onACSelection();
        }
        else
        {onChangeControlSelection();}
        obModeChkBoxHandler(false);
    }


    function onACSelection() {
        var inventoryFetchReqdBox = $('inventoryFetchRequired');
        var ltdActivationRadioBtn = $('limitedActivation');
        var fullActivationRadioBtn = $('fullActivation');
        var obModeCkBox = $('observationMode');
        var solidificationPriority = $('solidificationPriorityId');
        var sauDisabledCkBox = $('sauDisabled');
        var mpDisabledCkBox = $('mpDisabled');

        if ($('enableAwl').checked) {
            $('enableinventoryMode').disabled = false;
            inventoryFetchReqdBox.disabled = false;
            ltdActivationRadioBtn.disabled = false;
            ltdActivationRadioBtn.checked = false;
            fullActivationRadioBtn.disabled = false;
            fullActivationRadioBtn.checked = true;
            obModeCkBox.disabled = false;
            obModeCkBox.checked = false;
            inventoryFetchReqdBox.checked = true;
            solidificationPriority.disabled = false;
            sauDisabledCkBox.checked = false;
            sauDisabledCkBox.disabled = false;
            mpDisabledCkBox.checked = false;
            mpDisabledCkBox.disabled = false;
        } else {
            $('enableinventoryMode').disabled = true;
            $('enableinventoryMode').checked = false;
            $('enableFim').checked=true;
            inventoryFetchReqdBox.disabled = true;
            inventoryFetchReqdBox.checked = false;
            ltdActivationRadioBtn.disabled = true;
            fullActivationRadioBtn.disabled = true;
            fullActivationRadioBtn.checked = true;
            obModeCkBox.disabled = true;
            obModeCkBox.checked = false;
            solidificationPriority.value = 1; // here 1 represents option NORMAL in dropdown. TODO: make const for this.
            solidificationPriority.disabled = true;
            sauDisabledCkBox.checked = false;
            sauDisabledCkBox.disabled = true;
            mpDisabledCkBox.checked = false;
            mpDisabledCkBox.disabled = true;
        }
        obModeChkBoxHandler(false);
    }

    function obModeChkBoxHandler(isInit) {

        var workflowidbox = document.getElementById("workflow_id");
        var commentbox = document.getElementById("comment");
        var sauDisabledCkBox = $('sauDisabled');
        var mpDisabledCkBox = $('mpDisabled');
        var inventoryFetchReqdBox = $('inventoryFetchRequired');

        if ($('observationMode').checked) {
            $('enableinventoryMode').disabled = false;
            $('enableinventoryMode').checked = false;
            if(isInit == false)
            {
                inventoryFetchReqdBox.disabled = false;
                inventoryFetchReqdBox.checked = true;
            }
            sauDisabledCkBox.disabled = false;
            mpDisabledCkBox.disabled = false;
            workflowidbox.disabled = false;
            commentbox.disabled = false;
        } else {
            workflowidbox.disabled = true;
            commentbox.disabled = true;
        }
    }

    function epoOnBeforeSubmit()
    {
        return finalvalidate();
    }
    function finalvalidate()
    {

        var enableFimCkBox = document.getElementById("enableFim");
        var enableAwlCkBox = document.getElementById("enableAwl");
        var enableImCkBox = document.getElementById("enableinventoryMode");

        if (enableFimCkBox && !enableAwlCkBox) {
            if (! enableFimCkBox.checked && !enableImCkBox.checked) {
                OrionCore.showDialogBox(true, '${labelEnableError}', OrionCore.DIALOG_OK);
                OrionCore.setDialogBoxTitle('${ErrorText}');
                return false;
            }
        }

        if (!enableFimCkBox && enableAwlCkBox) {
            if (! enableAwlCkBox.checked && !enableImCkBox.checked) {
                OrionCore.showDialogBox(true, '${labelEnableError}', OrionCore.DIALOG_OK);
                OrionCore.setDialogBoxTitle('${ErrorText}');
                return false;
            }
        }

        if (enableFimCkBox && enableAwlCkBox && enableImCkBox) {
            if (! enableFimCkBox.checked && ! enableAwlCkBox.checked && !enableImCkBox.checked) {
                OrionCore.showDialogBox(true, '${labelEnableError}', OrionCore.DIALOG_OK);
                OrionCore.setDialogBoxTitle('${ErrorText}');
                return false;
            }
        }

        if (!enableFimCkBox && !enableAwlCkBox && !enableImCkBox) {
            OrionCore.showDialogBox(true, '${labelEnablenoFeatureError}', OrionCore.DIALOG_OK);
            OrionCore.setDialogBoxTitle('${ErrorText}');
            return false;
        }

        if (OrionForm.isFormValid() == false)
        {
            alert("${generalAlertMsg}");
            return false;
        }

        var workflowidbox = document.getElementById("workflow_id");
        var commentbox = document.getElementById("comment");

        if(workflowidbox && commentbox) {
            if(workflowidbox.value === "" && commentbox.value!== ""){
                OrionCore.setDialogBoxTitle('${scorErrorDialogBoxTitle}');
                OrionCore.showDialogBox(true, '${labelcommentError}', OrionCore.DIALOG_OK);
                return false;
            }
        }

        return true;
    }

    function showContentMP(){
        element = document.getElementById("warningMP");
        check = document.getElementById("mpDisabled");
        if (check.checked) {
            element.style.display='block';
        }
        else {
            element.style.display='none';
        }
    }

    function showContentSAU(){
        element = document.getElementById("warningSAU");
        check = document.getElementById("sauDisabled");
        if (check.checked) {
            element.style.display='block';
        }
        else {
            element.style.display='none';
        }
    }

    function checkContent(){
        status = document.getElementById("enableAwl");
        checkSau = document.getElementById("warningSAU");
        checkMp = document.getElementById("warningMP");
        if(!status.checked){
            checkSau.style.display = 'none';
            checkMp.style.display = 'none';
        }
    }

</script>


<orion:box>
    <div id="scorActivationWarningDiv">
        <c:if test="${scorClientVersionsBeansAttr}">
            <orion:hbox height="23">
                <orion:box>
                    <div style="color: RED;">${notSupportedVersionMsg}</div>
                    <input type="hidden" id="scorClientVersions"
                           name="scorClientVersions" value="${scorClientVersionsBeansAttr}" />
                </orion:box>
            </orion:hbox>
        </c:if>
    </div>
    <div id=scorActivationSettingsDiv>
        <div class="orionDescriptionArea orionBorderBottomGrey">
                ${helptext}</div>


        <table cellspacing="0" cellpadding="0" width="100%"
               style="width: 100%;" id="generalTab">
            <tr>
                <td class="orionSummaryHeader" valign="top">
                        ${labelAgentOptsToBeDeployedOn}</td>
                <td class="orionSummaryColumn" valign="top">
                    <table>
                        <tr id="scorPlatformElem">
                            <td><orion:message key="scor.task.status.enable.platform" />
                            </td>
                            <td><orion:select id="scorPlatforms" name="scorPlatforms"
                                              items="${scorPlatformsBeansAttr}" disabled="${epoReadOnlyTask}" />
                            </td>
                        </tr>
                        <tr id="scorWinSubplatformElem">
                            <td>${subPlatformText}</td>
                            <td><orion:select id="scorWinSubplatforms"
                                              name="scorWinSubPlatforms"
                                              items="${scorWinSubPlatformsBeansAttr}"
                                              disabled="${epoReadOnlyTask}" /></td>
                        </tr>
                        <tr id="scorUnixSubplatformElem">
                            <td>${subPlatformText}</td>
                            <td><orion:select id="scorUnixSubplatforms"
                                              name="scorUnixSubPlatforms"
                                              items="${scorUnixSubPlatformsBeansAttr}"
                                              disabled="${epoReadOnlyTask}" /></td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <td class="orionSummaryHeader" valign="top">${labelEnable}</td>
                <td class="orionSummaryColumn" valign="top"><c:if
                        test="${useFim}">
                    <orion:checkbox id="enableFim" name="enableFim"
                                    checked='${enableFim}' text="${labelKey}"
                                    onclick="onChangeControlSelection();"
                                    disabled="${epoReadOnlyTask}"/>
                </c:if> <br /> <c:if test="${useAwl}">
                    <orion:checkbox class="scorAwlElem" id="enableAwl"
                                    name="enableAwl" checked='${enableAwl}' text="${labelEnableAwl}"
                                    disabled="${epoReadOnlyTask}" onclick="onACSelection();"
                                    onchange="javascript:checkContent()"/>

                    <div class="currentAgent">
                        &nbsp;&nbsp;
                        <table>
                            <tr>
                                <td>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${initialscanprioritytext}</td>
                                <td><orion:select id="solidificationPriorityId"
                                                  name="solidificationPriorityId"
                                                  items="${selectListForSolidificationPriority}" /></td>
                            <tr>
                        </table>
                    </div>
                </c:if></td>
            </tr>

            <tr class="oldAgent">
                <td class="orionSummaryHeader" valign="top">
                        ${labelRebootIfRequired}</td>
                <td class="orionSummaryColumn" valign="top"><orion:checkbox
                        id="reboot_if_required" name="reboot_if_required"
                        checked='${reboot_if_required}'
                        text="${labelRebootIfRequiredckboxtxt}"
                        disabled="${epoReadOnlyTask}" />


                    <div style="color: #ff0000;">${labelRebootWarningText}</div></td>
            </tr>


            <c:if test="${useAwl}">
                <tr class="currentAgent">
                    <td class="orionSummaryHeader" valign="top">
                            ${labelFeaturesOptions}</td>
                    <td class="orionSummaryColumn" valign="top">

                        &nbsp;&nbsp;&nbsp;<orion:checkbox class="checkmpDisable" id="mpDisabled"
                                                          name="mpDisabled" checked='${mpDisabledChecked}'
                                                          text="${labelMpDisabled}" disabled="${epoReadOnlyTask}"
                                                          onchange="javascript:showContentMP()"/>

                        <div id="warningMP" style="display: none; padding-left: 40px; font-weight: bold">
                                ${labelMpDisabledPermantly}
                        </div>

                        <br>

                        &nbsp;&nbsp;&nbsp;<orion:checkbox id="sauDisabled"
                                                          name="sauDisabled" checked='${sauDisabledChecked}'
                                                          text="${labelSauDisabled}" disabled="${epoReadOnlyTask}"
                                                          onchange="javascript:showContentSAU()"/> <br>

                        <div id="warningSAU" style="display: none; padding-left: 40px; font-weight: bold">
                                ${labelSauDisabledPermantly}
                        </div>

                <tr class="currentAgent">
                    <td class="orionSummaryHeader" valign="top">
                            ${labelActivationOptions}</td>
                    <td class="orionSummaryColumn" valign="top">

                        &nbsp;&nbsp;&nbsp;<orion:radiobutton
                            id="limitedActivation" value="limitedActivation"
                            name="activation" checked="${limitedActivationChecked}"
                            text="${labelLimitedActivation}" disabled="${epoReadOnlyTask}" />
                        <div style="font-weight: bold; padding-left: 40px">${labelLimitedActivationWarning}</div>

                        <br> &nbsp;&nbsp;&nbsp;<orion:radiobutton id="fullActivation"
                                                                  value="fullActivation" name="activation"
                                                                  checked="${fullActivationChecked}" text="${labelFullActivation}"
                                                                  disabled="${epoReadOnlyTask}" />
                        <div style="font-weight: bold; padding-left: 40px">${labelFullActivationWarning}</div>

                    </td>
                </tr>

                <tr class="currentAgent">
                    <td class="orionSummaryHeader" valign="top">
                            ${labelInventoryMode}</td>
                    <td class="orionSummaryColumn" valign="top">
                        &nbsp;&nbsp;&nbsp;<orion:checkbox id="enableinventoryMode"
                                                          name="enableinventoryMode"  checked='${invm}' text="${labelEnableIm}"
                                                          disabled="${epoReadOnlyTask}" onclick="onInventoryModeSelection();"
                                                          onchange="javascript:checkContent()"/>
                    </td>
                </tr>
                <tr class="currentAgent">
                    <td class="orionSummaryHeader" valign="top">
                            ${labelObserVationMode}</td>
                    <td class="orionSummaryColumn" valign="top">

                        &nbsp;&nbsp;&nbsp;<orion:checkbox id="observationMode"
                                                          name="observationMode" checked='${observationModeChecked}'
                                                          text="${observationModeText}" disabled="${epoReadOnlyTask}"
                                                          onclick="obModeChkBoxHandler(false);" />

                        <table>
                            <tr style="display: none">
                                <td valign="top" style="white-space: nowrap">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${labelWorkflowID}</td>
                                <td><orion:textbox id="workflow_id" name="workflow_id"
                                                   required="false" value="${workflow_id}"
                                                   disabled="${epoReadOnlyTask}" /> <br>
                                        ${workflowidhelptext}</td>
                            </tr>
                            <tr style="display: none">
                                <td valign="top">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${labelcomment}</td>
                                <td><orion:textbox id="comment" name="comment"
                                                   required="false" value="${comment}"
                                                   disabled="${epoReadOnlyTask}" /></td>
                            </tr>
                        </table>

                    </td>

                </tr>
                <tr class="currentAgent">
                    <td class="orionSummaryHeader" valign="top">
                            ${labelInventoryFetchOption}</td>
                    <td class="orionSummaryColumn" valign="top">

                        &nbsp;&nbsp;&nbsp;<orion:checkbox id="inventoryFetchRequired"
                                                          name="inventoryFetchRequired" checked='${inventoryFetchChecked}'
                                                          text="${labelInventoryFetchRequired}"
                                                          disabled="${epoReadOnlyTask}" /> <br>
                        <div style="font-weight: bold; padding-left: 40px">${labelInventoryFetchDescription}</div>
                    </td>
                </tr>
            </c:if>
        </table>

        <div id="delayHelpText" style="visibility: hidden">
                ${delayInitialScanAndEnforceHelpText} <br> <br>
                ${delayInitialScanAndEnforceHelpText2}

        </div>
    </div>
</orion:box>

<script type="text/javascript">
    OrionCore.addLoadHandler(scor.initEnableTaskUI);
</script>