<!-- Copyright (C) 2014 McAfee, Inc.  All rights reserved.  -->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<jsp:include page="/common/includejQuery.jsp"/>


<orion:message key="scor.cloud.feedbacktask.selectfeedbacks" var="selectfeedbacks" escape="html"/>
<orion:message key="scor.cloud.feedbacktask.inventoryfeedback" var="inventoryfeedback" escape="none" />
<orion:message key="scor.cloud.feedbacktask.inventoryfeedbackSystemInformation" var="inventoryfeedbackSystemInformation" escape="none" />
<orion:message key="scor.cloud.feedbacktask.eventfeedback" var="eventfeedback" escape="none" />
<orion:message key="scor.cloud.feedbacktask.eventfeedbackSystemInformation" var="eventfeedbackSystemInformation" escape="none" />
<orion:message key="scor.cloud.feedbacktask.policyfeedback" var="policyfeedback" escape="none" />
<orion:message key="scor.cloud.feedbacktask.policyDiscoveryfeedback" var="policyDiscoveryfeedback" escape="none" />
<orion:message key="scor.cloud.feedbacktask.ePONumberOfNodesInformation" var="ePONumberOfNodesInformation" escape="none" />

<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.CLOUD_FEEDBACK_CONFIG_PAGE%>");
</script>
<table>
	<tr>
		<td class="orionSummaryColumn">${selectfeedbacks}</td>
	</tr>
</table>
<table>
	<tr>
		<td><orion:checkbox id="sendEPONumberOfNodesInformation.${parentIndex}" name="sendEPONumberOfNodesInformation" text="${ePONumberOfNodesInformation}"/></td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td><orion:checkbox id="sendPolicyFeedback.${parentIndex}" name="sendPolicyFeedback" text="${policyfeedback}" onclick="scor.gti.checkFeedbackTaskActionNavigation()"/></td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td><orion:checkbox id="sendEventFeedback.${parentIndex}" name="sendEventFeedback" text="${eventfeedback}" onclick="scor.gti.showNodesInfoForEvents()" /></td>
	</tr>
	<tr>
		<td id="sendEventFeedbackSystemInformationTD.${orion:escapeHtml(parentIndex)}">&nbsp;&nbsp;&nbsp;<orion:checkbox id="sendEventFeedbackSystemInformation.${parentIndex}" name="sendEventFeedbackSystemInformation" text="${eventfeedbackSystemInformation}"/></td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td><orion:checkbox id="sendInventoryFeedback.${parentIndex}" name="sendInventoryFeedback" text="${inventoryfeedback}" onclick="scor.gti.showNodesInfoForInventory()" /></td>
	</tr>
	<tr>
		<td id="sendInventoryFeedbackSystemInformationTD.${orion:escapeHtml(parentIndex)}">&nbsp;&nbsp;&nbsp;<orion:checkbox id="sendInventoryFeedbackSystemInformation.${parentIndex}" name="sendInventoryFeedbackSystemInformation" text="${inventoryfeedbackSystemInformation}"/></td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td><orion:checkbox id="sendPolicyDiscoveryFeedback.${parentIndex}" name="sendPolicyDiscoveryFeedback" text="${policyDiscoveryfeedback}" onclick="scor.gti.checkFeedbackTaskActionNavigation()"/></td>
	</tr>	
</table>

<script language="JavaScript">
	
	var scor = scor || {};
	scor.gti = scor.gti || {};
	
	scor.gti.allowNavigation = function(){
		var policyFeedbackCheckBox = $("sendPolicyFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		var eventFeedbackCheckBox = $("sendEventFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		var invFeedbackCheckBox = $("sendInventoryFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		var policyDiscoveryFeedbackCheckBox = $("sendPolicyDiscoveryFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		
		if (policyFeedbackCheckBox.checked || eventFeedbackCheckBox.checked || invFeedbackCheckBox.checked || policyDiscoveryFeedbackCheckBox.checked) {
			return true;
		} else {
			return false;
		}
	};
	
	scor.gti.checkFeedbackTaskActionNavigation = function(){
		var allowAction = scor.gti.allowNavigation();
		if (allowAction) {
			OrionWizard.enableNavigation();
		} else {
			OrionWizard.disableNavigation();
		}
	};

	scor.gti.showNodesInfoForInventory = function(){
		var invFeedbackCheckBox = $("sendInventoryFeedback.${orion:escapeJavaScriptString(parentIndex)}")
		var invFeedbackSystemInfoTD = $("sendInventoryFeedbackSystemInformationTD.${orion:escapeJavaScriptString(parentIndex)}");
		
		if (invFeedbackCheckBox.checked) {
			invFeedbackSystemInfoTD.style.display="";
		} else {
			invFeedbackSystemInfoTD.style.display="none";
		}
		scor.gti.checkFeedbackTaskActionNavigation();
	};
	
	scor.gti.showNodesInfoForEvents = function(){
		var eventFeedbackCheckBox = $("sendEventFeedback.${orion:escapeJavaScriptString(parentIndex)}")
		var eventFeedbackSystemInfoTD = $("sendEventFeedbackSystemInformationTD.${orion:escapeJavaScriptString(parentIndex)}");
		
		if (eventFeedbackCheckBox.checked){
			eventFeedbackSystemInfoTD.style.display="";
		} else {
			eventFeedbackSystemInfoTD.style.display="none";
		}
		scor.gti.checkFeedbackTaskActionNavigation();
	};

	_setData = function(container, data){
		var policyFeedbackCheckBox = $("sendPolicyFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (policyFeedbackCheckBox) {
			policyFeedbackCheckBox.checked = (data["sendPolicyFeedback"] == "true");
		}
		
		var eventFeedbackCheckBox = $("sendEventFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (eventFeedbackCheckBox) {
			eventFeedbackCheckBox.checked = (data["sendEventFeedback"] == "true");
		}
		var eventFeedbackSystemInfoCheckBox = $("sendEventFeedbackSystemInformation.${orion:escapeJavaScriptString(parentIndex)}");
		if (eventFeedbackSystemInfoCheckBox) {
			eventFeedbackSystemInfoCheckBox.checked = (data["sendEventFeedbackSystemInformation"] == "true");
		}
		
		var invFeedbackCheckBox = $("sendInventoryFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (invFeedbackCheckBox) {
			invFeedbackCheckBox.checked = (data["sendInventoryFeedback"] == "true");
		}
		var invFeedbackSystemInfoCheckBox = $("sendInventoryFeedbackSystemInformation.${orion:escapeJavaScriptString(parentIndex)}");
		if (invFeedbackSystemInfoCheckBox) {
			invFeedbackSystemInfoCheckBox.checked = (data["sendInventoryFeedbackSystemInformation"] == "true");
		}
		
		var policyDiscoveryCheckBox = $("sendPolicyDiscoveryFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (policyDiscoveryCheckBox) {
			policyDiscoveryCheckBox.checked = (data["sendPolicyDiscoveryFeedback"] == "true");
		}
		
		var ePONumberOfNodesInformationCheckBox = $("sendEPONumberOfNodesInformation.${orion:escapeJavaScriptString(parentIndex)}");
		if (ePONumberOfNodesInformationCheckBox) {
			ePONumberOfNodesInformationCheckBox.checked = (data["sendEPONumberOfNodesInformation"] == "true");
		}
		
		scor.gti.showNodesInfoForInventory();
		scor.gti.showNodesInfoForEvents();
	};
	
	_getData = function(container){
		var data = new Object();
		var policyFeedbackCheckBox = $("sendPolicyFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (policyFeedbackCheckBox.checked) {
			data.sendPolicyFeedback="true";
		} else {
			data.sendPolicyFeedback="false";
		}
		
		var eventFeedbackCheckBox = $("sendEventFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (eventFeedbackCheckBox.checked) {
			data.sendEventFeedback="true";
		} else {
			data.sendEventFeedback="false";
		}
		
		var eventFeedbackSystemInfoCheckBox = $("sendEventFeedbackSystemInformation.${orion:escapeJavaScriptString(parentIndex)}");
		if (eventFeedbackSystemInfoCheckBox.checked) {
			data.sendEventFeedbackSystemInformation="true";
		} else {
			data.sendEventFeedbackSystemInformation="false";
		}
		
		var invFeedbackCheckBox = $("sendInventoryFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (invFeedbackCheckBox.checked) {
			data.sendInventoryFeedback="true";
		} else {
			data.sendInventoryFeedback="false";
		}
		
		var invFeedbackSystemInfoCheckBox = $("sendInventoryFeedbackSystemInformation.${orion:escapeJavaScriptString(parentIndex)}");
		if (invFeedbackSystemInfoCheckBox.checked) {
			data.sendInventoryFeedbackSystemInformation="true";
		} else {
			data.sendInventoryFeedbackSystemInformation="false";
		}
		
		var policyDiscoveryFeedbackCheckBox = $("sendPolicyDiscoveryFeedback.${orion:escapeJavaScriptString(parentIndex)}");
		if (policyDiscoveryFeedbackCheckBox.checked) {
			data.sendPolicyDiscoveryFeedback="true";
		} else {
			data.sendPolicyDiscoveryFeedback="false";
		}
		
		var ePONumberOfNodesInformationCheckBox = $("sendEPONumberOfNodesInformation.${orion:escapeJavaScriptString(parentIndex)}");
		if (ePONumberOfNodesInformationCheckBox.checked) {
			data.sendEPONumberOfNodesInformation="true";
		} else {
			data.sendEPONumberOfNodesInformation="false";
		}
		return data;
	};
	
	_allowSubmit = function(){
		return scor.gti.allowNavigation();
	};
	
	scor.gti.showNodesInfoForInventory();
	scor.gti.showNodesInfoForEvents();

</script>