<%-- COPYRIGHT:		Copyright (C) 2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.CLIENT_TASK_LOG_PAGE%>");
</script>
<script type="text/javascript">

	var scor = scor || {};
	scor.commandRes = scor.commandRes || {};


	scor.commandRes.page = (function(){
	    var tab ;
	    return {
    	    	getTable : function(){
    					return tab;
    				},
				setTable : function(table){
    				tab = table;
    			}
        	}
    	})();
	
	            function fnSuccess(){
	                    var systemNameFilterElement = document.getElementById("scorCmdRespSystemName");
	                    var taskNameFilterElement = document.getElementById("scorCmdRespTaskName");
	                    var timeFilterElement = document.getElementById("scorCmdRespTime");
	                    var taskStatusFilterElement = document.getElementById("scorCmdRespTaskStatus");
	                    var cmdStatusFilterElement = document.getElementById("scorCmdRespCmdStatus");
	                    
	                    var systemNameFilterValue = systemNameFilterElement.value;
	                    var taskNameFilterValue = taskNameFilterElement.value;
	                    var timeFilterValue = timeFilterElement.options[timeFilterElement.selectedIndex].value;
	                    var taskStatusFilterValue = taskStatusFilterElement.options[taskStatusFilterElement.selectedIndex].value;
	                    var cmdStatusFilterValue = cmdStatusFilterElement.options[cmdStatusFilterElement.selectedIndex].value;
	                    
	                    //var tokenStep = <%=Constants.FILTER_STRING_TOKEN_STEP%>;
        				var filterStr = systemNameFilterValue + "----" + taskNameFilterValue+ "----" +timeFilterValue+ "----" +taskStatusFilterValue+ "----" +cmdStatusFilterValue;
        				scor.commandRes.page.getTable().setFilter(filterStr);        		  		
	            }

	            function init(){
	            	scor.commandRes.page.setTable(MFSTable.get("CommandResponseTable"));	               
	           }

	           	OrionCore.addLoadHandler(init);
</script>


<orion:message var="commandResponseTitleText" key="scor.commandResponse.table.title"  escape="none"/>

<orion:message var="timeFilterLastonehour" key="scor.COMMAND_RESPONSE.timeFilter.lastonehour" />	
<orion:message var="timeFilterLastoneday" key="scor.COMMAND_RESPONSE.timeFilter.lastoneday" />	
<orion:message var="timeFilterLastsevendays" key="scor.COMMAND_RESPONSE.timeFilter.lastsevendays" />	
<orion:message var="timeFilterLastthirtydays" key="scor.COMMAND_RESPONSE.timeFilter.lastthirtydays" />	
<orion:message var="timeFilterAlltime" key="scor.COMMAND_RESPONSE.timeFilter.alltime" />
	
<orion:message var="taskstatusInprogress" key="scor.COMMAND_RESPONSE.taskstatus.inprogress" />	
<orion:message var="taskstatusSuccess" key="scor.COMMAND_RESPONSE.taskstatus.success" />	
<orion:message var="taskstatusFailure" key="scor.COMMAND_RESPONSE.taskstatus.failure" />	
<orion:message var="taskstatusAll" key="scor.COMMAND_RESPONSE.taskstatus.all" />	

<orion:message var="cmdstatusInprogress" key="scor.COMMAND_RESPONSE.cmdstatus.inprogress" />		
<orion:message var="cmdstatusSuccess" key="scor.COMMAND_RESPONSE.cmdstatus.success" />	
<orion:message var="cmdstatusFailure" key="scor.COMMAND_RESPONSE.cmdstatus.failure" />	
<orion:message var="cmdstatusAll" key="scor.COMMAND_RESPONSE.cmdstatus.all" />	

<orion:message var="systemNameFilterText" key="scor.COMMAND_RESPONSE.systemname.filter.text" />		
<orion:message var="taskNameFilterText" key="scor.COMMAND_RESPONSE.taskname.filter.text" />	
<orion:message var="timeFilterText" key="scor.COMMAND_RESPONSE.timeFilter.filter.text" />	
<orion:message var="taskStatusFilterText" key="scor.COMMAND_RESPONSE.taskstatus.filter.text" />	
<orion:message var="cmdStatusFilterText" key="scor.COMMAND_RESPONSE.cmdstatus.filter.text" />		
<orion:message var="filterText" key="scor.COMMAND_RESPONSE.filter.text" escape="none"/>	

<orion:message var="scorClientLogsSearchButtonText" key="scor.commandResponse.clientlogs.search" escape="none"/>	

<orion:hbox>
	<orion:vbox>	
	
		<orion:box height="120">
			<orion:titlebar text="${filterText}" />
			<table width="100%" height="80%" cellspacing="1px" cellpadding="1px" style="background-color: rgb(235, 235, 235); width: 100%;">
        		<tr>
            		<td width="10%">
                		${systemNameFilterText}
                	</td>
                	<td width="40%">
						<input id= "scorCmdRespSystemName" name="scorCmdRespSystemName" value="${scorCmdRespSysNameAttr}"/>
                	</td>
                	<td width="10%">
                		${taskNameFilterText}
                	</td>                	
                	<td width="40%">
                		<input id= "scorCmdRespTaskName" name="scorCmdRespTaskName" value="${scorCmdRespTaskNameAttr}"/>
                	<td>
            	</tr>
            	<tr>
            		<td width="10%">
            			${timeFilterText}
            		</td>
                	<td width="40%">
                		<select id="scorCmdRespTime" name="scorCmdRespTime">
							<option <c:if test="${scorCmdRespTimeAttr eq 'scor.COMMAND_RESPONSE.timeFitler.lastOneHour'}">selected="true"</c:if>  value="scor.COMMAND_RESPONSE.timeFitler.lastOneHour">${timeFilterLastonehour}</option>
							<option <c:if test="${scorCmdRespTimeAttr eq 'scor.COMMAND_RESPONSE.timeFitler.lastOneDay'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.timeFitler.lastOneDay">${timeFilterLastoneday}</option>
							<option <c:if test="${scorCmdRespTimeAttr eq 'scor.COMMAND_RESPONSE.timeFilter.lastSevenDays'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.timeFilter.lastSevenDays">${timeFilterLastsevendays}</option>
							<option <c:if test="${scorCmdRespTimeAttr eq 'scor.COMMAND_RESPONSE.timeFilter.lastThirtyDays'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.timeFilter.lastThirtyDays">${timeFilterLastthirtydays}</option>
							<option <c:if test="${scorCmdRespTimeAttr eq 'scor.COMMAND_RESPONSE.timeFilter.all'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.timeFilter.all">${timeFilterAlltime}</option>
						</select>
                	</td>
                	<td width="10%">
            			${taskStatusFilterText}
            		</td>
                	<td width="40%">
                		<select id="scorCmdRespTaskStatus" name="scorCmdRespTaskStatus">
							<option <c:if test="${scorCmdRespTaskStatusAttr eq 'scor.COMMAND_RESPONSE.taskstatus.all'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.taskstatus.all">${taskstatusAll}</option>
							<option <c:if test="${scorCmdRespTaskStatusAttr eq 'scor.COMMAND_RESPONSE.taskstatus.success'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.taskstatus.success">${taskstatusSuccess}</option>
							<option <c:if test="${scorCmdRespTaskStatusAttr eq 'scor.COMMAND_RESPONSE.taskstatus.failure'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.taskstatus.failure">${taskstatusFailure}</option>
							<option <c:if test="${scorCmdRespTaskStatusAttr eq 'scor.COMMAND_RESPONSE.taskstatus.inprogress'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.taskstatus.inprogress">${taskstatusInprogress}</option>
						</select>
                	</td>
					</tr>
                    <tr>
                       <td width="10%">
                       		${cmdStatusFilterText}
                       </td>
                       <td width="40%">
                       		<select id="scorCmdRespCmdStatus" name="scorCmdRespCmdStatus">
                       			<option <c:if test="${scorCmdRespCmdStatusAttr eq 'scor.COMMAND_RESPONSE.cmdstatus.all'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.cmdstatus.all">${cmdstatusAll}</option>
					   			<option <c:if test="${scorCmdRespCmdStatusAttr eq 'scor.COMMAND_RESPONSE.cmdstatus.success'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.cmdstatus.success">${cmdstatusSuccess}</option>
					   			<option <c:if test="${scorCmdRespCmdStatusAttr eq 'scor.COMMAND_RESPONSE.cmdstatus.failure'}">selected="true"</c:if> value="scor.COMMAND_RESPONSE.cmdstatus.failure">${cmdstatusFailure}</option>
					   	    </select>
                       </td>
                        <td width="10%">
                        	<orion:button id="scorClientLogsSearchButton" onclick="fnSuccess();" text="${scorClientLogsSearchButtonText}"/>
                        </td>                      
                       <td width="40%"></td>
                    </tr>
                </table>
		</orion:box>
	
		<orion:table2 id="CommandResponseTable" 
						titleText="${commandResponseTitleText}"
						datasourceAttr="scor-command-response-datasource"  	
						cellRendererAttr="scorCommandResponseCellRendererAttr" 
						columnWidths="22,22,29,25,30,14,18" 
						showCheckboxColumn="true" 
						properties="machineName,taskName,commandStartTime,commandEndTime,responseCompleted,commandStatus"  
						registeredTypeUID="SCOR_COMMAND_RESPONSE" />	    
	</orion:vbox>
</orion:hbox>



