<%-- COPYRIGHT:		Copyright (C) 2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<orion:message key="scor.selfapproval.custompolicy.addRuleGroupToExistingPolicies" var="addRuleGroupToExistingPolicyMsg" escape="html" />

<table>
	<tr>
		<td align="left" style="width:277px;">
			&nbsp;<input id="addToExistingPolicyCheckBoxId" class="orionCheckbox" type="checkbox" name="addToExistingPolicy">
			<span style="font-weight: bold;font-size: 10px;"><label id="addToExistingPolicyCheckBoxId_label" for="addToExistingPolicyCheckBoxId"> ${addRuleGroupToExistingPolicyMsg} </label>
			</span>
		</td>
		<td align="left">&nbsp;&nbsp;<orion:select name="policyId" id="selectPolicyId" items="${policyItems}" /></td>
	</tr>
</table>

<script type="text/javascript">
    var scor = scor || {};
    scor.policy = scor.policy|| {};
    
    scor.policy.enablePolicyList = function() {
					if ($j("#addToExistingPolicyCheckBoxId").is(":checked")) {
						$j("#selectPolicyId").attr('disabled', false); 
					} else {
						$j("#selectPolicyId").attr('disabled', true); 
					}
	}

    scor.policy.getPolicyId = function() {
    	var policyId = -1;
		if ($j("#addToExistingPolicyCheckBoxId").is(":checked")) {	        
	        	policyId = $j("#selectPolicyId").val();
	    }
	    return policyId;
	} 	

	scor.policy.fixSelectBoxWidth = function() {
		if("${fixSelectBoxWidth1}" === "false"){
			<!-- Do nothing-->
		}else{		
			$j('#selectPolicyId').width(${selectBoxWidth});
		}
	}


    scor.policy.init = function() {
		if($j('#selectPolicyId option').length == 0){
			$j("#addToExistingPolicyCheckBoxId").attr("disabled", true);
			$j("#selectPolicyId").attr('disabled', true);    		
    	}else{
    		scor.policy.enablePolicyList();
        }	
		scor.policy.fixSelectBoxWidth();
		OrionEvent.registerHandlerById('addToExistingPolicyCheckBoxId', scor.policy.enablePolicyList, null, 'click', false);		
	}

    OrionCore.addLoadHandler(scor.policy.init);
				
</script>