<%@ page language="java" import="java.util.*,java.io.*, javax.servlet.jsp.*, java.lang.Thread.State" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="CACHE-CONTROL" content="NO-CACHE">
<title>McAfee ePO Server</title>
</head>

<body>

<%!
public void printDump(Map<Thread, StackTraceElement[]> map, JspWriter out) throws IOException {
	Iterator<Thread> itr = map.keySet().iterator();
	while (itr.hasNext()) {
			Thread t = itr.next();
			StackTraceElement[] elem = map.get(t);
			out.print("\"" + t.getName() + "\"");
			out.print(" prio=" + t.getPriority());
			out.print(" tid=" + t.getId());
			State s = t.getState();
			String state = null;
			String color = "000000";
			String GREEN = "00FF00";
			String RED = "FF0000";
			String ORANGE = "FCA742";
			switch(s) {
				case NEW: state ="NEW"; color = GREEN; break;
				case BLOCKED: state = "BLOCKED"; color = RED; break;
				case RUNNABLE: state = "RUNNABLE"; color = GREEN; break;
				case TERMINATED: state = "TERMINATED"; break;
				case TIMED_WAITING: state = "TIME WAITING"; color = ORANGE; break;
				case WAITING: state = "WAITING"; color = RED; break;
			}
			out.print("<font color=\"" + color + "\"> @@@@</font>");
			out.println(" " + state + "<BR>");
			for (int i=0; i < elem.length; i++) {
					out.println("  at ");
					String str = elem[i].toString();
					if (str.contains("scor")) {
						str = "<b>"	+ str + "</b>";
					} 
					out.print(str);
					out.println("<BR>");
			}
			out.println("----------------------------<br>");
	}
}

public void logException(Throwable exception, JspWriter out) throws IOException {
	StringWriter exceptionTraceStream = new StringWriter();
	exception.printStackTrace(new PrintWriter(exceptionTraceStream));
	String exceptionTrace = exceptionTraceStream.toString();
	exceptionTrace = exceptionTrace.replace("\n", "<br>").replace(" ", "&nbsp;");
	out.println("#####################################<br>");
	out.print("error occurred<br>");
	out.print(exceptionTrace);
	out.println("#####################################<br>");
}
%>

<% 
try {
	out.print("Generating Thread-dump at:" + (new java.util.Date()).toString() + "<BR>");
	out.println("----------------------------<br>");
	Map<Thread, StackTraceElement[]> map = Thread.getAllStackTraces();
		Map<Thread, StackTraceElement[]> scMap = new HashMap<Thread, StackTraceElement[]>();
		Map<Thread, StackTraceElement[]> nonScMap = new HashMap<Thread, StackTraceElement[]>();
		Iterator<Thread> itr = map.keySet().iterator();
		while (itr.hasNext()) {
			Thread t = itr.next();
			StackTraceElement[] elem = map.get(t);
			boolean flag = false; 
			for(int i=0; i < elem.length; i++) {
				if (elem[i].getClassName().startsWith("com.mcafee.scor")) {
					flag = true;
					break;
				}
			}
			if (flag) {
				scMap.put(t, elem);
			} else {
				nonScMap.put(t, elem);
			}
		}
		printDump(scMap, out);
		out.println("#####################################<br>");
		
		printDump(nonScMap, out);

        long MB = 1024*1024;

	out.println("\"Memory Details\" ::");
        out.println("Free = " + (Runtime.getRuntime().freeMemory()/MB) + " MB, Total = " + (Runtime.getRuntime().totalMemory()/MB) + " MB, Max = " + (Runtime.getRuntime().maxMemory()/MB) + " MB" );
} catch (Throwable e) {
	logException(e, out);
}
%>
</body>
</html>
