<%-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<orion:message key="scor.fileDiff.viewFile.pageTiele" var="pageTiele"  escape="none"/>
<orion:message key="scor.fileDiff.viewFile.host" var="host"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.filename" var="filename"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.user" var="user"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.time" var="time"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.changeagent" var="changeagent"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.ticketid" var="ticketid"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.attributes" var="attributes"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.showattributes" var="showattributesJs"  escape="javascript"/>
<orion:message key="scor.fileDiff.viewFile.showattributes" var="showattributesHtml"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.hideattributes" var="hideattributesHtml"  escape="html"/>
<orion:message key="scor.fileDiff.viewFile.hideattributes" var="hideattributesJs"  escape="javascript"/>
<orion:message key="scor.fileDiff.viewFile.filecontent" var="filecontent"  escape="none"/>
<orion:message key="scor.fileDiff.viewFile.hideContent" var="hideContentJs"  escape="javascript"/>
<orion:message key="scor.fileDiff.viewFile.showContent" var="showContentJs"  escape="javascript"/>
<c:set var="expandFileContentSection" value="${expandFileContentSection}"/>
<c:set var="expandFileAttributeSection" value="${expandFileAttributeSection}"/>


<orion:core>
    <orion:corehead >
        <orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsdifflib/difflib.js"/>
        <orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsdifflib/diffview.js"/>
        <orion:style context="<%=URLConstants.SLASH_WEB_APP_NAME%>" url="/jsdifflib/diffview.css" />
        <orion:style context="<%=URLConstants.SLASH_WEB_APP_NAME%>" url="/css/override.css" />
        <orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/filediff/filediff.js"/>
        <jsp:include page="/common/includejQuery.jsp"/>
    </orion:corehead>
    <orion:corebody>


        <orion:navigation />
        <orion:content>
            <orion:vbox>
                <orion:titlebar id="scorFileViewTitleId" text = "${pageTiele} " />
                <orion:box id="scorViewFileContentSection" height = "110">
                    <table width="100%" style="border-collapse:collapse;">
                        <tbody>
                        <tr class="orionTableRow">
                            <td id="lefthost" width="49%;padding: 2px 2px;" ><b>${host}</b></td>
                        </tr>
                        <tr class="orionTableRowAlt">
                            <td id="leftfile" width="49%;padding: 2px 2px;"><b>${filename}</b></td>
                        </tr>
                        <tr class="orionTableRow">
                            <td id="leftFileTime" width="49%;padding: 2px 2px;"><b >${time}</b></td>
                        </tr>
                        <tr class="orionTableRow">
                            <td id="leftuser" width="49%;padding: 2px 2px;"><b>${user}</b></td>
                        </tr>
                        <tr class="orionTableRowAlt">
                            <td id="leftchangeagent" width="49%;padding: 2px 2px;"><b>${changeagent}</b></td>
                        </tr>
						<tr class="orionTableRow"> 	 
	                         <td id="leftticket" width="49%;padding: 2px 2px;"><b >${ticketid}</b></td> 	 
	                     </tr>
                        </tbody>
                    </table>
                </orion:box>

	<orion:box id="scorAttributeContainerTitleId" height = "24">
			<table width="100%" style="border-collapse:collapse;">
				<tbody>
					 <tr>														
                         <td style="width:49%;;padding: 2px 2px;" class="orionTitleBar">${attributes}</td>
						 <td style="width:50%;text-align:right;;padding: 2px 2px;" class="orionTitleBar">
							 <div id="scorFileDiffShowHideAttrTitleId" style="text-align: rightr;border-left: 1px black;padding-right: 4px;cursor:pointer;" onclick="scor.viewFile.fn.showHideAttributeDiff();">${showattributesHtml}</div>
						</td>		
                       </tr> 
                </tbody>
             </table>    		
	 </orion:box>

                <orion:box id="attributeContainerBox"/>

				<orion:titlebar id="scorFileDiffContentTitleId" text = "${filecontent} " />
				
                <orion:box id="scorFileContentbox"/>	

			 <%@ include file="../BackCloseFooter.jsp" %>
                
            </orion:vbox>




        </orion:content>


        <script type="text/javascript">
			var scor = scor || {};
			scor.viewFile = scor.viewFile || {};
			scor.viewFile.fn = scor.viewFile.fn || {};
			scor.viewFile.attr = scor.viewFile.attr || {};
			scor.viewFile.attr.showHide = scor.viewFile.attr.showHide ||{};


            var scorIsAttrHidden = false;
            var scorFileVO = {};
            function scorFileViewinitUI() {				
                scorFileVO = JSON.parse('${orion:escapeJavaScript(fileDataGson)}');
				
                scorPopulateInfoSection();
                scorPopulateAttributes();
                scorPopulateFileContent();
                if(!scorFileVO ['fileData']){
                	scor.viewFile.attr.showHide.state.setShowAttr(true);
                   }
				scor.viewFile.fn.showHideAttributeDiff();
            }

            function scorPopulateFileContent(){
                var fileData = scorFileVO ['fileData'];
                var table = document.createElement("TABLE");
                table.setAttribute("id", "scorDisplayFileRevisionTable");
                table.setAttribute("width", "100%");
                var tbody = document.createElement("TBODY");
                var lines = difflib.stringAsLines(fileData);
                var i = 0;
                for(i=0; i<lines.length; i++){
                    var clazz = '';
                    if(i%2 == 0){
                        clazz="orionTableRow";
                    }else{
                        clazz="orionTableRowAlt";
                    }
                    var tr =  null;
                    try{
                        tr = document.createElement("<tr class='"+clazz+"' height='12px'>");
                    }catch(e){
                        tr = document.createElement("tr");

                        tr.setAttribute("class", clazz);
                        tr.setAttribute("height", '12px');
                    };

                    var td =   document.createElement("td");
                    $j(td).addClass('scorWordWrap');
                    var text = document.createTextNode(lines[i]);
                    td.appendChild(text);
                    tr.appendChild(td);
                    tbody.appendChild(tr);
                }
                table.appendChild(tbody);
                document.getElementById('scorFileContentbox').appendChild(table);
                $j("#scorDisplayFileRevisionTable").css({
                    'table-layout':'fixed'
                  });
            }

            function scorPopulateAttributes() {
                var metaData = scorFileVO ['metaData'];

                var trs = '';
                var attributes = metaData.split("\n");
                var i = 0;
                for(i=0; i<attributes.length; i++){
                    var clazz = '';
                    if(i%2 == 0){
                        clazz="orionTableRow";
                    }else{
                        clazz="orionTableRowAlt";
                    }
                    trs += '<tr><td class="'+clazz+'" >' + attributes[i] + '</td></tr>';
                }
                var table = '<table id="attributeTable" style="width:100%;">'+ trs + '</table>';

                document.getElementById('attributeContainerBox').innerHTML = table;
                scor.fd.addStyling('attributeTable');
				   
            }

            function scorPopulateInfoSection() {
                $j("#leftFileTime").append(scorFileVO ['fileInfoVO']['time']);

                $j("#lefthost").append(scorFileVO['fileInfoVO']['host']);

                $j("#leftfile").append(scorFileVO['fileInfoVO']['fileName']);

                $j("#leftuser").append(scorFileVO['fileInfoVO']['user']);

                $j("#lefttimeTitleId").append("<center>"+scorFileVO['fileInfoVO']['time']);

                $j("#leftchangeagent").append(scorFileVO ['fileInfoVO']['programName']);

            }



	scor.viewFile.fn.showHideAttributeDiff = function (){     
         if(!scor.viewFile.attr.showHide.state.getShowAttr()){
        	$('attributeContainerBox').style.display = 'none';    
        	$j('#scorFileDiffContentTitleId').css('top', $j('#scorFileDiffContentTitleId').position().top - $j('#attributeContainerBox').height());
			$j('#scorFileContentbox').css('top', $j('#scorFileContentbox').position().top - $j('#attributeContainerBox').height());
			$j('#scorFileContentbox').css('height', $j('#scorFileContentbox').height()+$j('#attributeContainerBox').height());
       		$j('#scorFileDiffShowHideAttrTitleId').html('${showattributesJs}');
         	scor.viewFile.attr.showHide.state.setShowAttr(true);
     }
         else{        	 
        	$('attributeContainerBox').style.display='';      
			scor.viewFile.fn.setStylingToAttributeContainerDiv();
			$j('#scorFileDiffContentTitleId').css('top', $j('#scorFileDiffContentTitleId').position().top + $j('#attributeContainerBox').height());
         	$j('#scorFileContentbox').css('top', $j('#scorFileContentbox').position().top + $j('#attributeContainerBox').height());
			$j('#scorFileContentbox').css('height', $j('#scorFileContentbox').height()-$j('#attributeContainerBox').height());
        	$j('#scorFileDiffShowHideAttrTitleId').html('${hideattributesJs}');
        	scor.viewFile.attr.showHide.state.setShowAttr(false);
        }    
    }    

	scor.viewFile.fn.setStylingToAttributeContainerDiv = function(){
			$j('#attributeContainerBox').height(225);			
			$j('#attributeContainerBox').css('top',$j('#scorFileViewTitleId').height()+$j('#scorViewFileContentSection').height()+$j('#scorAttributeContainerTitleId').height());
			$j('#attributeContainerBox').css('overflow','auto');
			$j('#attributeContainerBox').css('position', 'absolute');
			$j('#attributeContainerBox').width('100%');
	}

   scor.viewFile.attr.showHide.state = function() {
 		var showAttr = String(true) =='${expandFileAttributeSection}';
 		var showContent = String(true) =='${expandFileContentSection}';
 		return {
 			getShowAttr: function() { 	
 				return showAttr;
 			},
 			setShowAttr: function(key) {
 				showAttr = key;
 			},
 			getShowContent: function() { 	
 				return showContent;
 			},
 			setShowContent: function(key) {
 				showContent = key;
 			}
 		}
     }();

      OrionCore.addLoadHandler(scorFileViewinitUI);

        </script>

    </orion:corebody>
</orion:core>