<!-- Copyright (C) 2014 McAfee, Inc.  All rights reserved. -->
<%@page import="com.mcafee.scor.rulegroup.RuleGroupConstants"%>
<%@page import="com.mcafee.scor.common.Constants"%>
<%@page import = "com.mcafee.scor.observationmode.ObservationStatisticsConstants" %>
<%@page import="com.mcafee.scor.awl.helper.UpdaterHelper"%>
<%@page import="com.mcafee.scor.awl.helper.AllowBanBinaryHelper"%>
<%@page import="com.mcafee.scor.observationmode.ObservationModeConstants"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>

<orion:message key="scor.observationmode.detail.suggestions.binary.info.title" var="binaryInfoTitle" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.binary.name" var="binaryName" />
<orion:message key="scor.observationmode.detail.suggestions.binary.path" var="binaryPath" />
<orion:message key="scor.observationmode.detail.suggestions.binary.vendor" var="binaryVendor" />
<orion:message key="scor.observationmode.detail.suggestions.binary.version" var="binaryVersion" />
<orion:message key="scor.observationmode.detail.suggestions.binary.cloudTrustScore" var="binaryCloudTrustScore" />
<orion:message key="scor.observationmode.detail.suggestions.binary.enterpriseTrustLevel" var="binaryEnterpriseTrustLevel" />
<orion:message key="scor.observationmode.detail.suggestions.binary.checksum" var="binaryChecksum" />
<orion:message key="scor.observationmode.detail.suggestions.binary.actions" var="actions" />

<orion:message key="scor.observationmode.detail.suggestions.add.installer" var="addInstallerBtnTxt"  escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.updater" var="addUpdaterBtnTxt" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.cksum" var="addCksumBtnTxt" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.parent.updater" var="addParentUpdaterBtnTxt" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.dir" var="addDirBtnTxt" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.pub" var="addPubBtnTxt" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.solidify" var="SolidifyBtnTxt" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.add.exception" var="addExceptionBtnTxt" escape="none" />


<orion:message key="scor.observationmode.detail.suggestions.publisher.info.title" var="publisherInfoTitle" escape="none" />
<orion:message key="scor.observationmode.detail.suggestions.publisher.issued.to" var="pubIssuedTo" />
<orion:message key="scor.observationmode.detail.suggestions.publisher.issued.by" var="pubIssuedBy" />
<orion:message key="scor.observationmode.detail.suggestions.publisher.lastmodified" var="pubLastModified" />
<orion:message key="scor.observationmode.detail.suggestions.publisher.friendlyname" var="pubFriendlyName" />

<orion:message key="scor.observationmode.detail.suggestions.approval.status.txt" var="approvalStatusTxt" />
<orion:message key="scor.observationmode.detail.suggestions.approval.status.none" var="none" />
<orion:message key="scor.observationmode.detail.suggestions.approval.status.approved" var="approved" />
<orion:message key="scor.observationmode.detail.suggestions.approval.status.rejected" var="rejected" />
<orion:message key="scor.observationmode.detail.suggestions.approval.remarks.txt" var="approvalRemarksTxt" />

<orion:message key="scor.observationmode.detail.suggestions.dialog.approve.title" var="approveTitleTxt" escape="javascript"/>
<orion:message key="scor.observationmode.detail.suggestions.dialog.dismiss.title" var="dismissTitleTxt" escape="javascript"/>

<orion:message key="scor.observationmode.detail.suggestions.default.tagname" var="defaultTagName" escape="javascript" />
<orion:message key="scor.observationmode.detail.suggestions.default.rulename" var="defaultRuleName" escape="javascript" />

<orion:message key="scor.saveGroup.button.txt" var="saveGroupButtonTxt" escape="none"/>
<orion:message key="scor.observationmode.detail.suggestions.title.rulgroup" var="titleRuleGroup" escape="javascript"/>
<orion:message key="scor.observationmode.detail.suggestions.title.solidification" var="titleSolidification" escape="javascript"/>

<orion:message key="scor.observationmode.trusteddir.updater.warn" var="trustedDirUpdaterWarning" escape="javascript"/>
<orion:message key="scor.warning.dialogBox.title" var="WarningText" escape="javascript"/>

<orion:script context="/core" src="/treelib.js"/>
<orion:script context="/core" src="/majic.js"/>

<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupUpdaterRules" authToken = "isAuthorizedToEditUpdaterRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupBinaryRules" authToken = "isAuthorizedToEditBinaryRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupTrustedUserRules" authToken = "isAuthorizedToEditTrustedUserRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupPublisherRules" authToken = "isAuthorizedToEditPublisherRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupInstallerRules" authToken = "isAuthorizedToEditInstallerRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupExceptionRules" authToken = "isAuthorizedToEditExceptionRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupTrustedDirRules" authToken = "isAuthorizedToEditTrustedDirRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupFilterRules" authToken = "isAuthorizedToEditFilterRules"/>
	


<script type="text/javascript">

	var scor = scor || {};
	scor.ob = scor.ob || {};
	scor.ob.tree = scor.ob.tree || {};
	scor.ob.suggestions = scor.ob.suggestions || {};
	scor.ob.suggestions.validate = scor.ob.suggestions.validate || {};
	scor.ob.suggestions.rulegroup = scor.ob.suggestions.rulegroup || {};
	scor.ob.suggestions.dialog = scor.ob.suggestions.dialog || {}; 
	
	scor.ob.suggestions.setBinaryInfo = function(binaryInfoVO) {
		$("binaryNameValCell").innerHTML = binaryInfoVO.binaryName || '';
		$("binaryPathValCell").innerHTML = binaryInfoVO.binaryPath || '';
// 		$("binaryVendorValCell").innerHTML = binaryInfoVO.vendor || '';
// 		$("binaryVersionValCell").innerHTML = binaryInfoVO.version || '';
		$("binaryChecksumValCell").innerHTML = binaryInfoVO.checksum || '';
	};
	
	scor.ob.suggestions.setPubInfo = function(binaryInfoVO) {
		if (binaryInfoVO.isPublisherPresent) {
			$("pubIssuedToValCell").innerHTML = binaryInfoVO.publisherInfo.issuedTo || '';
			$("pubIssuedByValCell").innerHTML = binaryInfoVO.publisherInfo.issuedBy || '';
			$("pubLastModifiedValCell").innerHTML = binaryInfoVO.publisherInfo.dateString || '';
			$("pubFriendlyNameValCell").innerHTML = binaryInfoVO.publisherInfo.friendlyName || '';
		} else {
			$("pubIssuedToValCell").innerHTML = '';
			$("pubIssuedByValCell").innerHTML = '';
			$("pubLastModifiedValCell").innerHTML = '';
			$("pubFriendlyNameValCell").innerHTML = '';
		}
	};
	
	//When showHideBool is true then button is enabled else disabled
	scor.ob.suggestions.enableButton = function(buttonId, enableDisableBool) {
		var button = new Button(buttonId);
		button.setEnabled(enableDisableBool);
	};
	
	scor.ob.suggestions.getAutoTag = function(binaryName, rgType) {
		if (arguments.length === 2) {
			var autoTag = rgType + '_' + binaryName;
			autoTag = autoTag.substring(0, 12);
			autoTag.replace(" ", '_');
			return autoTag;
		} else {
			throw {err: 'Invalid no. of Arguments'};
		}
	}
	
	scor.ob.suggestions.showHideBtns = function(binaryInfoVO) {
		$('installerBtnContainer').style.display = 'none';
		$('updaterBtnContainer').style.display = 'none';
		$('cksumBtnContainer').style.display = 'none';
		$('parentCksumBtnContainer').style.display = 'none';
		$('publisherInfoBox').style.display = 'none';
		$('exceptionBtnContainer').style.display = 'none';
		$('SolidifyBtnContainer').style.display = 'none';
		$('dirBtnContainer').style.display = 'none';
		$('binaryInfoBoxDiv').style.display = '';
		if (typeof binaryInfoVO.isCriticalProc === 'boolean' && binaryInfoVO.isCriticalProc === true) {
			<%-- for critical processes
				Case 1. For Exec Denied show Add to whitelist and add to network path option on the basis of deny_reason
				Think of more cases. --%>
			if(typeof binaryInfoVO.obsName === 'string' && binaryInfoVO.obsName !== '<%=ObservationModeConstants.DENY_EXEC%>') {
				return;
			}
		}
		var obsName = binaryInfoVO.obsName;
		switch(obsName) {
			case '<%=ObservationModeConstants.PROCESS_CREATED%>':
				scor.ob.suggestions.showHideBtns.onProcessCreated(binaryInfoVO);
				break;
			case '<%=ObservationModeConstants.PROCESS_HIJACKED%>':
				scor.ob.suggestions.showHideBtns.enableException(binaryInfoVO);
				break;
			case '<%=ObservationModeConstants.NX_VIOLATION_DETECTED%>':
				scor.ob.suggestions.showHideBtns.enableException(binaryInfoVO);
				break;
			case '<%=ObservationModeConstants.VASR_VIOLATION_DETECTED%>':
				scor.ob.suggestions.showHideBtns.enableException(binaryInfoVO);
				break;
			case '<%=ObservationModeConstants.DENY_EXEC%>':
				scor.ob.suggestions.showHideBtns.onDenyExec(binaryInfoVO);
				break;
			case '<%=ObservationModeConstants.ACTIVEX%>':
				scor.ob.suggestions.showHideBtns.enablePub(binaryInfoVO);
				scor.ob.suggestions.showHideBtns.hideBinaryInfoForActiveX(binaryInfoVO);			
				break;
			case '<%=ObservationModeConstants.PACKAGE_CONTROL%>':
				scor.ob.suggestions.showHideBtns.enablePub(binaryInfoVO);
				scor.ob.suggestions.showHideBtns.enableInstaller(binaryInfoVO);
				scor.ob.suggestions.showHideBtns.enableDir(binaryInfoVO);
				break;
			case '<%=ObservationModeConstants.DENY_WRITE%>':
				scor.ob.suggestions.showHideBtns.onDenyWrite(binaryInfoVO);
				break;
		}
	};

	scor.ob.suggestions.showHideBtns.enableInstaller = function(binaryInfoVO) {
		/*For critical processes do not show installer option.*/
		if (typeof binaryInfoVO.isCriticalProc === 'boolean' && binaryInfoVO.isCriticalProc !== true  &&
				typeof binaryInfoVO.binaryName === 'string' && binaryInfoVO.binaryName !== '' &&
				typeof binaryInfoVO.checksum === 'string' && binaryInfoVO.checksum !== '') {
				$('installerBtnContainer').style.display = '';
		}
	}
	scor.ob.suggestions.showHideBtns.hideBinaryInfoForActiveX = function(binaryInfoVO) {
		if (binaryInfoVO.isPublisherPresent === true) {
			$('binaryInfoBoxDiv').style.display = 'none';
		}
	};

	scor.ob.suggestions.showHideBtns.enableException = function(binaryInfoVO) {
		if (typeof binaryInfoVO.binaryName === 'string' && binaryInfoVO.binaryName !== '') {
			$('exceptionBtnContainer').style.display = '';
		}
	};
	
	scor.ob.suggestions.showHideBtns.enablePub = function(binaryInfoVO) {
		if (binaryInfoVO.isPublisherPresent === true) {
			$('publisherInfoBox').style.display = '';
		}
	};

	scor.ob.suggestions.showHideBtns.onProcessCreated = function(binaryInfoVO) {
		/*For root process created make them updater, also show publisher if available*/
		if (typeof binaryInfoVO.isRoot === 'boolean' && binaryInfoVO.isRoot === true) {
			if (typeof binaryInfoVO.binaryName === 'string' && binaryInfoVO.binaryName !== '') {
				$('updaterBtnContainer').style.display = '';
			}
			scor.ob.suggestions.showHideBtns.enablePub(binaryInfoVO);
		}
	};
	
	scor.ob.suggestions.showHideBtns.enableCksum = function(binaryInfoVO) {
		if (typeof binaryInfoVO.binaryName === 'string' && binaryInfoVO.binaryName !== '' &&
				typeof binaryInfoVO.checksum === 'string' && binaryInfoVO.checksum !== '') {
			$('cksumBtnContainer').style.display = '';
		}
	};
	
	scor.ob.suggestions.showHideBtns.enableDir = function(binaryInfoVO) {
		if (typeof binaryInfoVO.isNetworkPath === 'boolean' && binaryInfoVO.isNetworkPath === true) {
			$('dirBtnContainer').style.display = '';
		}
	};

	scor.ob.suggestions.showHideBtns.onDenyWrite = function(binaryInfoVO) {
		if (typeof binaryInfoVO.parentBinaryPath === 'string' && binaryInfoVO.parentBinaryPath !== '' &&
				typeof binaryInfoVO.denyReason === 'string' &&
				binaryInfoVO.denyReason.indexOf('<%=ObservationModeConstants.DENY_REASON_FILE_WRITE_PROTECTED%>') == -1) {
			$('parentCksumBtnContainer').style.display = '';
		}
	};
	
	
	
	scor.ob.suggestions.isUpdaterSupported = function(binaryInfoVO) {
		var binaryType = binaryInfoVO.binaryType;
		if (typeof binaryType === 'string' &&
				(binaryType.indexOf('-exe') !== -1 || binaryType.indexOf('script') !== -1)) {
			return true;
		} else {
			return false;
		}
	}
	
	scor.ob.suggestions.showHideBtns.onDenyExec = function(binaryInfoVO) {
		
		if (typeof binaryInfoVO.binaryName === 'string' && binaryInfoVO.binaryName !== '') {
			
			if (typeof binaryInfoVO.denyReason === 'string' &&
					(binaryInfoVO.denyReason.indexOf('<%=ObservationModeConstants.DENY_REASON_FILE_ON_NETWORK_SHARE%>') != -1 ||
					binaryInfoVO.denyReason.indexOf('<%=ObservationModeConstants.DENY_REASON_FILE_ON_REMOVABLE_MEDIA%>') != -1)) {
				$('dirBtnContainer').style.display = '';
			}
			
			if (typeof binaryInfoVO.denyReason === 'string' &&
					binaryInfoVO.denyReason.indexOf('<%=ObservationModeConstants.DENY_REASON_FILE_UNSOLIDIFIED%>') != -1 ) {
				$('SolidifyBtnContainer').style.display = '';
			}
			/*For critical processes do not show installer and updater option.*/
			if (typeof binaryInfoVO.isCriticalProc === 'boolean' && binaryInfoVO.isCriticalProc !== true) {			
				if (binaryInfoVO.isInstaller === true && typeof binaryInfoVO.checksum === 'string' && binaryInfoVO.checksum !== '') {
					$('installerBtnContainer').style.display = '';
				}
				if(scor.ob.suggestions.isUpdaterSupported (binaryInfoVO) === true) {
					$('updaterBtnContainer').style.display = '';
				}
			}
		}
		/*For critical processes do we need to show checksum and publisher option. Not showing right now*/
		if (typeof binaryInfoVO.isCriticalProc === 'boolean' && binaryInfoVO.isCriticalProc !== true) {			
			scor.ob.suggestions.showHideBtns.enableCksum(binaryInfoVO);
			scor.ob.suggestions.showHideBtns.enablePub(binaryInfoVO);
		}
	};
	
	scor.ob.suggestions.plotAllBinaryInfo = function(binaryInfoVO) {
		scor.ob.tree.state.setPresentNodeSelectedKey(scor.ob.tree.state.getNextNodeKey());
		scor.ob.suggestions.binaryvo.set(binaryInfoVO);
		scor.ob.suggestions.setBinaryInfo(binaryInfoVO);
		scor.ob.suggestions.setPubInfo(binaryInfoVO);
		scor.ob.suggestions.showHideBtns(binaryInfoVO);
	};

	scor.ob.suggestions.plotInfoFromCloud = function(binaryInfoVO) {
		$("binaryCloudTrustScoreValCell").innerHTML = binaryInfoVO.cloudTrustScore || '';
		$("binaryEnterpriseTrustLevelValCell").innerHTML = binaryInfoVO.enterpriseTrustLevel || '';
	};
	
	scor.ob.suggestions.fetchBinaryInfo = function(obsId) {
			scor.actions.doAsyncAction('<%=URLConstants.FETCH_BINARY_INFO_URL%>'
				,['<%=ObservationModeConstants.OBSERVATION_ID_PARAM%>', obsId]
				, scor.ob.suggestions.plotAllBinaryInfo);
			scor.actions.doAsyncAction('<%=URLConstants.FETCH_BINARY_INFO_FROM_CLOUD_URL%>'
					,['<%=ObservationModeConstants.OBSERVATION_ID_PARAM%>', obsId]
					, scor.ob.suggestions.plotInfoFromCloud, 
					null, <%-- Let the default handling be done for errors --%>
					"POST",
					false <%-- No Please wait Modal handling for this AJAX call --%>
					);
	};

	scor.ob.tree.nodeClickHandler = function(clickedNode) {
		var obsId = OrionTree.getNodeKey(clickedNode);
		<%-- This Check avoids unnecessary ajax calls
		when the same node is selected over and over again--%>
		if (scor.ob.tree.state.getPresentNodeSelectedKey() !== obsId) {
			scor.ob.tree.state.setNextNodeKey(obsId);
			scor.ob.suggestions.fetchBinaryInfo(obsId);
		}
	};
	
	scor.ob.suggestions.addInstaller = function() {
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();
		var binaryName = obsBinaryInfoVO.binaryName || '';
		var defaultTag = scor.ob.suggestions.getAutoTag (binaryName, 'I');
		insertAppRow({
			appName : binaryName,
			version : obsBinaryInfoVO.version || '',
			vendor : obsBinaryInfoVO.vendor || '',
			tag: defaultTag,
			checksum : obsBinaryInfoVO.checksum || ''
		});
		scorRuleGroupTabSwapper.swap($('tab_applicationsTabId'));
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		scor.ob.suggestions.rgSoTabStrip.swapToRuleGroupTab();
	};
	
	scor.ob.suggestions.addUpdater = function() {
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();
		//"updaters":[{"binaryPath":"test","tag":"s","typeValue":"none","libraryParent":"","inherit":"true","log":"true"}
		var updaters = [];
		var obsName = obsBinaryInfoVO.obsName;
		var binaryPath = '';
		if (obsName === '<%=ObservationModeConstants.DENY_WRITE%>') {
			binaryPath = obsBinaryInfoVO.parentBinaryPath;
		} else {
			binaryPath = obsBinaryInfoVO.binaryPath;
		}
		
		var binaryPathRegex = /^.*[\\\/](.*)/;
		var binaryName = binaryPathRegex.exec(binaryPath)[1]||'';
		
		var defaultTag = scor.ob.suggestions.getAutoTag (binaryName, 'U');
		var updaterObj = {
				binaryPath : binaryPath,
				tag : defaultTag, 
				libraryParent : '',
				typeValue : 'none',
				inherit : 'true',
				log : 'true'
				};
		var updaterListObj = scor.rg.awl.updaters.getUpdaterListVoFromUpdaterVo(updaterObj);
		updaterList.insert(updaterListObj);
		scorRuleGroupTabSwapper.swap($('tab_updaterTabId'));
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		scor.ob.suggestions.rgSoTabStrip.swapToRuleGroupTab();		
	};

	scor.ob.suggestions.addCksum = function() {
		<%--
		TODO: Refactoring has to be done in AllowBanBinary.jsp, _updaters.jsp, TrustedDirectories.jsp
			 i.e. insert.*RowMethod have to be added in each of the above and replace the code below with the newly added methods
		TODO: Deny write case has to be handled.
		--%>
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();
		var defaultTag = scor.ob.suggestions.getAutoTag (obsBinaryInfoVO.binaryName || '', 'C');
		var allowBanByCksumObj = {
				binaryRuleNameId : defaultTag,
				binaryAllowBanId : '<%=AllowBanBinaryHelper.ALLOW_BAN_ALLOW%>',
				binarySearchTypeId : '<%=AllowBanBinaryHelper.CHECKSUM%>',
				binaryValueId : obsBinaryInfoVO.checksum
				};
		binaryList.insert(allowBanByCksumObj); 
		scorRuleGroupTabSwapper.swap($('tab_allowBanBinaryId'));
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		scor.ob.suggestions.rgSoTabStrip.swapToRuleGroupTab();
		
	};
	
	scor.ob.suggestions.addException = function() {
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();
		var obsName = obsBinaryInfoVO.obsName;
		var exception_opts = '';
		var modulePath = '';
		if (obsName === '<%=ObservationModeConstants.PROCESS_HIJACKED%>') {
			exception_opts = 'casp_bypass, ';
		} else if (obsName === '<%=ObservationModeConstants.NX_VIOLATION_DETECTED%>') {
			exception_opts = 'dep_bypass, ';
		}else if (obsName === '<%=ObservationModeConstants.VASR_VIOLATION_DETECTED%>') {
			exception_opts = 'vasr_force_reloc_bypass, ';
			modulePath = (obsBinaryInfoVO.relocatedDllName) ? obsBinaryInfoVO.relocatedDllName : '';
		}
		var attrObj = {
				filePath : obsBinaryInfoVO.binaryPath,
		        optionString : exception_opts, 
		        parentPath : '',
		        modulePath : modulePath	        
		        };
		attributesList.insert(attrObj);
		scorRuleGroupTabSwapper.swap($('tab_attributesTabId'));
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		scor.ob.suggestions.rgSoTabStrip.swapToRuleGroupTab();

	};
	
	scor.ob.suggestions.getDirFromPath = function(full_path) {
		var dir_reg = /^(.*)\\.*/;
		return dir_reg.exec(full_path)[1];
	};
	
	scor.ob.suggestions.addDir = function() {
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();

		var updater_option = 'true'; // Trusted dir would always be added as updater
		OrionCore.showMessageBox(true,'${trustedDirUpdaterWarning}', OrionCore.DIALOG_OK);
		OrionCore.setDialogBoxTitle('${WarningText}');
		
		var directory = scor.ob.suggestions.getDirFromPath(obsBinaryInfoVO.binaryPath);
		var trustedDirObj = {
				path :  directory || '',
				includeExcludeAction : 'Include',
				updater : updater_option
		};
		trustedDirectoriesList.insert(trustedDirObj);
		scorRuleGroupTabSwapper.swap($('tab_trustedDirectoriesTabId'));
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		scor.ob.suggestions.rgSoTabStrip.swapToRuleGroupTab();
	};

	scor.ob.suggestions.solidify = function() {
		
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();
		scor.so.fileList.insertNewRow(obsBinaryInfoVO.binaryPath);
		scor.ob.suggestions.enableButton('saveGroup', true);
		scor.ob.suggestions.rgSoTabStrip.swapToSoTab();
	};
	
	scor.ob.suggestions.addPub = function() {
		var obsBinaryInfoVO = scor.ob.suggestions.binaryvo.get();

     	var node = OrionTree.getSelectedNode("binaryTreeId");
       	var nodeKey = OrionTree.getNodeKey(node);
               
		insertPublisherRow({
			issuedTo : obsBinaryInfoVO.publisherInfo.issuedTo,
			issuedBy : obsBinaryInfoVO.publisherInfo.issuedBy,
			dateString : obsBinaryInfoVO.publisherInfo.dateString,
			friendlyName : obsBinaryInfoVO.publisherInfo.friendlyName,
			updater : 'false', //publisher would never be made updater 
			updaterTag : '', //No need to add any tag as updater is false by default.
			id : scor.ob.suggestions.addPub.getId(nodeKey)
		}); 
		
		scorRuleGroupTabSwapper.swap($('tab_PublisherTab'));
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		scor.ob.suggestions.rgSoTabStrip.swapToRuleGroupTab();

	};

	scor.ob.suggestions.addPub.getId = function(nodeKey){
		if(scor.ob.suggestions.isFromStatePage()){
			return scor.ob.stat.autoId;<%-- //Set ID of Observation statistic. get cert info using this ID--%>
		}else{
			return nodeKey<%-- //Set ID to Observation Id. extract publisher using this observation Id, save publisher and then set the correct Publisher Id --%>
			<%-- //This is there because only those publisher can be added which are preadded to the scor_publishers table--%>
		}
	}  
	
	scor.ob.suggestions.validate.isApproveEnabled = function() {
		
		if (scor.so.fileList.isListEmpty()) {
			var groupName = '';
			var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
			if(isNewRuleGroupSelected) {
				groupName = $('newGroupHtmlId').value;
				if (groupName === '') {
	    			scor.ob.suggestions.enableButton('saveGroup', false);
	    			$('scor.rg.already.exists.err').style.display = 'none';//Probably show the Empty div error mesg.
					return false;
				}
	    		var valid = scor.rg.sel.checkValidNewGroup(groupName, $('scorGroupsSelectId'));
	    		if (valid) {
	   		 		scor.ob.suggestions.enableButton('saveGroup', true);
	    			$('scor.rg.already.exists.err').style.display = 'none';
	    		} else {
	    			scor.ob.suggestions.enableButton('saveGroup', false);
	    			$('scor.rg.already.exists.err').style.display = '';
	    			return false;
	    		}
			} 
		}
		scor.ob.suggestions.enableButton('saveGroup', true);
		$('scor.rg.already.exists.err').style.display = 'none';
		return true;
	};
	
	scor.ob.suggestions.dialog.approve = function() {
		if (scor.ob.suggestions.validate.isApproveEnabled() == false) {
			return;
		}
		OrionCore.dialogBoxOkHandler = scor.ob.suggestions.rulegroup.save;
		OrionCore.setDialogBoxTitle('${approveTitleTxt}');
		$('scor.ob.sug.dialog.dismiss.msg').style.display = 'none';
		$('scorFilterFutureOptTable').style.display = 'none';
		$('scorFilterFutureOptDescription').style.display = 'none';
		$('scor.ob.sug.dialog.approve.msg').style.display = '';
		OrionCore.showDialogBox(true, $('scor.ob.sug.dialog.content').innerHTML);
	};
	
	scor.ob.suggestions.dialog.dismiss = function() {
		OrionCore.dialogBoxOkHandler = scor.ob.suggestions.reject;
		OrionCore.setDialogBoxTitle('${dismissTitleTxt}');
		$('scor.ob.sug.dialog.dismiss.msg').style.display = '';
		$('scorFilterFutureOptTable').style.display = 'none';
		$('scorFilterFutureOptDescription').style.display = 'none';
		$('scor.ob.sug.dialog.approve.msg').style.display = 'none';
		OrionCore.showDialogBox(true, $('scor.ob.sug.dialog.content').innerHTML);
	};
	

	scor.ob.suggestions.rulegroup.save = function() {
        var updatedGrp = scor.grpMgmt.getGroup();
        var updatedGrpJSON = JSON.stringify(updatedGrp);
        var groupName = '';
        var groupId = -1;
        var groupSelectElem = null;
        var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
        if(isNewRuleGroupSelected) {
        	groupName = $('newGroupHtmlId').value;
        } else {
        	groupSelectElem = $('scorGroupsSelectId');
        	groupId = groupSelectElem.value;
        }
        if( scor.ob.suggestions.isFromStatePage()){
			OrionCore.showDialogBox(false);
			scor.actions.doAsyncAction('<%=URLConstants.OBS_SAVE_SUGGESTIONS_RULE_GROUP_URL%>',
	        		['<%=Constants.GROUP_DATA%>', updatedGrpJSON, '<%=Constants.GROUP_ID%>', groupId,
	        		'<%=Constants.GROUP_NAME%>', groupName,
	        		'<%=ObservationStatisticsConstants.REQ_ATTR_FROM_STATE_PAGE%>', scor.ob.suggestions.isFromStatePage()],
	        		scor.ob.stat.suggestion.save.success, 'POST');
			}else{        
			    var remarksElem = scor.utils.GetElementFromDialogBox('scor.ob.sug.dialog.remarks', 'input');
				var remarks = remarksElem.value;				
				if (scor.ob.suggestions.validate.isApproveEnabled() == false) {
					return;
				}       
			    var isApplyToAllChkBox = scor.utils.GetElementFromDialogBox('scor.ob.sug.dialog.isapplyall', 'input');
		        var isApplyToAll = isApplyToAllChkBox.checked;
		        var isApplyToAllStr = '';
		        if (isApplyToAll === true) {
		        	isApplyToAllStr = 'true';
		        } else {
		        	isApplyToAllStr = 'false';
		        }		       
		        var whiteListBinaries = scor.so.fileList.getBinariesToSo();
		        var whiteListBinariesVO = {'whiteListBinaryPaths': whiteListBinaries};
		        var whiteListBinaryJSON = JSON.stringify(whiteListBinariesVO);
		        OrionCore.showDialogBox(false);
		        scor.actions.doAsyncAction('<%=URLConstants.OBS_SAVE_SUGGESTIONS_RULE_GROUP_URL%>',
		        		['<%=Constants.GROUP_DATA%>', updatedGrpJSON, '<%=Constants.GROUP_ID%>', groupId,
		        		'<%=Constants.GROUP_NAME%>', groupName, '<%=ObservationModeConstants.REMARKS%>', remarks,
		        		'<%=ObservationModeConstants.ADD_TO_WHITELIST%>', whiteListBinaryJSON,
		        		'<%=ObservationModeConstants.INIT_NODE_SELECTED_ATTR%>', scor.ob.tree.state.getNodeOnInit(),
		        		'<%=ObservationModeConstants.SIMILAR_SUGGESTION_CHOICE%>', isApplyToAllStr],
		        		scor.ob.suggestions.rulegroup.save.success, 'POST');
			}
	};

	scor.ob.suggestions.rulegroup.save.success = function() {
        OrionCore.showPleaseWait(false);
        scor.ob.gotoCallerPage();
	};
		
	scor.ob.suggestions.binaryvo = function() {
		var vo = null;
		return {
			get : function() {
				return vo;
			},
			set : function(binaryVo) {
				vo = binaryVo;
			}
		}
	}();
	
<%-- nodeKeys hidden through closures in the tree state object --%>
	scor.ob.tree.state = scor.ob.tree.state || function() {
		var presentNodeSelectedKey = -1;
		var nextNodeKey = -1;
		var nodeOnInit = -1;
		return {
			getPresentNodeSelectedKey: function() {
				return presentNodeSelectedKey;
			},
			setPresentNodeSelectedKey: function(key) {
				presentNodeSelectedKey = key;
			},
			getNextNodeKey: function() {
				return nextNodeKey;
			},
			setNextNodeKey: function(key) {
				nextNodeKey = key;
			},
			getNodeOnInit: function() {
				return nodeOnInit;
			},
			setNodeOnInit: function(key) {
				nodeOnInit = key;
			}
		}
	}();
	
	scor.ob.suggestions.reject = function() {
		var remarksElem = scor.utils.GetElementFromDialogBox('scor.ob.sug.dialog.remarks', 'input');
		var remarks = remarksElem.value;
		
		var isApplyToAllChkBox = scor.utils.GetElementFromDialogBox('scor.ob.sug.dialog.isapplyall', 'input');
        var isApplyToAll = isApplyToAllChkBox.checked;
        var isApplyToAllStr = '';
        if (isApplyToAll === true) {
        	isApplyToAllStr = 'true';
        } else {
        	isApplyToAllStr = 'false';
        }
	
        var shouldFilterFutureOccurenceChkBox = scor.utils.GetElementFromDialogBox('scor.ob.sug.dialog.filterfuture', 'input'); 
        var shouldFilterFutureOccurence = shouldFilterFutureOccurenceChkBox.checked;
        var shouldFilterFutureOccurenceStr = '';
        if (shouldFilterFutureOccurence === true) {
        	shouldFilterFutureOccurenceStr = 'true';
        } else {
        	shouldFilterFutureOccurenceStr = 'false';
        }
        
        OrionCore.showDialogBox(false);
		scor.actions.doAsyncAction('<%=URLConstants.REJECT_SUGGESTION_URL%>'
				,['<%=ObservationModeConstants.REMARKS%>', remarks,
        		'<%=ObservationModeConstants.INIT_NODE_SELECTED_ATTR%>', scor.ob.tree.state.getNodeOnInit(),
        		'<%=ObservationModeConstants.SIMILAR_SUGGESTION_CHOICE%>', isApplyToAllStr,
        		'<%=ObservationModeConstants.FILTER_FUTURE_OCCURENCE_CHOICE%>', shouldFilterFutureOccurenceStr],
				 scor.ob.suggestions.rulegroup.save.success);
	};
	
	scor.ob.suggestions.validate.onExistingGroupChange = function() {
		scor.ob.suggestions.enableButton('saveGroup', true);
	};
	
	scor.ob.suggestions.validate.onNewGroupCheckChange = function() {
		var ruleGroupVal = $('newGroupHtmlId').value;
		if(ruleGroupVal !== '') {
			scor.ob.suggestions.enableButton('saveGroup', true);
        	var valid = scor.rg.sel.checkValidNewGroup(ruleGroupVal, $('scorGroupsSelectId'));
        	if (valid) {
        		scor.ob.suggestions.enableButton('saveGroup', true);
        	} else {
        		scor.ob.suggestions.enableButton('saveGroup', false);
        	}
		} else {
			scor.ob.suggestions.enableButton('saveGroup', false);
		}
	};
	
	scor.ob.suggestions.hideShowElements = function() {
		scor.rg.awl.updaters.hideButton('suggest');
		scor.rg.awl.attrs.hideButton('suggest');
		scor.ob.suggestions.enableButton('saveGroup', false);
	};
	
	scor.ob.suggestions.init = function() {
		if(scor.ob.suggestions.isFromStatePage()){
			return;
		}
		var rootObsId = '${scorObsIdReqAttr}';
		var presentNodeSelectedId = '${scorObsIdSelectedNodeReqAttr}';
		var pathToExpandNodes = new Array(${scorPathToExpandReqAttr});
		var path = "";
		for (key in pathToExpandNodes) {
			if (key < pathToExpandNodes.length - 1) {
				path += pathToExpandNodes[key] + OrionTree.PATH_DELIMITER;
			}
			else {
				path += pathToExpandNodes[key];
			}
		}
		
		scor.ob.tree.state.setPresentNodeSelectedKey(presentNodeSelectedId);
		scor.ob.tree.state.setNextNodeKey(presentNodeSelectedId);
		scor.ob.tree.state.setNodeOnInit(presentNodeSelectedId);
		scor.ob.suggestions.fetchBinaryInfo(presentNodeSelectedId);
		scor.ob.suggestions.disableAddRulesButtonUserNotAuthorizedFor();
		OrionTree.setSelectHandler(scor.ob.tree.nodeClickHandler);

		var presentNodeSelected = OrionTree.getNodeByKey("binaryTreeId", presentNodeSelectedId);
		if(null == presentNodeSelected) {
			//Expand till relevant Node
			OrionTree.expandToPath("binaryTreeId", path, false, presentNodeSelectedId);
		} else {
			OrionTree.setSelectedNode(presentNodeSelected);
		}
		scor.ob.suggestions.hideShowElements();
		
		OrionEvent.registerHandlerById('newGroupHtmlId', scor.ob.suggestions.validate.onNewGroupCheckChange,  null, 'keyup', false);
		OrionEvent.registerHandlerById('addToNewRuleGroupOption', scor.ob.suggestions.validate.onNewGroupCheckChange,  null, 'click', false);
		OrionEvent.registerHandlerById('addToExistingRuleGroupOption', scor.ob.suggestions.validate.onExistingGroupChange,  null, 'click', false);

 		scor.so.fileList.setOnChangeCallback(function(){
 			scor.ob.suggestions.validate.isApproveEnabled();
		});
		scor.ob.suggestions.rgSoTabStrip.init();
	}

	scor.ob.suggestions.disableAddRulesButtonUserNotAuthorizedFor = function(){
		if('${isAuthorizedToEditUpdaterRules}' === 'false'){
			scor.ob.suggestions.disableAddRuleButton('addUpdaterBtn');
			scor.ob.suggestions.disableAddRuleButton('parentCksumBtnContainer');
		}
		if('${isAuthorizedToEditBinaryRules}' === 'false'){
			scor.ob.suggestions.disableAddRuleButton('addCksumBtn');
		}
		if('${isAuthorizedToEditPublisherRules}' === 'false'){
			scor.ob.suggestions.disableAddRuleButton('addPublisherBtn');
		}
		if('${isAuthorizedToEditInstallerRules}' === 'false'){
			scor.ob.suggestions.disableAddRuleButton('addInstallerBtn');
		}
		if('${isAuthorizedToEditTrustedDirRules}' === 'false'){
			scor.ob.suggestions.disableAddRuleButton('addDirBtn');
		}
		if('${isAuthorizedToEditExceptionRules}' === 'false'){
			scor.ob.suggestions.disableAddRuleButton('addExceptionBtn');
		}
	}	

	scor.ob.suggestions.disableAddRuleButton = function(buttonId){
		OrionCore.setEnabledById( buttonId , false);
	}

	scor.ob.suggestions.rgSoTabStrip = function() {
		var scorObModeTabConfiguration = {
				"<%=ObservationModeConstants.ruleGroupTabId%>" :
				{
					title : "${titleRuleGroup}",
					callback : function() {
						$('selectRulegroupBoxId').style.display = '';
					}
				},
				"<%=ObservationModeConstants.solidificationTabId%>" :
				{
					title : "${titleSolidification}",
					callback : function() {
						$('selectRulegroupBoxId').style.display = 'none';
					}
				}
		};
		var scorObModeRuleGroupSolidifyTabswapper = null;
		return {
			init: function() {
				scorObModeRuleGroupSolidifyTabswapper = new majic.SwapTabStrip("<%=ObservationModeConstants.ruleGroupAndSolidificationTab%>", scorObModeTabConfiguration );
			},
			get: function() {
				return scorObModeRuleGroupSolidifyTabswapper;
			}, 
			swapToSoTab: function() {
				scorObModeRuleGroupSolidifyTabswapper.swap($('tab_solidificationTabId'));
			},
			swapToRuleGroupTab: function() {
				scorObModeRuleGroupSolidifyTabswapper.swap($('tab_ruleGroupTabId'));
			}
		};
	}();

	scor.ob.suggestions.isFromStatePage = function(){
		return ('${fromStatPage}' == 'true');
	}
	
	OrionCore.addLoadHandler(scor.ob.suggestions.init);

</script>
 

<%@ include file="suggestionDialog.jsp" %>
 
<orion:vbox id="suggestionInfobox">
<orion:box>
	<div id="binaryInfoBoxDiv">
	<orion:box id="binaryInfoBox">
		<orion:titlebar id="binaryInfoTitle" text="${binaryInfoTitle}" />
		<table id="binaryInfoTable" width="100%" cellspacing="1px" cellpadding="1px" >
			<tr id="binaryInfoHeadingRow" class="orionSummaryHeader" >
				<th width="20%">${binaryName}</th>
				<th width="20%">${binaryPath}</th>
				<th width="10%">${binaryCloudTrustScore}</th>
				<th width="10%">${binaryEnterpriseTrustLevel}</th>
<%-- 				<th>${binaryVendor}</th> --%>
<%-- 				<th>${binaryVersion}</th> --%>
				<th width="30%">${binaryChecksum}</th>
				<th width="10%">${actions}</th>
			</tr>
			<tr id="binaryInfoValueRow" class="orionSummaryColumn" align="center">
				<td id="binaryNameValCell"/>
				<td id="binaryPathValCell" />
				<td id="binaryCloudTrustScoreValCell" />
				<td id="binaryEnterpriseTrustLevelValCell" />
<%-- 				<td id="binaryVendorValCell"/> --%>
<%-- 				<td id="binaryVersionValCell"/> --%>
				<td id="binaryChecksumValCell"/>
				<td id="binaryActionsCol" align="left">
					<div id="installerBtnContainer" style="display: none;">
						<orion:button id="addInstallerBtn" text="${addInstallerBtnTxt}"
							onclick="scor.ob.suggestions.addInstaller();" />
					</div>
					
					<div id="dirBtnContainer" style="display: none;">
						<orion:button id="addDirBtn" text="${addDirBtnTxt}"
							onclick="scor.ob.suggestions.addDir();" />
					</div>
					
					<div id="SolidifyBtnContainer" style="display: none;">
						<orion:button id="addSolidifyBtn" text="${SolidifyBtnTxt}"
							onclick="scor.ob.suggestions.solidify();" />
					</div>
					
					<div id="updaterBtnContainer" style="display: none;">
						<orion:button id="addUpdaterBtn" text="${addUpdaterBtnTxt}"
							onclick="scor.ob.suggestions.addUpdater();" />
					</div>
					
					<div id="cksumBtnContainer" style="display: none;">
						<orion:button id="addCksumBtn" text="${addCksumBtnTxt}"
							onclick="scor.ob.suggestions.addCksum();" />
					</div>
					
					<div id="parentCksumBtnContainer" style="display: none;">
						<orion:button id="addParentCksumBtn" text="${addParentUpdaterBtnTxt}"
							onclick="scor.ob.suggestions.addUpdater();" />
					</div>
					
					<div id="exceptionBtnContainer" style="display: none;">
						<orion:button id="addExceptionBtn" text="${addExceptionBtnTxt}"
							onclick="scor.ob.suggestions.addException();" />
					</div>
				</td>
			</tr>
		</table>
	</orion:box>
	</div>
	<div id="publisherInfoBox" style="display:none;">
		<orion:box>
			<orion:titlebar id="publisherInfoTitle" text="${publisherInfoTitle}" />
			<table id="publisherInfoTable" width="100%" cellspacing="1px" cellpadding="1px" >
				<tr id="publisherInfoHeadingRow" class="orionSummaryHeader" >
					<th>${pubIssuedTo}</th>
					<th>${pubIssuedBy}</th>
					<th>${pubLastModified}</th>
					<th>${pubFriendlyName}</th>
					<th>${actions}</th>
				</tr>
				<tr id="publisherInfoValueRow" class="orionSummaryColumn" align="center">
					<td id="pubIssuedToValCell"/>
					<td id="pubIssuedByValCell"/>
					<td id="pubLastModifiedValCell"/>
					<td id="pubFriendlyNameValCell"/>
					<td id="pubActionsCol">
						<orion:button id="addPublisherBtn" 
							text="${addPubBtnTxt}"
							onclick="scor.ob.suggestions.addPub();"/>
					</td>
				</tr>
			</table>
		</orion:box>
	</div>

	<orion:box id="<%=ObservationModeConstants.ruleGroupAndSolidificationTab%>" height="24"/>

	<orion:box id="<%=ObservationModeConstants.ruleGroupTabId%>" height="500">
			<jsp:include page="${scorRuleGroupPageUrlAttr}"></jsp:include>
 	</orion:box>

	<orion:box id="<%=ObservationModeConstants.solidificationTabId%>" height="500">
 			<jsp:include page="showSolidification.jsp"/>
	</orion:box>

	<orion:box id="selectRulegroupBoxId" height="135">
		<%@ include file="../common/selectRuleGroup.jsp" %>
	</orion:box>
</orion:box>
</orion:vbox>

