<!-- COPYRIGHT:		Copyright (C) 2015 McAfee, Inc.  All rights reserved-->
<!-- These below 2 div we need for displaying the tooltip -->
<div id="scorTooltip" style="height:12px;width:100px;display:none;left:0px; top:0px;"></div>
<div id="templateDivFortoolTipWidth" style="display:none"></div>


<script type="text/javascript">
//handler that positions and shows the tooltip
var scor = scor || {};
scor.toolTip = scor.toolTip || {};
scor.toolTip.element=new YAHOO.widget.Overlay("scorTooltip");

scor.toolTip.onMousemove=function (event, contextIdForTooltip) {
	 if(! scor.toolTip.element){
		 scor.toolTip.element=new YAHOO.widget.Overlay("scorTooltip");
	 }
	 var target = event.target || event.srcElement;
	 var scorToolTipData = OrionCore.escapeHtml(scor.toolTip.getAttributesFromTriggerEvent(target, 'scor-dataAttr'));
	 scor.toolTip.createToolTip(event, scorToolTipData, contextIdForTooltip);
}
  
  
scor.toolTip.onMousemoveOnUserDefinedTooltipDiv=function (event, contextIdForTooltip, tooltipDivId) {
	 if(!tooltipDivId)
	 {
		 scor.toolTip.onMousemove(event, contextIdForTooltip);
		 return;
	 }
	 
	 if(! scor.toolTip.element){
		 scor.toolTip.element=new YAHOO.widget.Overlay("scorTooltip");
	 }
	 var target = event.target || event.srcElement;
	 var scorToolTipData = scor.toolTip.getAttributesFromTriggerEvent(target, 'scor-dataAttr');
	 if(scorToolTipData)
	 {	 
	 	var divIdAndToolTipDataArray=scorToolTipData.split("||");
	 	for(i=0;i< divIdAndToolTipDataArray.length;i++)
	 	{ 
     		var divId=divIdAndToolTipDataArray[i].split(":::")[0];
			var toolTipData=divIdAndToolTipDataArray[i].split(":::")[1];
        	$j('#'+tooltipDivId).find('#'+divId).html(OrionCore.escapeHtml(toolTipData));
		}
	 	scor.toolTip.createToolTip(event, $j('#'+tooltipDivId).html(), contextIdForTooltip);
	 }	
 }

/* this calculate width of tooltip and create tooltip */
scor.toolTip.createToolTip = function(event, scorToolTipData, contextIdForTooltip) {
	 var widthOfToolTip=scor.toolTip.getWidthOfTooltipDiv(scorToolTipData, "templateDivFortoolTipWidth");
     event = event || window.event;
	 /*get the x-axis & y-axis  co-ordinates on mouse move */
     var mouseXPosition = event.pageX;
	 var mouseYPosition = event.pageY;
     if (mouseXPosition === undefined || mouseYPosition === undefined) { /* for the cross browser support */
		mouseXPosition = event.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
		mouseYPosition = event.clientY + document.body.scrollTop + document.documentElement.scrollTop;
	 }
    /* create tooltip only on mouseOver on cell*/
	 if(scorToolTipData){
		scor.toolTip.element.cfg.setProperty("x",mouseXPosition);
		scor.toolTip.element.cfg.setProperty("y",mouseYPosition);
		scor.toolTip.element.cfg.setProperty("zIndex",6);
		scor.toolTip.element.cfg.setProperty("width",widthOfToolTip);
        document.getElementById("scorTooltip").style.display = "block";
		/*  tooltip top left corner is snapped to "contextIdForTooltip" bottom left corner .*/
	    scor.toolTip.element.cfg.setProperty("context", [contextIdForTooltip, "tl","bl"]); 
	    scor.toolTip.element.setBody(scorToolTipData);
	    scor.toolTip.element.render(document.body);    
	    scor.toolTip.element.show();
	  }
}  
  
  
/*Extact the data from trigger  event */
scor.toolTip.getAttributesFromTriggerEvent=function(ele,attr) {
	var result = (ele.getAttribute && ele.getAttribute(attr)) || null;
	if( !result ) {
		var attrs = ele.attributes;
		var length = attrs.length;
		for(var i = 0; i < length; i++)
		if(attrs[i].nodeName === attr)
			result = attrs[i].nodeValue;
		}
	return result;
}

   // handler that hides the tooltip
scor.toolTip.onMouseleave=function (event) {
       // this check prevents hiding the tooltip
	var relatedTarget=event.relatedTarget;
		if (relatedTarget === undefined) { 
			relatedTarget =  event.toElement;
      }
       if ((relatedTarget) && (relatedTarget.className != 'bd')) {
    	   scor.toolTip.element.hide();
       }  
}
   
/* specify the tooltip data & the div id it will return width of tooltip in px */
scor.toolTip.getWidthOfTooltipDiv=function(scorToolTipData, templateDivId){
	 document.getElementById(templateDivId).innerHTML = scorToolTipData;
	 $j("#"+templateDivId).css('visibility', 'hidden').show();
	 var divId = document.getElementById(templateDivId);
	 var width = (parseInt(divId.clientWidth) + 1) + "px";
	 $j("#"+templateDivId).css('visibility', 'visible').hide();
	 return width;
}
</script>



