<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.URLConstants"%>

<orion:message var="allowNetworkPathCaution" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.caution.message" escape="HTML"/>
<orion:message var="allowNetworkPathCautionContent" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.cautionContent.message" escape="HTML"/>
<orion:message var="allowNetworkPathSuggestionContent" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.suggestion.message" escape="HTML"/>
<orion:message var="suggestedPathHeading" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.suggestedPathHeading" escape="HTML"/>
<orion:message var="matchingRequestCountHeading" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.matchingRequestsCountHeading" escape="HTML"/>
<orion:message var="moreSuggestedPath" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.moreSuggestedPath" escape="HTML"/>

<jsp:include page="/common/includejQuery.jsp"/>
<script type="text/javascript">
scor.sa.listsuggestions = function() {
	
	$j('#suggestedPathsTableId').find('.scorNetworkSuggestions').removeAttr("class").removeAttr("style");
	$j('#moreSuggestionLinkId').hide();
	
};

</script>
<table>
	<tr>
		<td style="width:100"><b>${allowNetworkPathCaution}</b>: ${allowNetworkPathCautionContent}<br/><br/>${allowNetworkPathSuggestionContent}</td>
	</tr>
</table>
<table id="suggestedPathsTableId">
				<tr>
					<td style="width:75%">${suggestedPathHeading}</td>
					<td style="width:25%">${matchingRequestCountHeading}</td>
				</tr>
				
				<% int idxSuggestedNetworkPath = 0; int initialNumberOfDisplay = 3;%>
				
				<c:forEach var="path" items="${selectedNetworkPathList}">
					<% if (idxSuggestedNetworkPath < initialNumberOfDisplay) {%>
						<tr>
							<td>${orion:escapeHtml(path.path)}</td>	
							<td align="center">${path.count}</td>
						</tr>
					<%} else { %>
						<tr>
							<td class="scorNetworkSuggestions" style="display:none;">${orion:escapeHtml(path.path)}</td>	
							<td align="center" class="scorNetworkSuggestions" style="display:none">${path.count}</td>
						</tr>
					<%}%>
					<%idxSuggestedNetworkPath++; %>
				</c:forEach>
				<%if (idxSuggestedNetworkPath > initialNumberOfDisplay) { %>
				<tr>
					<td id="moreSuggestionLinkId" colspan="2"><a href="javascript:scor.sa.listsuggestions()">${moreSuggestedPath}</a></td>
				</tr>
				<%} %>

</table>