<%-- COPYRIGHT:		Copyright (C) 2015 McAfee, Inc.  All rights reserved--%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>

<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>


<orion:core>
	<orion:corehead />
	<orion:corebody>
		<orion:navigation helpId="${helpPageId}"/>
		<orion:content>
			<orion:script context="/core" src="/corebundle.js" />
			<orion:script context="/core" src="/core.js" />
			<orion:script context="/core" src="/majic.js" />
			<orion:script context="/core" src="/formlib.js" />
			<orion:script context="/core" src="/wizardlib.js" />
			<orion:script
				context="<%=URLConstants.WEB_APP_NAME_WITH_LEADING_SLASH%>"
				src="/jsFiles/commonPolicy.js" />

			<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>" />

			<orion:message key="scor.event.exclusion.wizardTitle"
				var="exclusionWizardTitle" escape="none" />
			<orion:vbox>
				<orion:box id="exclusionWizardDiv" height="24">
					<orion:wizard id="exclusionWizard" currentStep="defineRules"
						wizardInfo="${exclusionWizardInfo}" text="${exclusionWizardTitle}"
						cancelURI="<%=URLConstants.NAVIGATE_TO_EVENTS_PAGE%>"
						editMode="false" />
				</orion:box>

				<orion:box id="exclusionDefineRulesDiv">
					<input type="hidden" id="exclusionRulesJson"
						name="exclusionRulesJson" />
					<%@ include file="../monpolicy/PolicyCommon.jsp"%>
					<%@include file="../monpolicy/AdvancedMonRule.jsp"%>
					<script type="text/javascript">
                        var advancedJsonData = JSON.parse('${orion:escapeJavaScript(exclusionJson)}');

                        scor.awl.filter.createAdvancedUI(advancedJsonData, false, '${req_exclusionGroupType}', '${req_exclusionOs}');
                        </script>
				</orion:box>

				<orion:footerbar>
					<orion:previous-next id="exclusionPrevNext"
						currentStep="defineRules" wizardInfo="${exclusionWizardInfo}" />
				</orion:footerbar>


			</orion:vbox>
		</orion:content>
	</orion:corebody>
	<script type="text/javascript">
            OrionWizard.navigateNext = function () {
                exclusionRulesSubmitHandler();
                  OrionWizard.navigateStep(OrionWizard.STEP_NEXT)
            };
			OrionWizard.navigatePrevious = function () {
	                exclusionRulesSubmitHandler();
	                  OrionWizard.navigateStep(OrionWizard.STEP_PREVIOUS)
	        };  
			function exclusionRulesSubmitHandler(){
                document.getElementById('exclusionRulesJson').value = JSON.stringify(scor.awl.filter.getRulesVO());
			}
            OrionWizard.wizardState.beforeSubmitHandler = exclusionRulesSubmitHandler;
            scor.mr.adv.setOnValidCallback(function(){
 					OrionWizard.setNextButtonEnabled(true);
				});
			scor.mr.adv.setOnInvalidCallback(function(){
 					OrionWizard.setNextButtonEnabled(false);
				});
		</script>
</orion:core>
