<!-- Copyright (C) 2016 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>


<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<orion:script context="/core" src="/yui/connection/connection-min.js"/>


<orion:message key="scor.error.dialogBox.title" var="scorErrorTitle" escape="javascript"/>
<orion:message key="scor.inv.import.error" var="errorImportingInventory" escape="javascript"/>



<SCRIPT  type="text/javascript">
     OrionCore.addLoadHandler(init);	
     var onUploadButtonClick = function(e)
     {
    	 scor.utils.fixYUIFileUploadOnIe();
	      YAHOO.util.Connect.setForm(OrionForm.getForm(), true);
	      
	      var uploadHandler = {
	          upload: function(res) 
	          {
		          var result = res.responseText;
		  		  var reload= verifySuccess(result);
		 		  //show updated Data
		 		  if(reload)
		 		  {
		 			//scorGroupTableRefresh(null,null);
		 	 	  }			  
	          }
	       };	
	       
	       	
	       OrionForm.setEncoding(OrionForm.MULTIPART);
	       try 
	       {	  	
	       	   var selectedIds = ${uids}; 
	  	       YAHOO.util.Connect.asyncRequest('POST', "<%=URLConstants.IMPORT_INVENTORY_ACTION_URL%>?selectedSystemId="+selectedIds, uploadHandler);
	       } 
	       catch(e) 
	       { 
	       alert ("${errorImportingInventory}"); 
	       }
	       
	      OrionCore.showPleaseWait(true);
     };
    
   function verifySuccess(result){
        OrionCore.showPleaseWait(false);
   		if(result.indexOf("<%=Constants.IMPORT_INVENTORY_SUCCESS_TEXT%>") === -1){
   			showMsg(result,true);
   		 	return false;
       	} 
       	var successTextArr = result.split("::::");
       	showMsg(successTextArr[1],false);       
       	return true;
    }
       
    function showMsg(msg,isError){
	 	if(isError === true){
	 		OrionCore.setDialogBoxTitle('${scorErrorTitle}');
	 	}
		OrionCore.showDialogBox(true,msg,OrionCore.DIALOG_OK);
   }
    
    
    function init(){
		OrionCore.dialogBoxOkHandler = onUploadButtonClick;   
    }
    
    init();

</SCRIPT>



<orion:fileupload  id="scor.import.inventory"  name="ScorImportInventory"  required="true" contentEditable="false"/>