<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<%@ page import="com.mcafee.scor.policy.PolicyConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<orion:script context="/core" src="/majic.js"/>
<jsp:include page="/common/includejQuery.jsp" />
<orion:style context="/SOLIDCORE_META" url="/css/override.css" />

<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<orion:script context="<%=URLConstants.WEB_APP_NAME_WITH_LEADING_SLASH%>" src="/jsFiles/vos/profilevos.js"/>
<orion:script context="<%=URLConstants.WEB_APP_NAME_WITH_LEADING_SLASH%>" src="/jsFiles/commonPolicy.js"/>
<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/commonUtil.js"/>
<%@ include file="../widgets/addGroup.jsp" %>
<%@ include file="./PolicyCommon.jsp" %>

<c:set var="WIN_OS" scope="request" value="<%=PolicyConstants.POLICY_OS.WIN.getValue()%>"/>
<c:set var="UNIX_OS" scope="request" value="<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"/>

<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupFilterRules" authToken = "isAuthorizedToViewFilterRules"/>
<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupFilterRules" authToken = "isAuthorizedToEditFilterRules"/>

<orion:message key="policy.mon.include" var="include" escape="html"/>
<orion:message key="policy.mon.exclude" var="exclude" escape="html"/>
<orion:message key="policy.mon.filter" var="filter" escape="none"/>
<orion:message key="policy.mon.filters" var="filters" escape="none"/>
<orion:message key="scor.mon.policy.addGroup.button.txt" var="addGroup"  escape="none"/>
<orion:message key="scor.mon.policy.deleteGroup.button.txt" var="deleteGroup"  escape="none"/>

<orion:message key="policy.mon.extn.filters.duplicate" var="valExtnFilterDuplicate" escape="javascript"/>
<orion:message key="policy.mon.extn.filters.charNotAllowed" var="valExtnCharNotAllowed" escape="javascript"/>

<orion:message key="policy.mon.users.filters.duplicate" var="valUserFilterDuplicate" escape="javascript"/>
<orion:message key="policy.mon.users.filters.charNotAllowed" var="valUserCharNotAllowed" escape="javascript"/>
<orion:message key="policy.mon.users.filters.onlySingleSlash" var="valUseronlySingleSlash" escape="javascript"/>

<orion:message key="policy.mon.program.filters.duplicate" var="valProgramFilterDuplicate" escape="javascript"/>
<orion:message key="policy.mon.program.filters.slashNotAllowed" var="valProgramFilterSlashNotAllowed"
               escape="javascript"/>
<orion:message key="policy.mon.program.filters.Win.NotAllowed" var="valProgramFilterWinNotAllowed" escape="javascript"/>
<orion:message key="policy.mon.program.filters.Unix.NotAllowed" var="valProgramFilterUnixNotAllowed" escape="javascript"/>

<orion:message key="scor.policy.mon.file" var="file" escape="html"/>
<orion:message key="scor.policy.mon.extension" var="extension" escape="html"/>
<orion:message key="scor.policy.mon.program" var="program" escape="html"/>
<orion:message key="scor.policy.mon.registry" var="registry" escape="html"/>
<orion:message key="scor.policy.mon.user" var="user" escape="html"/>
<orion:message key="policy.mon.file.filters.unix.slash" var="shouldStartWithSlash" escape="javascript"/>
<orion:message key="policy.mon.users.filters.unix.charNotAllowed" var="valUserCharNotAllowedUnix" escape="javascript"/>

<orion:message key="policy.mon.program.filters.win.valFileWinMaxLenghtExceed" var="valProgWinMaxLenghtExceed"
               escape="javascript"/>
<orion:message key="policy.mon.program.filters.win.fullyQualifiedReq" var="valProgWinfullyQualifiedReq" escape="javascript"/>
<orion:message key="policy.mon.program.filters.win.valFileWinNoStarAtEnd" var="valProgWinNoStarAtEnd" escape="javascript"/>
<orion:message key="policy.mon.program.filters.notValid" var="valProgNotValid" escape="javascript"/>
<orion:message key="policy.mon.program.filters.win.valFileWinStarNotAllowedAtPos" var="valProgWinStarNotAllowedAtPos"
               escape="javascript"/>
<orion:message key="policy.mon.program.filters.win.valFileWinCurrDirNotAllowed" var="valProgWinCurrDirNotAllowed"
               escape="javascript"/>
<orion:message key="policy.mon.program.filters.win.valFileWinMultBSlashesNotAllowed" var="valProgWinMultBSlashesNotAllowed"
               escape="javascript"/>

<script type="text/javascript">
    var scorMonOsType;
    function AdvancedProfileVO(ruleItems) {
        this.ruleItems = ruleItems;
    }

    var existingOkHanlder = null;

    function fnEditProcessFilterCallback()
    {
    	if(checkIfRowSelected(processFilterList.selrow)){
    		return;
    	}
    	fnAddEditProcessFilterCallback('<orion:message key="policy.mon.program.edit.filters" escape="javascript"/>');
    }
    function fnAddProcessFilterCallback(){
    	fnAddEditProcessFilterCallback('<orion:message key="policy.mon.program.add.filters" escape="javascript"/>');
    }
    function fnAddEditProcessFilterCallback(title){
        fnCommonAddEditFilterCallback(isProcessFilterValid, title, processFilterList);
    }
    function fnEditExtnFilterCallback()
    {
    	if(checkIfRowSelected(extensionFilterList.selrow)){
    		return;
    	}
    	fnAddEditExtnFilterCallback('<orion:message key="policy.mon.extn.edit.filters" escape="javascript"/>');
    }
    function fnAddExtnFilterCallback(){
    	fnAddEditExtnFilterCallback('<orion:message key="policy.mon.extn.add.filters" escape="javascript"/>');
    }
    function fnAddEditExtnFilterCallback(title){
        fnCommonAddEditFilterCallback(isExtensionFilterValid, title, extensionFilterList);
    }
    function fnEditUserFilterCallback()
    {
    	if(checkIfRowSelected(userFilterList.selrow)){
    		return;
    	}
    	fnAddEditUserFilterCallback('<orion:message key="policy.mon.users.edit.filters" escape="javascript"/>');
    }
    function fnAddUserFilterCallback(){
    	fnAddEditUserFilterCallback('<orion:message key="policy.mon.users.add.filters" escape="javascript"/>');
    }
    function fnAddEditUserFilterCallback(title){
        fnCommonAddEditFilterCallback(isUserFilterValid, title, userFilterList);
    }
    function checkIfRowSelected(selectedRow)
    {
	    if(typeof selectedRow === 'undefined' || selectedRow === null){
			return true;
	    }else{
	    	return false;
	    }
    }
    /**
     * Executes when a profile list item is selected
     * @param itemKey
     * @param itemLabel
     */
    var _itemSelected = function (itemKey, itemLabel)
    {
    	var selectedGroup = OrionCore.unescapeHtml(OrionList.getSelectedItemText("<%=Constants.POLICY_LIST_NAME%>"));
        groupChange(selectedGroup);
    }

</script>

<orion:hbox height="auto">
    <orion:vbox id="monPolicyListBox" width="250">
        <orion:titlebar id="listTitle" text="${filters}"/>
        <orion:list id="<%=Constants.POLICY_LIST_NAME%>" context="<%=Constants.WEB_APP_NAME%>"
                    contentURI="<%=Constants.GET_POLICY_NAMES_LIST%>"/>
        <script type="text/javascript">
            OrionList.setSelectRowHandler(_itemSelected);
        </script>

        <orion:listbuttonarea>
            <orion:button id="scorMonPolicyAddGroup" text="${addGroup}"
                          onclick="addNewGroup();"/>
            <orion:button id="scorMonPolicyDeleteGroup" text="${deleteGroup}"
                          onclick="deleteGroup();"/>
        </orion:listbuttonarea>

        <script type="text/javascript">
            (function() {
                if ("${epoReadOnlyPolicyObject}" === "true") {
                    var addButton = new Button("scorMonPolicyAddGroup");
                    addButton.setEnabled(false);
                }
            }());
        </script>

    </orion:vbox>

    <orion:vdivider id="scorMonPolicydivider" resizeTarget="monPolicyListBox"/>

    <orion:vbox>
        <orion:box id="idTab" height="24"/>
        <c:choose>
            	<c:when test="${param.osType == WIN_OS}">
            		<jsp:include page="./monWinPathFilters.jsp"/>
            	</c:when>
            	<c:otherwise>
            		<jsp:include page="./monUnixPathFilters.jsp"/>
            	</c:otherwise>
      	</c:choose>       
        <orion:box id="idUserFilter">
            <br/><br/>
            <table cellspacing="0" cellpadding="0" width="98%">
                <tr>
                    <td class="orionSummaryColumn">
                        <table cellspacing='3' cellpadding='0' width='620px'>
                            <tr>
                                <td width="10%"><b><orion:message key="${filter}" escape="html"/></b></td>
                                <td width="90%"><b><orion:message key="policy.mon.user" escape="html"/></b></td>
                            </tr>
                        </table>
                        <orion:box id="idUserFilterList" height="auto" width="620"/>
                    </td>
                </tr>
            </table>
        </orion:box>

        <orion:box id="idExtensionFilter">
            <br/><br/>
            <table cellspacing="0" cellpadding="0" width="98%">
                <tr>
                    <td class="orionSummaryColumn">
                        <table cellspacing='3' cellpadding='0' width='620px'>
                            <tr>
                                <td width="10%"><b><orion:message key="${filter}" escape="html"/></b></td>
                                <td width="90%"><b><orion:message key="policy.mon.extn" escape="html"/></b></td>
                            </tr>
                        </table>
                        <orion:box id="idExtensionFilterList" height="auto" width="620"/>
                    </td>
                </tr>
            </table>
        </orion:box>

        <orion:box id="idRegistryFilter">
            <br/><br/>
            <table cellspacing="0" cellpadding="0" width="98%">
                <tr>
                    <td class="orionSummaryColumn">
                        <table cellspacing='3' cellpadding='0' width='620px'>
                            <tr>
                                <td width="10%"><b><orion:message  key="${filter}" escape="html"/></b></td>
                                <td width="90%"><b><orion:message key="policy.mon.reg" escape="html"/></b></td>
                            </tr>
                        </table>
                        <orion:box id="idRegistryFilterList" height="auto" width="620"/>
                    </td>
                </tr>
            </table>
        </orion:box>

        <orion:box id="idProcessFilter">
            <br/><br/>
            <table cellspacing="0" cellpadding="0" width="98%">
                <tr>

                    <td class="orionSummaryColumn">
                        <table cellspacing='3' cellpadding='0' width='620px'>
                            <tr>
                                <td width="10%"><b><orion:message key="${filter}" escape="html"/></b></td>
                                <td width="90%"><b><orion:message key="policy.mon.program" escape="html"/></b></td>
                            </tr>
                        </table>
                        <orion:box id="idProcessFilterList" height="auto" width="620"/>
                    </td>
                </tr>
            </table>
        </orion:box>

        <orion:box id="advanced">
            <table id="" cellspacing='0' cellpadding='0' width='98%' style="padding-left: 10px;">
                <tr>
                    <td>
                        <jsp:include page="AdvancedMonRule.jsp"/>
                    </td>
                </tr>
            </table>
        </orion:box>
    </orion:vbox>
</orion:hbox>

<div id="filter_list_row_template" style="display:none;">
    <table cellspacing='0' cellpadding='0' width='100%' style="table-layout: fixed">
        <tr>
            <td width='10%' class="scorWordWrap">
                @filter
            </td>
            <td width='90%' class="scorWordWrap">
                @field
            </td>
        </tr>
    </table>
</div>

<div id="user_filter_editor_template" style="display:none;">
    <c:if test="${param.osType == WIN_OS}">
    	<orion:message key="policy.mon.users.msg" escape="html"/>
    </c:if>
    <c:if test="${param.osType == UNIX_OS}">
    	<orion:message key="policy.mon.unix.users.msg" escape="html"/>
    </c:if>

    <table width="100%">
        <tr>
            <td width="25%" align="left">${user}:</td>
            <td width="75%">
                <orion:textbox id="field" required="true" maxlength="255"  />
            </td>
        </tr>
        <tr>
            <td width="25%"></td>
            <td width="75%">
                <input type="radio" name="filter" id="filterInclude" value="Include" disabled onclick="scor.common.changeInputId('filter', user_filter_editor_template);"/>
                <label class="styledCheckbox" for="filterInclude" id="filter_include_label">   
                    ${include}
                </label>
                <input type="radio" name="filter" id="filter" value="Exclude" checked onclick="scor.common.changeInputId('filter', user_filter_editor_template);"/>
                <label class="styledCheckbox" for="filter" id="filter_exclude_label">     
                    ${exclude}
                </label>
            </td>
        </tr>

    </table>
    <div id="error_include" style="display:none;color:red;">

    </div>
</div>

<%--<div id="path_filter_editor_template" style="display:none;">--%>
<%--<orion:message key="policy.mon.file.msg" escape="javascript"/>--%>
<%--<table width="100%">--%>
<%--<tr>--%>
<%--<td width="25%" align="right">${file}</td>--%>
<%--<td width="75%">--%>
<%--<orion:textbox id="field" required="true" maxlength="255" />--%>
<%--</td>--%>
<%--</tr>--%>
<%--<tr>--%>
<%--<td width="25%"></td>--%>
<%--<td width="75%">--%>
<%--<label>--%>
<%--<input type="radio" name="filter" id="filter" value="${include}" CHECKED="true"/>--%>
<%--${include}--%>
<%--</label>--%>
<%--<label>--%>
<%--<input type="radio" name="filter" id="filter" value="${exclude}"/>--%>
<%--${exclude}--%>
<%--</label>--%>
<%--</td>--%>
<%--</tr>--%>

<%--</table>--%>
<%--<div id="error_include" style="display:none;color:red;">--%>
<%--*&nbsp;<orion:message key="policy.mon.file.filters.duplicate" escape="html"/>--%>
<%--</div>--%>
<%--</div>--%>

<div id="extension_filter_editor_template" style="display:none;">
    <c:if test="${param.osType == WIN_OS}">
    	<orion:message key="policy.mon.extn.msg" escape="html"/>
    </c:if>
    <c:if test="${param.osType == UNIX_OS}">
    	<orion:message key="policy.mon.unix.extn.msg" escape="html"/>
    </c:if>

    <table width="100%">
        <tr>
            <td width="25%" align="left">${extension}:</td>
            <td width="75%">
                <orion:textbox id="field" required="true" maxlength="255"/>
            </td>
        </tr>
        <tr>
            <td width="25%"></td>
            <td width="75%">
                <input type="radio" name="filter" id="filter" value="Include" checked onclick="scor.common.changeInputId('filter', extension_filter_editor_template);"/>
                <label class="styledCheckbox" for="filter" id="filter_include_label">   
                    ${include}
                </label>                
                <input type="radio" name="filter" id="filterExclude" value="Exclude" onclick="scor.common.changeInputId('filter', extension_filter_editor_template);"/>
                <label class="styledCheckbox" for="filterExclude" id="filter_exclude_label">     
                    ${exclude}
                </label>
            </td>
        </tr>

    </table>
    <div id="error_include" style="display:none;color:red;">

    </div>
</div>

<%--<div id="registry_filter_editor_template" style="display:none;">--%>
<%--<orion:message key="policy.mon.reg.msg" escape="javascript"/>--%>
<%--<table width="100%">--%>
<%--<tr>--%>
<%--<td width="25%" align="right">${registry}</td>--%>
<%--<td width="75%">--%>
<%--<orion:textbox id="field" required="true" maxlength="255" />--%>
<%--</td>--%>
<%--</tr>--%>
<%--<tr>--%>
<%--<td width="25%"></td>--%>
<%--<td width="75%">--%>
<%--<label>--%>
<%--<input type="radio" name="filter" id="filter" value="${include}" CHECKED="true"/>--%>
<%--${include}--%>
<%--</label>--%>
<%--<label>--%>
<%--<input type="radio" name="filter" id="filter" value="${exclude}"/>--%>
<%--${exclude}--%>
<%--</label>--%>

<%--</td>--%>
<%--</tr>--%>

<%--</table>--%>
<%--<div id="error_include" style="display:none;color:red;">--%>
<%--*&nbsp;<orion:message key="policy.mon.reg.filters.duplicate" escape="html"/>--%>
<%--</div>--%>
<%--</div>--%>

<div id="process_filter_editor_template" style="display:none;">
    <c:if test="${param.osType == WIN_OS}">
    	<orion:message key="policy.mon.program.msg" escape="html"/>
    </c:if>
    <c:if test="${param.osType == UNIX_OS}">
    	<orion:message key="policy.mon.unix.program.msg" escape="html"/>
    </c:if>

    <table width="100%">
        <tr>
            <td width="25%" align="left">${program}:</td>
            <td width="75%">
                <orion:textbox id="field" required="true" maxlength="255" />
            </td>
        </tr>
        <tr>
            <td width="25%"></td>
            <td width="75%">
                <input type="radio" name="filter" id="filter" value="Include" checked onclick="scor.common.changeInputId('filter', process_filter_editor_template);"/>
                <label class="styledCheckbox" for="filter" id="filter_include_label">   
                    ${include}
                </label>                
                <input type="radio" name="filter" id="filterExclude" value="Exclude" onclick="scor.common.changeInputId('filter', process_filter_editor_template);"/>
                <label class="styledCheckbox" for="filterExclude" id="filter_exclude_label">     
                    ${exclude}
                </label>

            </td>
        </tr>

    </table>
    <div id="error_include" style="display:none;color:red;">

    </div>
</div>

<script type="text/javascript">

    var addNewGroup = function() {
        var queryString;
    <c:if test="${param.osType != null}">
        scorMonOsType = "${orion:escapeJavaScriptString(param.osType)}"
        queryString = "<%=Constants.GROUP_PLATFORM%>" + "=" + scorMonOsType;
    </c:if>

        scor.widgets.addGrp.scorAddNewGrps("<%=Constants.POLICY_GROUP_TYPE_MON%>", scorMonPolicyGetRulesSuccess, queryString);
    }

    var scorMonPolicyGetRulesSuccess = function (groups) {
        addNewMonPolicyGroups(groups);
        myEpoEnableApplyButton();
    }

    var deleteGroup = function () {
        scor.widgets.deleteSelectedGrp("<%=Constants.POLICY_LIST_NAME%>", "<%=Constants.POLICY_LIST_GROUP_NAME%>", onDeleteGroup);
    }

    var onDeleteGroup = function(deletedObj) {
        var i, indexToDelete;
        var groupName = OrionCore.unescapeHtml(deletedObj.text);

        for (i = 0; i < profileDetailedVOs.length; i++) {
            var profileDetailedVO = profileDetailedVOs[i];
            if (groupName === profileDetailedVO.common.getProperty("groupName")) {
                indexToDelete = i;
                break;
            }
        }

        if (typeof indexToDelete === 'number') {
            profileDetailedVOs.splice(indexToDelete, 1);
        }
        scor.widgets.policyVOs = profileDetailedVOs;
    }
    
</script>

<script type="text/javascript">

    var userFilterList = new majic.ListWidget({
        container: "idUserFilterList",
        width: "620px",
        height: "320px",
        addCallback: fnAddUserFilterCallback,
        editCallback: fnEditUserFilterCallback,
        removeCallback: myEpoEnableApplyButton,
        buttons: {
            'add': '<orion:message key="policy.mon.button.add"    escape="javascript"/>',
            'edit': '<orion:message key="policy.mon.button.edit"    escape="javascript"/>',
            'remove': '<orion:message key="policy.mon.button.remove"  escape="javascript"/>'
        },
        content: $('user_filter_editor_template').innerHTML,
        displayText: $('filter_list_row_template').innerHTML,
	formatCallback: listWidgetformatCallback 
    });   

    var extensionFilterList = new majic.ListWidget({
        container: "idExtensionFilterList",
        width: "620px",
        height: "320px",
        addCallback: fnAddExtnFilterCallback,
        editCallback: fnEditExtnFilterCallback,
        removeCallback: myEpoEnableApplyButton,
        buttons: {
            'add': '<orion:message key="policy.mon.button.add"   escape="javascript"/>',
            'edit': '<orion:message key="policy.mon.button.edit"   escape="javascript"/>',
            'remove': '<orion:message key="policy.mon.button.remove"   escape="javascript"/>'
        },
        content: $('extension_filter_editor_template').innerHTML,
        displayText: $('filter_list_row_template').innerHTML,
	formatCallback: listWidgetformatCallback 
    });

    var registryFilterList = new majic.ListWidget({
        container: "idRegistryFilterList",
        width: "620px",
        height: "320px",
        addCallback: fnAddRegistryFilterCallback,
        editCallback: fnEditRegistryFilterCallback,
        removeCallback: myEpoEnableApplyButton,
        buttons: {
            'add': '<orion:message key="policy.mon.button.add"   escape="javascript"/>',
            'edit': '<orion:message key="policy.mon.button.edit"  escape="javascript"/>',
            'remove': '<orion:message key="policy.mon.button.remove"   escape="javascript"/>'
        },
        content: $('registry_filter_editor_template').innerHTML,
        displayText: $('filter_list_row_template').innerHTML,
	formatCallback: listWidgetformatCallback 
    });


    var processFilterList = new majic.ListWidget({
        container: "idProcessFilterList",
        width: "620px",
        height: "320px",
        addCallback: fnAddProcessFilterCallback,
        editCallback: fnEditProcessFilterCallback,
        removeCallback: myEpoEnableApplyButton,
        buttons: {
            'add': '<orion:message key="policy.mon.button.add"   escape="javascript"/>',
            'edit': '<orion:message key="policy.mon.button.edit"  escape="javascript"/>',
            'remove': '<orion:message key="policy.mon.button.remove"   escape="javascript"/>'
        },
        content: $('process_filter_editor_template').innerHTML,
        displayText: $('filter_list_row_template').innerHTML,
	formatCallback: listWidgetformatCallback 
    });
</script>

<script type="text/javascript">

function helpCallback(url)
    {
       	OrionHelp.setHelpId(url);
    }

var epoApplyPolicySettings = function  ()
    {
        OrionCore.showPleaseWait(true);
        var i;
        var groupProfileVosJSON;

        if (currentListGroupSelected) {
            savePrevGroupData();
        }

        var jsonVo = [];
        for (i = 0; i < profileDetailedVOs.length; i++) {
            jsonVo.push(profileDetailedVOs[i].common.getVO());
        }

        var profileVosJSON = JSON.stringify(jsonVo);

        scor.actions.doAsyncAction("<%=URLConstants.SAVE_MON_POLICY%>", ["<%=Constants.POLICY_MON_DATA%>", profileVosJSON], _applyPolicySuccess);

    }

    var _applyPolicySuccess = function ()
    {

        fnGoBack(); // This is a Mercury function and recommended.
    }

    var getVoFor = function (list)
    {
        var vo = [];

        var rows = list.getRows();
        for (var rowKey in rows)
        {
            var row = rows[rowKey];
            if (row != null && row != undefined)
            {

                vo.push({"field": OrionCore.trim(row['field']), "filter" : ( OrionCore.trim(row['filter'].toLowerCase()) === "Include".toLowerCase() ? "Include" : "Exclude")});
            }
        }
        return vo;

    }

    var fnSetTabStrip = function ()
    {
        var tabSwapper = new majic.SwapTabStrip("idTab", {
        	<c:choose>
            	<c:when test="${param.osType == WIN_OS}">
            		"WinIdPathFilter": {
                    	title: '<orion:message key="policy.mon.file.filters" escape="javascript"/>',
                    	callback:function(){OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_FILE%>");}
                	},
            	</c:when>
            	<c:otherwise>
            		"UnixIdPathFilter": {
                		title: '<orion:message key="policy.mon.file.filters" escape="javascript"/>',
                		callback:function(){OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_FILE_UNIX%>");}
            		},
            	</c:otherwise>
      		</c:choose>
      		        	
            <c:if test="${param.osType == WIN_OS}">

            "idRegistryFilter": {
                title: '<orion:message key="policy.mon.reg.filters" escape="javascript"/>',
                callback:function(){OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_REGISTRY%>");}
            },

            </c:if>

            "idExtensionFilter": {
                title: '<orion:message key="policy.mon.extn.filters" escape="javascript"/>',
                callback:function(){OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_EXTENSION%>");}
            },
            "idProcessFilter": {
                title: '<orion:message key="policy.mon.program.filters" escape="javascript"/>',
                callback:function(){OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_PROGRAM%>");}
            },
            "idUserFilter": {
                title: '<orion:message key="policy.mon.users.filters" escape="javascript"/>',
                callback:function(){OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_USER%>");}
            },
            "advanced": {
                title: '<orion:message key="policy.mon.advanced" escape="javascript"/>',
				callback: function(){
					OrionHelp.setHelpId("<%=HelpConstants.INTEGRITY_MONITOR_POLICY_ADVANCED%>");
				}
			}
        });

    <c:if test="${param.osType == UNIX_OS}">
        $('idRegistryFilter').style.display = 'none';
    </c:if>

    <c:if test = "${isAuthorizedToViewFilterRules == false}">
		$j('#tab_advanced').hide();	
	</c:if>	

	$j('[id^="tab_"]:visible').each(
	function( index ) {
		if(index === 0){
			tabSwapper.swap($(this.id));
		}
	});

    }

    // Core Load handler for things to run when the page loads.
    OrionCore.addLoadHandler(fnSetTabStrip);

</script>

<script type="text/javascript">

function savePrevGroupData() {
	var users = getVoFor(userFilterList);
	var isWin = ('${orion:escapeJavaScriptString(param.osType)}' === '<%=PolicyConstants.POLICY_OS.WIN.getValue()%>');
	var currentList = isWin?monWinPathFilterList:monUnixPathFilterList;
	var path = scor.mon.file.getPathVoForMon(currentList);
	var extensions = getVoFor(extensionFilterList) ;
	var registry = getVoFor(registryFilterList) ;
	var process = getVoFor(processFilterList);
	var advanced = scor.awl.filter.getRulesVO();

    var i;
    for (i = 0; i < profileDetailedVOs.length; i++) {
        var profileDetailedVO = profileDetailedVOs[i];
        if (currentListGroupSelected === profileDetailedVO.common.getProperty("groupName")) {
            profileDetailedVO.common.setProperty("users", users);
            profileDetailedVO.common.setProperty("path", path);
            profileDetailedVO.common.setProperty("extensions", extensions);
            profileDetailedVO.common.setProperty("registry", registry);
            profileDetailedVO.common.setProperty("process", process);
            profileDetailedVO.common.setProperty("advanced", advanced);
            break;
        }
    }
}

var getprofileDetailedVOFromJson = function(jsonData) {

    var id = jsonData['id'];
    var groupName = jsonData['groupName'];
    var platform = jsonData['platform'];
    var type = jsonData['type'];
    var readOnly = jsonData['readOnly'];
    var extensions = jsonData['extensions'];
    var path = jsonData['path'];
    var registry = jsonData['registry'];
    var users = jsonData['users'];
    var process = jsonData['process'];
    var advanced = jsonData['advanced'];

    var profileVO = scor.vos.profile.ProfileDetailedVO(id, groupName, platform, readOnly, type, extensions, path, registry, users, process, advanced);

    return profileVO;
}

var fillList = function (obj, list)
{
    scor.utils.clearMagicListWidget(list);

    obj = obj ? obj : {}
    for (var i = 0; i < obj.length; i++)
    {
        var newObj = {"field" : obj[i].field, "filter" : (obj[i].filter.toLowerCase() === "Include".toLowerCase() ? "Include" : "Exclude") }
        list.insert(newObj);
    }
}


var setReadOnly = function(readOnly) {
    var enable = !readOnly;

    if (userFilterList != null) {
        userFilterList.setEnabled(enable)
    }

    if ( '${orion:escapeJavaScriptString(param.osType)}' === '<%=PolicyConstants.POLICY_OS.WIN.getValue()%>' && monWinPathFilterList != null) {
    	monWinPathFilterList.setEnabled(enable)
    }else if(monUnixPathFilterList != null ){
    	monUnixPathFilterList.setEnabled(enable)
    }

    if (extensionFilterList != null) {
        extensionFilterList.setEnabled(enable)
    }

    if (registryFilterList != null) {
        registryFilterList.setEnabled(enable)
    }

    if (processFilterList != null) {
        processFilterList.setEnabled(enable)
    }

    <c:if test = "${isAuthorizedToViewFilterRules == true}">
		scor.awl.filter.ruleGroupReadOnly(enable && ${isAuthorizedToEditFilterRules});
	</c:if>

    // "Delete group" button
    var removeButton = new Button("scorMonPolicyDeleteGroup");
    removeButton.setEnabled(false); //reset to disabled first

    if ("${epoReadOnlyPolicyObject}" === "false") {
        removeButton.setEnabled(!enable); // Only the "Ungrouped" group is editable. UI shouldn't allow to remove this group.
    }

}

var doReadOnly = function (forcedReadOnly) {


    if ("${epoReadOnlyPolicyObject}" === "true") {  // have to disable the policy if this
        forcedReadOnly = true;                      // condition is met irrespective of forcedReadOnly's value
    }                                               //so setting forcedReadOnly to true

    setReadOnly(forcedReadOnly);
}


var profileDetailedVOs = [];
var currentListGroupSelected;

<c:if test="${scorMonPolicyDataJSON != null}">
var jsonData = JSON.parse('${orion:escapeJavaScript(scorMonPolicyDataJSON)}');

(function() {
    var i;
    for (i = 0; i < jsonData.length; i++) {
        var profileDetailedVO = getprofileDetailedVOFromJson(jsonData[i]);
        profileDetailedVOs.push(profileDetailedVO);
    }
    scor.widgets.policyVOs = profileDetailedVOs;
}());

OrionCore.addLoadHandler(initUI);

</c:if>

function initUI() {
	var scorMonNonExistentRGCounterObj = scor.utils.counter(0);
    var i;

    for (i = 0; i < profileDetailedVOs.length; i++) {
        var profileDetailedVO = profileDetailedVOs[i];       
        var groupName = profileDetailedVO.common.getProperty("groupName");
        var groupId = profileDetailedVO.common.getProperty("id");
        addNewRow("<%=Constants.POLICY_LIST_NAME%>", "<%=Constants.POLICY_LIST_GROUP_NAME%>", groupName, groupId, scorMonNonExistentRGCounterObj);
    }

    //make initial call
    OrionList.setSelectedItem("<%=Constants.POLICY_LIST_NAME%>", 0);
    groupChange(OrionList.getSelectedItemText("<%=Constants.POLICY_LIST_NAME%>"));

}

function groupChange(groupName) {

    if (currentListGroupSelected === groupName) {
        return;
    }

    if (currentListGroupSelected) {
        savePrevGroupData();
    }

    currentListGroupSelected = groupName;

    var pdVO = getProfileVoFor(groupName);

    if (pdVO) {
        var usersObj = pdVO['users'] ;
        var pathObj = pdVO['path'] ;
        var extensionsObj = pdVO['extensions'] ;
        var registryObj = pdVO['registry'];
        var processObj = pdVO['process'];
        var advancedObj = pdVO['advanced'];
        var readOnly = (pdVO['readOnly'] === "true") ? true : false;

        fillList(usersObj, userFilterList);
        
    	var isWin = ('${orion:escapeJavaScriptString(param.osType)}' === '<%=PolicyConstants.POLICY_OS.WIN.getValue()%>');
    	var currentList = isWin?monWinPathFilterList:monUnixPathFilterList;
    	scor.mon.file.fillPathListForMon(pathObj,currentList)
        
        fillList(extensionsObj, extensionFilterList);
        fillList(registryObj, registryFilterList);
        fillList(processObj, processFilterList);

        scor.awl.filter.createAdvancedUI(advancedObj, readOnly, pdVO['type'], '${orion:escapeJavaScriptString(param.osType)}');
    }

    doReadOnly(readOnly);   //now set accordingly

}

var addNewMonPolicyGroups = function(newGroups) {
    var i;
    for (i = 0; i < newGroups.length; i++) {

        var profileDetailedVO = getprofileDetailedVOFromJson(newGroups[i]);
        var groupName = profileDetailedVO.common.getProperty("groupName");
        var groupId = profileDetailedVO.common.getProperty("id");
        if ( ! scor.widgets.addGrp.isExist(groupId, "<%=Constants.POLICY_LIST_NAME%>") ) {

            profileDetailedVOs.push(profileDetailedVO);
            //No need to send 4th parameter in addNewRow function call as this parameter is needed when initialize page and policy VO has RGs that do not exist.
            addNewRow("<%=Constants.POLICY_LIST_NAME%>", "<%=Constants.POLICY_LIST_GROUP_NAME%>", groupName, groupId);
        }
    }
    scor.widgets.policyVOs = profileDetailedVOs;
}

function addNewRow(listName, listGroupName, groupName, groupId, counterObj) {
    var groupNameEscapedHTML = OrionCore.escapeHtml(groupName);
    var key = groupId;
    if(key === <%=PolicyConstants.DEFAULT_GROUP_ID_WHEN_RULE_GROUP_NOT_EXIST%>){
    	counterObj.increment();
    	key = "MON_empty." + counterObj.getCounter();      		
     }
    var item = {"key":key, "label": groupNameEscapedHTML};
    OrionList.insertRow(listName, item, listGroupName);
    return key;
}

function getProfileVoFor(groupName) {
    var i;
    for (i = 0; i < profileDetailedVOs.length; i++) {
        var profileDetailedVO = profileDetailedVOs[i];
        if (groupName === profileDetailedVO.common.getProperty("groupName")) {
            return profileDetailedVO.common.getVO();
        }
    }

    return null; //no match found

}

//    OrionCore.addLoadHandler(scor.utils.partial(doReadOnly, true));

</script>

<script type="text/javascript">
    <%-- functions to support group management --%>
    var scor;
    scor = scor || {};
    scor.grpMgmt = scor.grpMgmt || {};
    scor.widgets.policyVOs = scor.widgets.policyVOs || [];
    
    scor.grpMgmt.loadGroup = function(group) {
        var itemKey, groupName, groupId;

        if (!group) {
            return;
        }

        groupName = group['groupName'];
        groupId = group['id'];
        addNewMonPolicyGroups([group]);
        //No need to send 4th parameter in addNewRow function call as this parameter is needed when initialize page and policy VO has RGs that do not exist.
        itemKey = addNewRow("<%=Constants.POLICY_LIST_NAME%>", "<%=Constants.POLICY_LIST_GROUP_NAME%>", groupName, groupId);
        groupChange(groupName);
        OrionList.setSelectedItem("<%=Constants.POLICY_LIST_NAME%>", itemKey);
    }


    scor.grpMgmt.adjustUiItems = function() {
        $('monPolicyListBox').style.display = "none";
        $('scorMonPolicydivider').style.display = "none";
    }


    scor.grpMgmt.getGroup = function() {
        savePrevGroupData();
        return profileDetailedVOs[0].common.getVO();
    }
</script>
