<%-- COPYRIGHT:		Copyright (C) 2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@page import="com.mcafee.scor.observationmode.ObservationFilterConstants"%>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<orion:message key="SCOR_OBSERVATION_FILTERS.rt.name" var="observationFilterTitleText"  escape="none"/>

<orion:core>
    <orion:corehead/>
    <orion:corebody>
		<orion:navigation/>
        <orion:content>
        <script type="text/javascript">
        	OrionHelp.setHelpId('${scorObExclusionHelpPageAttr}');
        </script>
        
       <orion:vbox>
 	        <orion:table2 id="observationFilterTableId"
 	         registeredTypeUID="scor.rt.observationFilter"
 	         titleText="${observationFilterTitleText}"
	         datasourceAttr="<%=ObservationFilterConstants.OBSERVATION_FILTER_DATA_SOURCE_ATTR%>"
	         showCheckboxColumn="true" enableDrilldown="false"
	         sortColumn="filterName" sortOrder="1"
	         properties="filterName,observationType,parentBaseName"
	         columnWidths="30,35,35" />
			
		<orion:footerbar align="right">
			<orion:message var="close" key="scor.navigation.close" escape="None"/>
    		<orion:button id="closeButton" text="${close}" onclick="OrionNavigation.navigate('/SOLIDCORE_META/navigateToObservationsPage.do', false);" />
		</orion:footerbar>       
</orion:vbox>

</orion:content>
</orion:corebody>
</orion:core>