<%@page import="com.mcafee.scor.common.HelpConstants"%>
<%@page import="com.mcafee.scor.common.URLConstants"%>
<%@page import="com.mcafee.scor.observationmode.ObservationModeConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>


<orion:message key="scor.observationmode.approve.button.txt" var="saveGroupButtonTxt" escape="none"/>
<orion:message key="scor.observationmode.dismiss.button.txt" var="dismissGroupButtonTxt" escape="none"/>
<orion:message key="scor.cancel.button.txt" var="cancelButtonTxt" escape="none"/>

<orion:core>
    <orion:corehead/>
    <orion:corebody>
		<orion:navigation/>
        <orion:content>
        <script type="text/javascript">
        	OrionHelp.setHelpId('${scorObDetailHelpPageAttr}');
        </script>

	<orion:vbox>
			<orion:hbox id="detailedObservationsContainer">
				<!--  Binary Tree -->
				<orion:vbox id="binaryTreeContainer" width="250">
					<orion:titlebar text="${systemNameAttr}"/>
					<orion:tree id="binaryTreeId"
						treeDataAttr="<%=ObservationModeConstants.OBSERVATION_BINARY_TREE_DATA_PROVIDER_ATTR%>"
						showRootNode="${scorShowRootNodeParam}"
						selectable="true" persistBranchState="true" />
				</orion:vbox>
				<orion:vdivider id="binaryTreeObservationDivider"
					resizeTarget="binaryTreeContainer" />
				<orion:vbox>
					<orion:tabstrip id="obsSuggestionsDetailsTabStrip" tabStripInfo="${tabInfo}" async="false" />
				</orion:vbox>
			</orion:hbox>
			
			<orion:box height="50">
				<orion:footerbar align="right">
				<orion:button id="rejectGroup" text="${dismissGroupButtonTxt}"
				onclick="scor.ob.suggestions.dialog.dismiss();" />
				<orion:button id="saveGroup" text="${saveGroupButtonTxt}"
				onclick="scor.ob.suggestions.dialog.approve();" />
				<orion:button id="cancelButton" text="${cancelButtonTxt}"
				onclick="scor.ob.gotoCallerPage();" />
			</orion:footerbar>
			</orion:box>	
	</orion:vbox>
		</orion:content>
	</orion:corebody>
</orion:core>


<script type="text/javascript">
scor = scor || {};
scor.ob = scor.ob || {};
scor.ob.gotoCallerPage = function() {
	var pageSource = '${scorSuggestionSourceAttr}';
	if (pageSource === '<%=ObservationModeConstants.FROM_SCOR_EVENTS_PAGE_SRC%>') {
		OrionCore.doAction('<%=URLConstants.SLASH_WEB_APP_NAME_SLASH%>'+'<%=URLConstants.NAVIGATE_TO_EVENTS_PAGE%>', [], "GET");
	} else {
		OrionCore.doAction('<%=URLConstants.SLASH_WEB_APP_NAME_SLASH%>'+'<%=URLConstants.NAVIGATE_TO_OBSERVATIONS_PAGE%>', [], "GET");
	}
};

</script>
