<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@page import="com.mcafee.scor.observationmode.ObservationModeConstants"%>
<%@page import="com.mcafee.scor.observationmode.ObservationStatisticsConstants"%>
<orion:message key="scor.observationStatistics.button.save" var="saveGroupButtonTxt" escape="none"/>
<orion:message key="scor.observationStatistics.button.cancel" var="cancelButtonTxt" escape="none"/>
<orion:message key="scor.observationstats.approveObservations.purgeObservations" var="purgeObservations" escape="html"/>
<orion:message key="scor.observationstats.defaultDeleteMessage" var="defaultDeleteMessage" escape="html"/>


<orion:core>
	<orion:corehead>	
	<jsp:include page="/common/includejQuery.jsp" />	
	</orion:corehead>
	<orion:corebody>
		<orion:navigation />
		<orion:content>
		<script type="text/javascript">
        	OrionHelp.setHelpId('${scorObStatSuggestionHelpPageAttr}');
        </script>
     	<orion:vbox>
			
			<jsp:include page="<%=URLConstants.SHOW_SUGGESTIONS_JSP%>" />
				
			<orion:footerbar>		
			
						<span style="font-weight:bold;color: #326EAA;">${defaultDeleteMessage}&nbsp;	&nbsp;	
				
				<orion:button id="saveGroup" text="${saveGroupButtonTxt}"
				onclick="scor.ob.suggestions.rulegroup.save();" />
				<orion:button id="cancelButton" text="${cancelButtonTxt}"
				onclick="scor.ob.stat.gotoCallerPage();" />
			</orion:footerbar>
		</orion:vbox>	
		
		<script type="text/javascript">
			
			var scor = scor || {};
			scor.ob.stat = scor.ob.stat || {};
			scor.ob.stat.suggestion = scor.ob.stat.suggestion || {};
			scor.ob.stat.binaryInfoVo = scor.ob.stat.binaryInfoVo || '';
			scor.ob.stat.suggestionValue = scor.ob.stat.suggestionValue || 0;
			scor.ob.stat.autoId = scor.ob.stat.autoId || -1;
			scor.ob.stat.suggestion.save = scor.ob.stat.suggestion.save || {};
			

			scor.ob.stat.suggestion.save.success = function() {
				var paramMap = ['autoId', scor.ob.stat.autoId]; 
				scor.actions.doAsyncAction ("/SOLIDCORE_META/approveCustomObservationStat.do", paramMap, null, null, "POST");
		        OrionCore.showPleaseWait(false);
		        scor.ob.stat.gotoCallerPage();
			};	

			scor.ob.stat.gotoCallerPage = function() {
				OrionNavigation.lastAnchorPage();
			};	
	
			scor.ob.stat.suggestion.init = function(){	
				$j('div#binaryInfoBoxDiv').hide();
				$j('div#publisherInfoBox').hide();
				$j('div#solidificationTabId').hide();
				scor.ob.suggestions.hideShowElements();
				OrionEvent.registerHandlerById('newGroupHtmlId', scor.ob.suggestions.validate.onNewGroupCheckChange,  null, 'keyup', false);
				OrionEvent.registerHandlerById('addToNewRuleGroupOption', scor.ob.suggestions.validate.onNewGroupCheckChange,  null, 'click', false);
				OrionEvent.registerHandlerById('addToExistingRuleGroupOption', scor.ob.suggestions.validate.onExistingGroupChange,  null, 'click', false);
				scor.ob.stat.suggestionValue = ${obsSuggestionValue};
				scor.ob.stat.autoId = ${obStatAutoId};
				scor.ob.stat.binaryInfoVo = JSON.parse('${orion:escapeJavaScript(obsBinaryInfoVO)}');
				scor.ob.suggestions.binaryvo.set(scor.ob.stat.binaryInfoVo);
				switch(scor.ob.stat.suggestionValue) {
				case 1:
					scor.ob.suggestions.addUpdater();	
					break;
				case 2:
					scor.ob.suggestions.addInstaller();
					break;
				case 3:
					scor.ob.suggestions.addPub();	
					break;
				case 4:
					scor.ob.suggestions.addException();	
					break;
				case 6:
					scor.ob.suggestions.addCksum();	
					break;
						
				}			
			}	
			OrionCore.addLoadHandler(scor.ob.stat.suggestion.init);
	</script>
		
	
	</orion:content>
	</orion:corebody>
</orion:core>


