<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@page import="com.mcafee.scor.rulediscovery.RuleDiscoveryConstants"%>
<%@ page import="com.mcafee.scor.common.HelpConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@page import="com.mcafee.scor.selfapproval.SelfApprovalConstants"%>
<%@page import="com.mcafee.scor.common.CommonConstants"%>
<%@ page import="com.mcafee.scor.common.Constants"%>

<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>"
	src="/jsFiles/commonUtil.js" />
<orion:style context="/SOLIDCORE_META" url="/css/override.css" />
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>" />
<jsp:include page="/common/includejQuery.jsp" />
<orion:message key="scor.rulediscovery.actions.rt.name"
	var="ruleDiscoveryMainPageTitleText" escape="none" />

<orion:message key="scor.rulediscovery.timefilter.title"
	var="timeFilter" />
<orion:message key="scor.common.filter.lastonehour" var="lastonehour" />
<orion:message key="scor.common.filter.lastoneday" var="lastoneday" />
<orion:message key="scor.common.filter.last7Days" var="lastsevendays" />
<orion:message key="scor.common.filter.last1Month" var="lastthirtydays" />
<orion:message key="scor.common.filter.alltimes" var="alltime" />

<orion:message key="scor.rulediscovery.approvalfilter.title"
	var="approvefiltertitle" />
<orion:message key="scor.selfapproval.approvalfilter.pending"
	var="pending" />
<orion:message key="scor.selfapproval.approvalfilter.approvedGlobal"
	var="approvedGlobal" />
<orion:message key="scor.selfapproval.approvalfilter.approvedCustom"
	var="approvedCustom" />
<orion:message key="scor.selfapproval.approvalfilter.approvedByCertificateGlobal"
	var="approvedByCertificateGlobal" />
<orion:message key="scor.selfapproval.approvalfilter.approvedByCertificateCustom"
	var="approvedByCertificateCustom" />
<orion:message key="scor.selfapproval.approvalfilter.audited"
	var="audited" />
<orion:message key="scor.selfapproval.approvalfilter.bypassedMemoryProtectionGlobal"
	var="bypassedMemoryProtectionGlobal" />
<orion:message key="scor.selfapproval.approvalfilter.bypassedMemoryProtectionCustom"
	var="bypassedMemoryProtectionCustom" />
<orion:message key="scor.selfapproval.approvalfilter.bannedGlobal"
	var="bannedGlobal" />
<orion:message key="scor.selfapproval.approvalfilter.bannedCustom"
	var="bannedCustom" />

<orion:message key="scor.selfapproval.whatsnewlink.label"
	var="whatsnewlink" />
<orion:message key="scor.reputation.whatisfinalreputation.label"
	var="whatsfinalreputation" escape="html" />
<orion:message key="scor.selfapproval.showMoreFilters"
	var="showMoreFiltersVar" escape="html" />
<orion:message key="scor.selfapproval.hideMoreFilters"
	var="hideMoreFiltersVar" escape="html" />
<orion:message key="scor.selfapproval.showMoreFilters"
	var="showMoreFiltersVarJS" escape="javascript" />
<orion:message key="scor.selfapproval.hideMoreFilters"
	var="hideMoreFiltersVarJS" escape="javascript" />
<orion:message key="scor.selfapproval.searchButton"
	var="searchButtonVar" escape="html" />
<orion:message key="scor.certificate.da.PUBLIC_KEY_HASH"
	var="pubkeyHashVarHtml" escape="html" />
<orion:message key="scor.certificate.da.CERT_HASH" var="certHashVarHtml"
	escape="html" />
<orion:message key="scor.selfapproval.resetButton" var="resetButtonVar"
	escape="html" />
<orion:message key="scor.rulediscovery.activityfilter.title"
	var="activityfiltertitleVar" />
<orion:message key="scor.rulediscovery.trustLevelfilter.title"
	var="trustLevelfiltertitleVar" />
<orion:message key="scor.selfapproval.userComments.dialog.title"
	var="userCommentsDialogTitle" escape="javascript" />
<script type="text/javascript">

var scor = scor || {};
scor.sa = scor.sa || {};

OrionHelp.setHelpId("<%=HelpConstants.SA_MAIN_PAGE%>");


scor.sa.similarrequests = scor.sa.similarrequests ||{};
scor.sa.similarrequests.uid  = scor.sa.similarrequests.uid || 0;
scor.sa.similarrequests.filtersVisible = scor.sa.similarrequests.filtersVisible || ${scorSelfApprovalShowMoreFiltersAttr};
scor.sa.similarrequests.showMoreFilterToggleValue = scor.sa.similarrequests.showMoreFilterToggleValue || scor.sa.similarrequests.filtersVisible;
scor.sa.similarrequests.isUserGlobalAdmin = scor.sa.similarrequests.isUserGlobalAdmin || ${scorSelfApprovalIsUserGlobalAdmin};

OrionCore.addLoadHandler(scorSelfApprovalSimilarRequestsInit);

function scorSelfApprovalSimilarRequestsInit(){
	OrionForm.markInputExempt('scorTimeFilter');
	OrionForm.markInputExempt('approvalStatusFilter');
	OrionForm.markInputExempt('activitySelectId');
	OrionForm.markInputExempt('trustLevelSelectId');
	OrionForm.markInputExempt('systemNameValueId');
	requestsTable = MFSTable.get("selfApprovalTableId");
	requestsTable.setOnStateChange(scor.sa.similarrequests.enableDisableTableActions);
	scor.sa.similarrequests.enableDisableTableActions ();		
	scor.sa.similarrequests.showHideMoreFilters();
	scor.sa.similarrequests.setFixedWidthOfSelectBoxes();
	scor.sa.similarrequests.setFiltersValuesFromRequest();
	OrionEvent.registerHandlerById('showMoreFiltersButtonID', scor.sa.similarrequests.showHideMoreFilters, null , "click", false);
	OrionEvent.registerHandlerById('searchButtonId', scor.sa.similarrequests.search, null , "click", false);
	OrionEvent.registerHandlerById('resetButtonId', scor.sa.similarrequests.reset, null , "click", false);
}; 

scor.sa.similarrequests.search = function(){
	var paramMap = {};
	paramMap['<%=RuleDiscoveryConstants.TIME_FILTER_KEY%>'] = $j('#scorTimeFilter').val();
	paramMap['<%=RuleDiscoveryConstants.APPROVAL_STATUS_FILTER_KEY%>'] = $j('#approvalStatusFilter').val();  
	paramMap['<%=RuleDiscoveryConstants.ACTIVITY_FILTER_KEY%>'] = $j('#activitySelectId').val();
	paramMap['<%=RuleDiscoveryConstants.TRUST_LEVEL_FILTER_KEY%>'] = $j('#trustLevelSelectId').val();
	paramMap['<%=RuleDiscoveryConstants.SYSTEM_NAME_FILTER_KEY%>'] = $j('#systemNameValueId').val();
	paramMap['<%=RuleDiscoveryConstants.SHOW_MORE_FILTERS_KEY%>'] = !scor.sa.similarrequests.shoudlHideMoreFilters();
	var tbl = MFSTable.get("selfApprovalTableId");
	var filterStr = JSON.stringify(paramMap);
    tbl.setFilter(filterStr);
}


scor.sa.similarrequests.isEmpty = function(str) {
	if($j.trim(str).length === 0){
			return true;
		}else{
			return false;
		}
};

scor.sa.similarrequests.shoudlHideMoreFilters = function(){
		return scor.sa.similarrequests.isEmpty($j('#activitySelectId').val()) && scor.sa.similarrequests.isEmpty($j('#trustLevelSelectId').val())
		 && scor.sa.similarrequests.isEmpty($j('#systemNameValueId').val());
}

scor.sa.similarrequests.reset = function(){
	var paramMap = {};
	paramMap['<%=RuleDiscoveryConstants.SHOW_MORE_FILTERS_KEY%>'] = false;
	var tbl = MFSTable.get("selfApprovalTableId");
	var filterStr = JSON.stringify(paramMap);
    tbl.setFilter(filterStr);
    scor.sa.similarrequests.resetDefaultValuesInAllFilters();
    	
}

scor.sa.similarrequests.resetDefaultValuesInAllFilters = function(){
	$j('#activitySelectId').val('<%=SelfApprovalConstants.DEFAULT_ALL%>');
	$j('#trustLevelSelectId').val('<%=SelfApprovalConstants.DEFAULT_ALL%>');
	$j('#systemNameValueId').val('<%=SelfApprovalConstants.DEFAULT_ALL%>');
	$j('#approvalStatusFilter').val('<%=SelfApprovalConstants.APPROVAL_STATUS_PENDING%>');
	$j('#scorTimeFilter').val('<%=CommonConstants.SCOR_TIME_LAST_ONE_HOUR_FILTER%>');	
}

scor.sa.similarrequests.enableDisableTableActions = function() {
scor.sa.similarrequests.setAllowNetworkPathActionStatus();
	if(scor.sa.similarrequests.isUserGlobalAdmin) {
		scor.sa.similarrequests.setAllowBanBinaryActions();
		scor.sa.similarrequests.setAllowByPublisherActionStatus();
		scor.sa.similarrequests.setBypassMemoryProtectionAction();
	} else {
		scor.sa.tableAction.disableAction(scor.sa.tableAction.approveBinary);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.rejectBinary);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.allowByPublisher);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.allowNetworkPath);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.bypassMemoryProtection);
		
	}
};

scor.sa.similarrequests.setFiltersValuesFromRequest = function(){	
	$j('#activitySelectId').val('${scorSelfApprovalSelectedActivityAttr}');
	$j('#trustLevelSelectId').val('${scorSelfApprovalSelectedTrustLevelAttr}');
	if('${scorSelfApprovalSystemNameAttr}'){
		$j('#systemNameValueId').val('${scorSelfApprovalSystemNameAttr}');
	}
}

scor.sa.tableAction = function () {
	var _setDisabledStateForTableActionHavingUrl = function (url, isDisabled) {
		scor.utils.setDisabledStateForTableActionHavingUrl(url, isDisabled);
	},
	_tableActionUrls = {
			approveBinary: 'approveBinarySelfApprovalEvents.do',
			rejectBinary: 'rejectSelfApprovalEvents.do',
			bypassMemoryProtection: 'bypassMemoryProtectionForRulediscoveryEvent.do',
			allowByPublisher: 'addCertAsUpdater.do',
			createCustom: 'createCustomPolicyForSelfApprovalEvent.do',
			allowNetworkPath: 'approveNetworkPathSAEvent.do',
			showSolidcoreEvents: 'showScorEventsForPD.do',
			showTIEFileReputation: 'showTIEFileReputationForPD.do',
			showInventoryBinary: 'showInventoryBinaryForPD.do'
	};
	
	return {
		approveBinary: 'approveBinary',
		rejectBinary:'rejectBinary',
		bypassMemoryProtection: 'bypassMemoryProtection',
		allowByPublisher: 'allowByPublisher',
		createCustom: 'createCustom',
		allowNetworkPath: 'allowNetworkPath',
		showSolidcoreEvents: 'showSolidcoreEvents',
		showTIEFileReputation: 'showTIEFileReputation',
		showInventoryBinary: 'showInventoryBinary',
		
		getUrlForTableAction: function(tableAction) {
			return _tableActionUrls[tableAction];
		},
		disableAction: function (action) {
			_setDisabledStateForTableActionHavingUrl(_tableActionUrls[action], true);
		},
		enableAction: function (action) {
			_setDisabledStateForTableActionHavingUrl(_tableActionUrls[action], false);
		}
	};
}();

scor.sa.similarrequests.setBypassMemoryProtectionAction = function () {
	 
	 var selectedUids = requestsTable.getSelected().split(","),
	 	bypassMemProtectionSelectedCount = 0,
	 	selectedCount = 0;
	 
     for(var k in selectedUids) {
    	 if (selectedUids[k] === "") {
            continue;
         }
    	 var selectedTableRow = $j('tr[uid='+selectedUids[k]+']');
    	 var bypassEnabledElems = $j(selectedTableRow).find('.enableBypassMemoryProtection');
    	 
    	 if (bypassEnabledElems.length > 0) {
    		 bypassMemProtectionSelectedCount++;
    	 }
    	 selectedCount++;
     }
	 
	 if (bypassMemProtectionSelectedCount === 1) {
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.approveBinary);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.rejectBinary);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.allowByPublisher);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.allowNetworkPath);
		 scor.sa.tableAction.enableAction(scor.sa.tableAction.bypassMemoryProtection);
	 }
	 
	 if (bypassMemProtectionSelectedCount === 0) {
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.bypassMemoryProtection);
	 }
	 if (selectedCount > 1 && bypassMemProtectionSelectedCount > 0) {
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.approveBinary);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.rejectBinary);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.allowByPublisher);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.allowNetworkPath);
		 scor.sa.tableAction.disableAction(scor.sa.tableAction.bypassMemoryProtection);
	 }
};

scor.sa.similarrequests.setAllowBanBinaryActions = function() {
	var disableAllowBanBinaryFound = false;
	var selectedUids = requestsTable.getSelected().split(",");
	for(var k in selectedUids) {
		if (selectedUids[k] === "") {
			continue;
		}
		var selectedTableRow = $j('tr[uid='+selectedUids[k]+']');
		var disableAllowBanBinaryClass = $j(selectedTableRow).find('.disableAllowBanBinarAction');
		if(disableAllowBanBinaryClass.length > 0){
			disableAllowBanBinaryFound = true;
			break;
		}
	}  	
	if (disableAllowBanBinaryFound) {
		scor.sa.tableAction.disableAction(scor.sa.tableAction.approveBinary);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.rejectBinary);
	}	    
};

scor.sa.similarrequests.setAllowNetworkPathActionStatus = function() {
	var selectedUids = requestsTable.getSelected().split(",");
	if(selectedUids.length > 1) {
		scor.sa.tableAction.disableAction(scor.sa.tableAction.allowNetworkPath);
		return;
	}
	for(var k in selectedUids){
		if (selectedUids[k] === "") {
			continue;
		}
		var selectedTableRow = $j('tr[uid='+selectedUids[k]+']');
		var allowNetworkPathClassPresent = $j(selectedTableRow).find('.enableNetworkPathAction');
		if (allowNetworkPathClassPresent.length == 0) {
			scor.sa.tableAction.disableAction(scor.sa.tableAction.allowNetworkPath);
			return;
        }
		scor.sa.tableAction.enableAction(scor.sa.tableAction.allowNetworkPath);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.showTIEFileReputation);
		scor.sa.tableAction.disableAction(scor.sa.tableAction.showInventoryBinary);
    }    
};

scor.sa.similarrequests.setAllowByPublisherActionStatus = function() {
	var selectedUids = requestsTable.getSelected().split(",");
	if(selectedUids.length > 1) {
		scor.sa.tableAction.disableAction(scor.sa.tableAction.allowByPublisher);
		return;
	}
	for(var k in selectedUids){
		if (selectedUids[k] === "") {
			continue;
		}
		var selectedTableRow = $j('tr[uid='+selectedUids[k]+']');
		var allowByPublisherClassPresent = $j(selectedTableRow).find('.enableAllowByPubClass');
		if (allowByPublisherClassPresent.length == 0) {
			scor.sa.tableAction.disableAction(scor.sa.tableAction.allowByPublisher);
			return;
        }
		scor.sa.tableAction.enableAction(scor.sa.tableAction.allowByPublisher);
    }    
};

scor.sa.similarrequests.showHideMoreFilters = function(){	
	if(scor.sa.similarrequests.showMoreFilterToggleValue){
		$j('#moreFiltersDivId').show();		
		$j('#showMoreFiltersButtonID').text("${hideMoreFiltersVarJS}");
		scor.sa.similarrequests.filtersVisible = true;
	}else{
		$j('#moreFiltersDivId').hide();
		$j('#showMoreFiltersButtonID').text("${showMoreFiltersVarJS}");
		scor.sa.similarrequests.filtersVisible = false;
	}
	scor.sa.similarrequests.showMoreFilterToggleValue = !(scor.sa.similarrequests.showMoreFilterToggleValue);
	OrionCore.fireResizeEvent();
}

scor.sa.similarrequests.setFixedWidthOfSelectBoxes = function(){
	$j('#activitySelectId').css('width','100%');
	$j('#trustLevelSelectId').css('width','100%');
	$j('#systemNameValueId').css('width','150px');
}

scor.sa.similarrequests.enableObGeneration = function() {
	OrionCore.doAction("/SOLIDCORE_META/enableObservationRequestGeneration.do", [], "GET");
};

scor.sa.similarrequests.groupUserComments = function(event,targetAction){
	OrionEvent.stopPropagation(event); 
	scor.sa.similarrequests.groupedRequestIdForUserComments=$j(targetAction).attr("hrefattr");
	scor.sa.similarrequests.groupedRequestUserComments = '';	
	if($j(targetAction).attr("hrefcomment") === '1')
		scor.sa.similarrequests.groupedRequestUserComments = event.target.innerText || event.srcElement.innerText; 
    OrionCore.showDialogBox(true, $('userCommentsGroupTempLate').innerHTML, OrionCore.DIALOG_OK_CANCEL);
    $j('#userComments').text(scor.sa.similarrequests.groupedRequestUserComments); 
    OrionCore.setDialogBoxTitle('${userCommentsDialogTitle}');
    OrionCore.dialogBoxOkHandler = scor.sa.similarrequests.groupUserCommentsDialogHandler;
}


scor.sa.similarrequests.groupUserCommentsDialogHandler = function(){
    var form = document.getElementById('orion.dialog.box.text.id');
    var flds = {};
    flds = scor.utils.getFormVals(form);
    if(scor.sa.similarrequests.groupedRequestUserComments === flds['<%=Constants.USER_COMMENTS%>']){
        return false;
    }      
    scor.actions.doAsyncAction("<%=URLConstants.USER_COMMENTS_GROUPED_REQUEST_FROM_LINK_URL%>",
            ['<%=Constants.GROUPED_REQUEST_IDS%>',scor.sa.similarrequests.groupedRequestIdForUserComments,'<%=Constants.USER_COMMENTS%>',flds['<%=Constants.USER_COMMENTS%>']],
            scor.sa.similarrequests.groupUserCommentsSuccess);

}
scor.sa.similarrequests.groupUserCommentsSuccess = function(result) {
	var requestsTable = MFSTable.get("selfApprovalTableId");
	requestsTable.refresh();
}  

</script>

<orion:vbox>

	<c:if test="${scorIsObservationReqDisabled =='true'}">
		<orion:box height="70">
			<table width="100%" height="100%" cellspacing="1px" cellpadding="1px"
				style="background-color: rgb(235, 235, 235); width: 100%;">
				<tr>
					<td>
						<div>
							<span class="errorText"> <orion:message
									key="scor.rulediscovery.observationthrottling.disabled.warning" />
							</span>
							<c:choose>
								<c:when test="${scorSelfApprovalIsUserGlobalAdmin =='true'}">
									<orion:message
										key="scor.rulediscovery.observationthrottling.disabled" />
									<a href="#"
										onclick="scor.sa.similarrequests.enableObGeneration();"><orion:message
											key="scor.rulediscovery.observationthrottling.enable.linktext" /></a>
									<orion:message
										key="scor.rulediscovery.observationthrottling.disabled.help" />
								</c:when>
								<c:otherwise>
									<orion:message
										key="scor.rulediscovery.observationthrottling.disabled.siteadmin" />
								</c:otherwise>
							</c:choose>
						</div>
					</td>
				</tr>
			</table>
		</orion:box>
	</c:if>
	<orion:box height="30">

		<table width="100%" height="100%" cellspacing="1px" cellpadding="1px"
			style="background-color: rgb(235, 235, 235); width: 100%;">
			<tr>
				<td width="10%" align="right">${timeFilter}:</td>
				<td width="10%" align="left"><select class="orionSelect"
					id="scorTimeFilter" name="scorTimeFilter">
						<option
							<c:if test="${scorTimeFilterAttr eq 'scor.common.filter.lastonehour'}">selected="true"</c:if> value="scor.common.filter.lastonehour">${lastonehour}</option>
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.lastoneday'}">selected="true"</c:if> value="scor.common.filter.lastoneday">${lastoneday}</option>
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.last7Days'}">selected="true"</c:if> value="scor.common.filter.last7Days">${lastsevendays}</option>
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.last1Month'}">selected="true"</c:if> value="scor.common.filter.last1Month">${lastthirtydays}</option>
								<option  <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.allTimes'}">selected="true"</c:if> value="scor.common.filter.allTimes">${alltime}</option>
							</select>
                        </td>
                        <td width="10%" align="right">
                        	 ${approvefiltertitle}:
                        </td>
                        <td width="17%" align="left">
                        	<select class="orionSelect" id="approvalStatusFilter" name="approvalStatusFilter">
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.pending'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.pending">${pending}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.approvedGlobal'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.approvedGlobal">${approvedGlobal}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.approvedCustom'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.approvedCustom">${approvedCustom}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.approvedByCertificateGlobal'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.approvedByCertificateGlobal">${approvedByCertificateGlobal}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.approvedByCertificateCustom'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.approvedByCertificateCustom">${approvedByCertificateCustom}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.audited'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.audited">${audited}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.bypassedMemoryProtectionGlobal'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.bypassedMemoryProtectionGlobal">${bypassedMemoryProtectionGlobal}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.bypassedMemoryProtectionCustom'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.bypassedMemoryProtectionCustom">${bypassedMemoryProtectionCustom}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.bannedGlobal'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.bannedGlobal">${bannedGlobal}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.selfapproval.approvalfilter.bannedCustom'}">selected="true"</c:if> value="scor.selfapproval.approvalfilter.bannedCustom">${bannedCustom}</option>
				        </td>
                        <td width="3%">                        	
                        </td>
                        <td align="left">
                        	<div class="showFilterText" style="float: left;margin-right:15px;" align="left" id="searchButtonId">                     
                            	${searchButtonVar}
                            </div>  
                              
                            <div class="showFilterText" style="float: left;margin-right:15px;" align="left" id="resetButtonId">                     
                            	${resetButtonVar}
                            </div>     
                            
                             <div class="showFilterText" style="float: left;" align="left" id="showMoreFiltersButtonID">                     
                            	${showMoreFiltersVar}
                            </div>          	               	
                        </td>                       
                        <c:if test="${whatsFinalReputationLink !=null}">
                        <td align="right" style="padding-right:2%">
                        	<a href="${orion:escapeHtml(whatsFinalReputationLink)}" target="_blank" >
                       			 ${whatsfinalreputation} 
                        	</a>
                        </td>
                        </c:if>
                    </tr>
                </table>
            </orion:box>
            
            <orion:box id="moreFiltersDivId" height="25">            

                <table width="100%" height="100%" cellspacing="1px" cellpadding="1px" style="background-color: rgb(235, 235, 235); width: 100%;">
                    <tr>
                        <td width="10%" align="right">
                           ${activityfiltertitleVar}:
                        </td>
                        <td width="10%" align="left">
 							<orion:select id="activitySelectId" items="${scorSelfApprovalActivityFiltersBeanAttr}"/>
                        </td>
                        <td width="10%" align="right">
                        	 ${trustLevelfiltertitleVar}:
                        </td>
                        <td width="17%" align="left">
                        	<orion:select id="trustLevelSelectId" items="${scorSelfApprovalReputationSelectBeanAttr}"/>
                        </td> 
                        <td width="3%">                        	
                        </td>
                        <td></td>
                                            
                    </tr>
                </table>
            </orion:box>   

            <!-- Include the tooltip page -->
            <%@ include file="../scorTooltip.jsp"%>
            <div id="scorCertificateTooltipId" style="height:25px;display:none">
            	<b>${certHashVarHtml}:&nbsp;</b><div id="certHashDivId" style="display: inline"></div><br>
            	<b>${pubkeyHashVarHtml}:&nbsp;</b><div id="pubkeyHashDivId" style="display: inline"></div>
            </div>

            
	<orion:table2 id="selfApprovalTableId" titleText="${ruleDiscoveryMainPageTitleText}" 
		registeredTypeUID="scor.rt.selfApproval.SCOR_SELF_APPROVAL"
		datasourceAttr="<%=SelfApprovalConstants.SELF_APPROVAL_DATA_SOURCE_ATTR%>"
		cellRendererAttr="<%=SelfApprovalConstants.SELF_APPROVAL_CELL_RENDERER_ATTR%>"
		sortColumn="appName" sortOrder="1"
		showCheckboxColumn="true" showTitleBar = "true" allowFilter="true" 
		properties="appName,activity,fileName,reputationInt,effectiveLevelReason,issuedTo,nodeName,hostPrevalence,prevalance,userComments,OSType" 
		columnWidths = "13,12,15,11,11,14,14,10,10,14,10"
				  allowAdvancedFilter="true"
		/>
</orion:vbox>
<div id="userCommentsGroupTempLate" style="display:none;">
<br>
    <table>
        <tr>
          <td>&nbsp;&nbsp;&nbsp;</td>
            <td>
                <orion:textarea id="<%=Constants.USER_COMMENTS%>" required="true" maxlength="4000" cols="50" rows="5"/>
            </td>
        </tr>

    </table>

</div>

