<%--  Copyright (C) 2016-2018 McAfee, Inc.  All rights reserved.--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>

<orion:message key="scor.observationthrottling.disabled" var="throttlingDisabledMessage"/>
<orion:message key="scor.observationthrottling.disabled.help" var="throttlingDisabledMessageHelp"/>
<orion:message key="scor.observationthrottling.disabled.warning" var="throttlingDisabledMessageWarning"/>
<orion:message key="scor.observationthrottling.enable.linktext" var="throttlingEnableLinkText"/>
<orion:message key="scor.observations.stats.table.title" var="predominantObservationsTitleText" escape="none"/>

<orion:core>
	<orion:corehead>
		<script type="text/javascript">
			var scor = scor || {};
			scor.observations = scor.observations || {};
			scor.observations.enableObGeneration = function (e) {
				OrionCore.doAction("/SOLIDCORE_META/enableObservationGeneration.do", [], "GET");
			};
		</script>
	</orion:corehead>

	<orion:corebody>
		<orion:navigation tabId="scor.tab.observations" />
		<orion:content>
			<orion:vbox>
				<jsp:include page="../common/alertForRunningContentUpdateOrMigrationOrRuleGroupSync.jsp"/>
				<c:if test="${scorShowObservationDisabledMsg =='true'}">
					<orion:box height="70">
						<table width="100%" height="100%" cellspacing="1px" cellpadding="1px" style="background-color: rgb(235, 235, 235); width: 100%;">
							<tr>
								<td>
									<div>
										<span class="errorText">
											${throttlingDisabledMessageWarning}
										</span>
										${throttlingDisabledMessage}
										<a href="#" onclick="scor.observations.enableObGeneration();">${throttlingEnableLinkText}</a>
										${throttlingDisabledMessageHelp}
									</div>							
								</td>
							</tr>
		                </table>
		            </orion:box>
				</c:if>
				<orion:vbox>
					<orion:tabstrip id="solidcorObservationTabStrip" tabStripInfo="${tabInfo}" async="false" />
				</orion:vbox>
			</orion:vbox>
		</orion:content>
	</orion:corebody>
</orion:core>
