<!-- COPYRIGHT:		Copyright (C) 2008-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<jsp:include page="/common/includejQuery.jsp"/>


<orion:message key="scor.rulegroup.findBtn.Txt" var="findBtnTxt" escape="none"/>
   
<script type="text/javascript">

	scorRGSgetRuleGroupData = function(){
		var userDefinedGroupsOnly = '${userDefinedGroupsOnly}';
	    var type= '<%=Constants.POLICY_GROUP_TYPE_MON%>';
	    var searchStr = document.getElementById("ruleGroupNameSearchDialogId").value;
	    var paramMap={};
  		paramMap["type"] = scor.utils.trim(type);
  		paramMap["osType"]="WIN";
  		paramMap["ruleGroupName"]=scor.utils.trim(searchStr);
  		if(userDefinedGroupsOnly && userDefinedGroupsOnly === "true"){
  	  		paramMap["userDefinedRuleGroupsOnly"]="true";
        }
  		var filter = JSON.stringify(paramMap);
	    ScorDialogTable.refresh("ruleGroupTableD", filter, ScorDialogTable.tableParameters["ruleGroupTableD"].visibleRows);
  		ScorAutoComplete.setFilter("ruleGroupAutoCompleteds",filter);
	    ScorDialogTable.beginning('ruleGroupTableD');
	}

    scorRGSrefreshTable = function(){            
    	ScorDialogTable.refresh("ruleGroupTableD", null, ScorDialogTable.tableParameters["ruleGroupTableD"].visibleRows);
    }  
   
	var groupName = '${orion:escapeJavaScriptString(groupName)}';
	$j('#ruleGroupNameSearchDialogId').val(groupName);
	var filter = '${orion:escapeJavaScriptString(filter)}';
	ScorAutoComplete.setFilter("ruleGroupAutoCompleteds",filter);
</script>

<orion:vbox>
		<!-- Search Tab -->
		<orion:box height="83">
	       
	        <table width="100%" height="70%" cellspacing="1px" cellpadding="1px" style="background:none #D6E4F0; width: 100%;">
	              <tr>						
					<td>							
		                <scor:scorAutoCompleteTextBox id="ruleGroupNameSearchDialogId" datasourceAttr="ruleGroupAutoCompleteds" minLength="3" />
		            <orion:button id="search_button_dialogID" text="${findBtnTxt}" disabled="false" onclick="scorRGSgetRuleGroupData()"/>     
	                </td>				
				</tr>
	        </table>
	
	    </orion:box>
	    
    	<!--  ruleGroupNames Search Table -->    			
        <scor:dialogTable id="ruleGroupTableD" cellRendererAttr="<%=Constants.GROUPS_CELLRENDRER_ATTR%>"
        datasourceAttr="<%=Constants.GROUPS_DATASOURCE_ATTR%>" showCheckboxColumn="true"  singleSelect="true" paginated="true" 
        properties="groupName" noRecordsKey="scor.rulegroups.search.noRecordsFoundMessage"/>
                   
</orion:vbox>
